What's New in This Release?

Related Topics
Contents

    • What's New In Version 2.5?

      New Features and Miscellaneous Changes

      • Added DCMlink software update:

        • Update in offline (not connected to internet) mode.

        • Snooze and set reminder for update.

      • Added below features for RTS Actuator:

        • Connection via Modbus, Bluetooth and IRDA:

          • Monitoring Status, Alarms, Warning, Analog, and Binary Input/Output.

          • History Logs.

          • Parameter Configuration.

          • Valve Control.

          • Calibration, Clock Settings, SmartCode to activate optional feature, Teach-In and Actuator variant setting.

          • Backup and Restore of Parameters.

          • Configuration option for setting permission for Command, Parameter and Category.

        • Additional feature available via Bluetooth and IRDA:

          • Firmware Download (For Display Bootloader version 19 and above).

          • Live Actuator Display Viewer.

          • Change Password (For user level 1 to 6).

      • Added below features for EHO Actuator:

        • 'EHO' is now termed as 'Smart EHO'.

        • Updated Low Oil Alarm and Motor Overrun.

        • Self Calibration Position is now marked as degree instead of Percent.

        • Added Valve Close Direction, Thermal Accumulator Pre-charge configuration on Factory Setting.

        • Minimum and Default value for Modulation Position Control Bandwidth.

        • Added Accumulator Charge Time on Status Monitor screen.

        • Added Accumulator Charge Time Offset on Detailed Setup screen.

        • Added support for HART Modem connection.

      • Trend graph added on Valve Control screen (Similar to Status Monitor Screen).

      • Cautious Prompt while entering to and changing Factory Setting parameters.

      • Default state of Alarms, Warnings, ESD/Inhibit are shown as Disabled. They are updated once polling starts.

      • Status of Binary Inputs/Outputs parameters are now simplified.

      • 'Read/Write Parameters' controls (in Detailed Setup and Factory Settings screen) layout enhanced.

      • 'Write To Actuator' and 'Write To Dataset' button icons enhanced.

      • For M2CP 'Lost COM delay Time' changed unit as sec and Range as 1 to 60.

      • Password field is not clearing automatically after acknowledgement of Invalid password message box.

    • What's New In Version 2.4?

      New Features and Miscellaneous Changes

      • Added DCMlink software update prompt when a new release is available.

      • DCMlink can now run without Administrator Privileges.

      • Bug reporting mechanism is now integrated into DCMlink.

      • Added below features for Smart EHO Actuator:

        • Added Self Calibration Profile.

        • Added Low Oil Level Alarm Enable or Disabled configuration in Factory settings.

        • Added Lost COM1 Delay Configuration for Modbus Protocol.

        • Added Hydraulic circuit failure alarm delay configuration.

        • Added Coarse SOV configuration enable/disable at factory setting.

        • Added Actuator fully opened and closed counts for inventory purpose.

        • Added Beyond limits alarm in Failed Category.

        • Added Information tab for PST profile.

        • Added PST Failure code on Status Monitor.

        • Added 24V DC option available in 'Voltage' parameter.

        • Updated Analog polarity invert for Input and Output.

        • Updated Valve stall delay time range to a maximum of 30 seconds.

      • Added below features for XTE3000 Actuator:

        • When evaluating a "Torque Profile" when any Torque value goes above nominal value, DCMlink highlights "DataPoints" tab with yellow color and exclamation mark; also highlights the specific data point.

      • Added below features for M2CP Actuator:

        • Added Information tab for PST/FST profile.

      • Added below Human-Machine Interface (HMI) improvements:

        • An option to troubleshoot or view more information (state of problem and recommended action) directly from the alarm.

        • Upon opening any tag, default status of the actuator and gauge are greyed out to indicate monitoring is not started yet.

        • User can now easily access help document based on the current context.

      • Added Password protection for Bluetooth Network usage.

    • What's New In Version 2.3?

      New Features and Miscellaneous Changes

      • Added Support for XTE3000 Actuator over:

          RS232, Bluetooth and Bluetooth Serial Port

          Modbus

          HART SOLO and SNAP-ON

      • Added "Firmware Download" feature for TEC2 Actuator

          Added password protection for "Factory" settings.

          Added "Max Torque Profile" option for TEC2 and M2CP Actuator

          Added "PST/FST Profile" option for M2CP Actuator

    • What's New In Version 2.0?

      New Features and Miscellaneous Changes

      • Added support for HART Modem on 64 bit Operating Systems

      • New feature added as Raw Value in Position Dial (for MPA only)

      • Added support for AMS DCMlink SNAP-ON

      • Added DCMlink License Features for SOLO & SNAP-ON

      • In Status Monitor:

          Added feature Device Information Dialog (Specific for HART)

          Added feature Clock sync for Smart EHO

      • In Detail Setup:

          Added feature General Tab (Specific for HART)

      • In Diagnostics:

          Event log implemented for Smart EHO actuator

          New event log (code: 116, 117) added for TEC2

          Added profiles for PST for TEC2, Model500, Smart EHO

          Added profiles for FST for TEC2, Model500

      • New HART feature added as:

          Write protection

          Device HART Mode Dialog

          Rebuild HART Network

          Protocol Mode dialog

          Added support for Database operation (SQL CE & SQL Server)

      • Added Dataset support for.

          New Dataset

          Select Saved Dataset

          Changing Dataset Dropdown Item

          Notes Tab

          Save Dataset

          Delete Dataset

          Reset Dataset

          Copy From Tag

          Download/Upload Entire Configuration

          Import/Export Tag

          Open Modify Tag

    • What's New In Version 1.0?

      New Features and Miscellaneous Changes

      • Added Support for TEC2000, TEC2, Model500, Smart EHO, M2CP, MPA, HQ32, HQ33 over:

          Bluetooth

          Modbus (RTU, Slave, TCP/IP)

      • Added below features for Actuators.

          Status Monitor

          Detailed Setup

          Valve Control

          Torque Profile

          Analog Calibration

          Port Calibration

          Event Log

          Custom Characterization

© 2015 – 2021 Emerson DCMlink


 Contents

Contents

About DCMlink Software
Information about the DCMlink Software interface including the Device Connection View, the Primary Application View, the menus, the toolbar, and the status bar.
What's New In Version 2.5?
Information on what is new for version 2.5.
Installing DCMlink
Information about the DCMlink Software installation, uninstall, license activation and system requirement.
Get Started with DCMlink
Information about DCMlink Software home screen, configuring preferences. Network interface connection and connected device information.
Setting Up DCMlink Networks
Information about how to setup Modbus, TCP/IP, HART, Bluetooth, XTE-RS232, RTSACP and Fieldbus protocol (Coming soon) network.
Scan Device
Information about scanning actuator in Modbus, TCP/IP, HART, Bluetooth, XTE-RS232, RTSACP and Fieldbus protocol (Coming soon) network.
Detailed Setup
DCMlink reduces commissioning time with simplified configuration screens that are easy to navigate and provide clarity over each parameter.
Status Monitor
Information about status monitor screen. Monitoring actuator parameter, Alert, Warning, Gauge and Trend.
Valve Control
Information about valve control screen. Monitoring actuator parameter and valve operation.
Diagnostics
Information about DCMlink Software diagnostic tests. Instructions for running each type of test, reviewing results.
Calibration Procedure
Calibrate Analog input, Analog output, Torque, Port and Pressure.
Firmware Download
Information about Firmware download in XTE3000, TEC2 and RTS.
Scheduler
Information about scheduling tasks to be set up in the Scheduler for a one-time use, daily, weekly, monthly, or yearly occurrence.
Extract Device Info
Information about extracting device parameter information.
DCMlink HART Protocol Specific Features
Information about DCMlink supporting HART Protocol Specific features.
Database
Information about Database for Diagnostic Storage, Database Operation (SOLO on SQL CE),Dataset.
Auto Update
Information about DCMlink software auto update feature.
Report an Error
User guide to directly report an error to Emerson.
Frequently Asked Questions
Information about common problems and issues with DCMlink Software.
Troubleshooting
Information about troubleshooting common problems.
Glossary


Copyright Information

Copyright Information, Disclaimer

      • Emerson Process Management Valve Automation, Inc ("Emerson") provides this computer program and related materials for your use. You assume responsibility for the acquisition of a machine and associated equipment compatible with the program, and for installation, use, and results obtained from the program.

      • Emerson grants to you a non-transferable, non-exclusive license to use the licensed programs provided to you to run on a single machine. A single machine may consist of a single physical machine with a single operating system or a single virtual machine running in a host computer. You must reproduce and include the copyright notice on any copy or modification. YOU MAY NOT REVERSE ENGINEER, USE, COPY OR MODIFY (EXCEPT AS NOTED ABOVE) ANY PROGRAM OR RELATED MATERIALS OR ANY COPY OR MODIFICATION, IN WHOLE OR IN PART, EXCEPT AS EXPRESSLY PROVIDED FOR IN THIS LICENSE. IF YOU TRANSFER POSSESSION OF ANY COPY OR MODIFICATION OF THE PROGRAM OR RELATED MATERIALS TO ANOTHER PARTY, YOUR LICENSE IS AUTOMATICALLY TERMINATED. Unless otherwise expressly permitted, you may not use the program to provide subscription services, training services, consulting services, service bureau, time sharing, or rental use to third parties. No license, express or implied, is granted under any intellectual property directly or indirectly owned by Emerson which does not specifically read on the program as provided hereunder, nor shall any license, except the license specifically granted herein, be implied in law, implied in equity, or exist under the doctrine of patent exhaustion. THIS PROGRAM IS A PRE-ALPHA VERSION AND YOU AGREE TO NOT USE THE PROGRAM IN ASSOCIATION WITH ANY EQUIPMENT USED IN A PRODUCTION ENVIRONMENT.

      • TITLE: Title to and ownership of the program and related materials shall at all times remain with Emerson or its licensors. Your right to use the same is at all times subject to the terms and condition of this Agreement. Emerson may, from time to time, revise or update the program and/or related materials and, in so doing, incurs no obligation to furnish such revisions or updates to you.

      • TERM: You may terminate this license at any time by destroying the program and the related materials together with all copies and modifications in any form. This license will also terminate upon conditions set forth elsewhere in this Agreement or if you fail to comply with any term or condition of this Agreement. You agree upon such termination to destroy the program and the related materials together with all copies and modifications in any form.

      • NO WARRANTY: Emerson does not warrant that the functions contained in the program will meet your requirements or that the operation of the program will be uninterrupted or error free. THE PROGRAM AND RELATED MATERIALS ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION

      • LIMITATIONS OF REMEDIES: IN NO EVENT WILL Emerson BE LIABLE TO YOU FOR ANY DAMAGES ARISING OUT OF ANY CAUSES WHATSOEVER (WHETHER SUCH CAUSES BE BASED IN CONTRACT, NEGLIGENCE, STRICT LIABILITY, OTHER TORT, PATENT INFRINGEMENT, OR OTHERWISE), INCLUDING ANY LOST PROFITS, LOST SAVINGS, OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH PROGRAM EVEN IF EMERSON HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR OF ANY CLAIM BY ANY OTHER PARTY.

      • GOVERNING LAW: This Agreement, and all matters concerning its construction, interpretation, performance or validity, shall be governed by the laws of the State of Texas, excluding its conflict laws.

      • EXPORT RESTRICTIONS: Licensee shall comply fully with all laws, regulations, decrees and orders of the United States of America that restrict or prohibit the exportation (or reexportation) of technical data and/or the direct product of it to other countries, including, without limitation, the U.S. Export Administration Regulations.

      • U.S. GOVERNMENT RIGHTS: The program and related materials are provided with "RESTRICTED RIGHTS." Use, duplication or disclosure by the U.S. Government is subject to restrictions set forth in the Federal Acquisition Regulations and its Supplements.

      • GENERAL: You may not sublicense, assign, or transfer the license or the program and related materials without the prior written consent of Emerson. Any attempt otherwise to sublicense, assign or transfer any of the rights, duties, or obligations hereunder without such consent is void.

      • THE PROGRAM IS NOT FOR USE IN ANY NUCLEAR AND RELATED APPLICATIONS. You accept the program with the foregoing understanding and agree to indemnify and hold harmless Emerson from any claims, losses, suits, judgments and damages, including incidental and consequential damages, arising from such use, whether the cause of action be based in tort, contract or otherwise, including allegations that Emerson's liability is based on negligence or strict liability.

      • To the extent that a third party owns and has licensed to Emerson any portion of the program, such third party owner shall be a beneficiary of this Agreement, and shall have the right to enforce its rights under this Agreement independently of Emerson.

      • BY USING THE PROGRAM, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US WHICH SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT


About DCMlink Software

Contents

    1. General Information

      Introduction to DCMlink Software
      Hardware and Software requirement
      Purpose of this Guide

      About DCMlink Software interface

      About the Menu bar
      About the Tool bar
      About the Status bar
      About the software interface views
      Device Tree
      Features
      Known limitations


About DCMlink Software

About DCMlink Software

  • What is DCMlink Software?

    One of the biggest challenges faced when controlling electric actuators is control and visibility. When plant personnel operate an entire facility, the ability to operate valves and know equipment status is critical. Generally, electric actuators provide the information needed, but when controlling numerous devices, in different open protocols and brands, using a centralized software to control and monitor the actuators is just not possible as different brands and protocols will not be recognized by a single software.

    DCMlink software allows customers to diagnose, configure, and monitor all EIM™ and Bettis™ electric actuators from a central location independent of protocol, actuator, or host system.

    This software presents information in a consistent, easy-to-interpret, human-centered design that provides the capability to diagnose, configure, calibrate, and monitor all electric actuators from a central location, independent of the protocol, actuator, or host system.

    DCMlink Benefits:

    • Integrates with Emerson’s PlantWeb™ solution.

    • Diagnose, configure, calibrate, and monitor all Electric and Electro Hydraulic actuators from a central location, independent of the protocol, actuator, or host system.

    • Improve maintenance efficiency and reduce maintenance costs.

    • Unified user interface for all Electric and Electro Hydraulic actuators including support for XTE3000, RTS, M2CP, Smart EHO, TEC2, TEC2000, MPA and HQ Series.

    • Advanced diagnostics include torque profile curves, valve control and status monitoring.

    • Communicate using Modbus, XTE RS-232, Modbus TCP-IP, Bluetooth, Infrared, and HART protocols.

    • Easy configuration and calibration methods.

    • Integrated management of asset data, profiles, alarm, and event logs.

    • PlantWeb compatible alarms in NE-107 format, alarm log, and event log features.

    • Real time actuator monitoring and control.

    • Easy navigation with simplified tree view and logo view.

    • Easy Firmware Download support for XTE3000, RTS & TEC2.

    • © 2015 – 2021 Emerson DCMlink


General Information

Hardware and Software Requirements

General Information

Supported Operating Systems

DCMlink SOLO

  • Windows 10 (64 bit)

NOTE:

DCMlink Software is not supported on Windows XP (32, 64 bit), Windows 2007, Windows 7 (32/64 bit), Windows 8(64 bit), and Windows 2012 server (64 bit).

Supported Languages

  • DCMlink(TM) Software v2.5 is only available in English(US).

Software Requirements

  • Microsoft Edge version 42 or later is recommended.

  • Microsoft Excel for exporting of Event log information is needed.

  • AMS version 10.5 or later is recommended.

Hardware Requirements

  • Computer and processor:

    • 1 Gigahertz (GHz) or faster processor needed

  • Memory:

    • 2 Gigabyte (GB) RAM (32-bit) or 4 Gigabyte (GB) RAM (64-bit)

  • Hard disk:

    • 256 Gigabyte (GB) available storage space

  • Drive:

    • CD-ROM Drive

  • Display:

    • 1024 X 768 resolution

    • 256 colors

  • COM ports:

    • Serial or USB port for connecting to a RS485 modem

  • Bluetooth:

    • Microsoft Bluetooth stack or WIDCOMM® stack compatible built-in/external Bluetooth adapter

  • RS485 converter:

    • Recommend using USOPTL4, optically isolated product from B&B Electronics

Compatible Devices

Firmware Compatibility:

NOTE:

DCMlink is tested with the below actuator firmware combinations.

Table Actuator Firmware Compatibility

Actuator | Status/Firmware Date
TEC2000 CCM: 132 dated 2015_MAY_13 or later
LDM: 119 dated 2014_AUG_07 or later
ACM: 140 dated 2016_MAY_27 or later
APD: 114 dated 2013_DEC_05 or later
TEC2 CCM: 110 dated 2019_MAR_18 or later
LDM: 110 dated 2019_MAR_11 or later
Language File: dated 2015_11_20
M2CP
DCMlink Version | Supported Firmware
1.0 | 359 (Dated: 11-Nov-2015)
2.0 | 352 (2009), 354 (2012), 359 (Dated: 11-Nov-2015), 360 (Dated: 19-Dec-2017)
2.3 | 352 (2009), 354 (2012), 359 (Dated: 11-Nov-2015), 360 (Dated: 19-Dec-2017), 361 (Dated: 23-Sep-2019)
2.4 | 352 (2009), 354 (2012), 359 (Dated: 11-Nov-2015), 360 (Dated: 19-Dec-2017), 361 (Dated: 23-Sep-2019)
2.5 | 352 (2009), 354 (2012), 359 (Dated: 11-Nov-2015), 360 (Dated: 19-Dec-2017), 361 (Dated: 23-Sep-2019), 370 (Dated: 23-Jun-2021)
MPA
DCMlink Version | Supported Firmware
1.0 - 2.4 | MPA_624_2016_05_09.hex
2.5 | MPA_624_2016_05_09.hex, MPA_627_19_Apr_2021.hex
HQ-DCM33 | HQ_DCM33_503_2015_05_27.hex or later
HQ-DCM32 | HQ_DCM32_403_2014_03_15.hex or later
Smart EHO
DCMlink Version | Supported Firmware
2.0 | Modulation(1.0.8 Dated 30_JAN_2017 or later) On Off (2.0.11 Dated 07_MAR_2017 or later) Double Acting (3.0.1 Dated 29_AUG_2016 or later)
2.3 | Modulation(1.0.15 Dated 12-Feb-2019 or later) On Off (2.0.17 Dated 8-Mar-2019 or later) Double Acting (3.0.1 Dated 12-March-2019)
2.4 | Modulation(1.0.19 Dated 23-June-2020 and Earlier version) On Off (2.0.20 Dated 04-May-2020 and Earlier version) Double Acting (3.0.1 Dated 12-March-19 and Earlier version)
2.5 | Modulation(1.0.19 Dated 23-June-2020 and Earlier version) On Off (2.0.20 Dated 04-May-2020 and Earlier version) Double Acting (3.0.1 Dated 12-March-19 and Earlier version) Integrated (4.0.5 Dated 18-June-2021 and Earlier version)
XTE3000
DCMlink Version | Supported Firmware
2.3 - 2.4 | Software (H8) rev. 9.04 Software (Pic) rev. 8.0 Logic (Base) board: DE9425
2.5 | Software (H8) rev. 9.05 Software (Pic) rev. 8.0 Logic (Base) board: DE9425
RTS
DCMlink Version | Supported Firmware
2.5 | Display: rev. 1600 Logik: rev. 232 Basis: rev. 193 Bus(Modbus): rev. 30

Table Compatibility Number

Actuator | Supported DCMlink Version
1 | 1.0 1.1 1.2 2.3 2.4 2.5

Table DCMlink AMS SNAP-ON Compatibility Matrix

DCMlink Version | AMS Version
SNAP-ON | 12.5 | 13 | 13.5 | 14 | 14.1
2.0 | ✓ | ✓ | ✓ |  |
2.3 | ✓ |  | ✓ | ✓ |
2.4 | ✓ | ✓ | ✓ | ✓ |
2.5 |  |  | ✓ | ✓ | ✓

NOTE:

Please ensure the actuator is configured with the correct compatibility number with the installed version of DCMlink. If it is less than the matching version (as per table above), please upgrade the actuator firmware. If it is greater than the matching version, please upgrade DCMlink software.

CAM Cards: The CAM209 is for TEC2000, and TEC2. While the CAM09 is for M2CP, MPA, HQ DCM33 and Smart EHO (See chapter for Modbus Initial Configuration). HQ DCM32 does not provide the option to connect an additional CAM card.

Table EIM, Bettis CAM Card Actuator Compatibility

Actuator | M2CP Family (Smart EHO, M2CP, MPA, HQ33) | TEC Family (TEC2 and TEC2000)
Modbus | CAM05 | CAM205
Modbus TCP/IP | CAM09 | CAM209
HART | CAM16 | CAM216
FOUNDATION fieldbus | CAM28 | CAM228

Table XTE3000 Card Actuator Compatibility

Protocol Name | Hardware Required
Modbus | Modbus BUS Card 494MOD1200
HART | HART BUS Card 494HRT2000v4

Table RTS Card Actuator Compatibility

Protocol Name | Hardware Required
Modbus | Modbus BUS Card


Purpose of this Guide

General Information

    • Using DCMlink, an instrument engineer, maintenance technician, or operations supervisor can determine the status of an EIM and Bettis smart electric actuator to detect problems before they impact the process. It provides an easy-to-use environment for diagnosing, configuring, and monitoring of the operating characteristics of any EIM and Bettis smart electric actuators.

      DCMlink User's Guide:

      • Provides a comprehensive guide for installing, initializing and utilizing DCMlink.

      • Provides guidance on how to digitally monitor and control valve actuators and valves in a specified network.

    • DCMlink Compatible Actuators

      • Figure Electric/ Hydraulic Actuators

NOTE:

User's Guide will be updated when new versions of the software are released. To ensure you have the latest version and information, go to the Emerson DCMlink download page.

In case there are any questions or inquiries regarding this User's Guide and supporting information, please do not hesitate to contact your Local Business Partner (LBP) or nearest Emerson office.


About DCMlink Software Interface

DCMlink Software Interface View

About DCMlink Software

In addition to the Menu bar, the Toolbar, and the Status bar, the DCMlink Software interface includes two additional major elements: The Device Connection View and the Primary Application View.

NOTE:

The application will not allow you to run concurrent applications at the same time.

The Device Connection View contains the Device tree, a graphical representation of the devices and database tags connected to DCMlink Software.

The Primary Application View shows information about an open tag. The contents of the Primary Application View change to reflect the open tag. When all tags are closed and nothing is selected, the Primary Application View displays information about the current user and the company owning the license for DCMlink Software. If a tag is closed but selected, the Primary Application View displays the tag information for that tag. If a tag is open, the Primary Application View displays information about the current feature.

NOTE:

At a time, only one Tag can be opened and operated.


About DCMlink Software Interface

About Menu Bar

DCMlink Software Interface

The menu bar allows rapid access to all DCMlink Software's features.

Certain features are available only when you are connected to a specific actuator. If a feature is not available for the specific actuator type, the toolbar button is disabled.

Menubar options

Tag

  • New Tag

    • New Modbus Tag

    • New HART Tag

    • XTE RS232/Bluetooth Tag

    • RTS ACP/Bluetooth Tag

    • FF Tag (Coming Soon)

  • Open Modify Tag

  • Close Tag

  • Import Tag data

  • Export Tag data

  • Reports

    • Current Dataset

    • Quick Report

    • Custom Report

  • Printer Setup

  • Exit/ Log out

Network

  • Rebuild

  • Check HART Network

  • Check Modbus Network

  • Check XTE RS232 Network

  • Reset Multiplexer

Actuator Setup

  • Detailed Setup

  • Mode

    • Actuator Mode

  • Actuator Action

    • Clear ESD

    • Clear CPU Reset

    • Synchronize Clock

    • Reset To Factory

    • Date And Time Settings

      • Set Date And Time

      • Timezone

      • Daylight Saving

    • BackUp Parameters

    • Restore Parameters

    • TeachIn

    • Set SmartCode

  • Change Protection

  • Foundation Fieldbus

    • Device Tag And Address

    • Restart Resource

    • Restart Processor

    • Reset Defaults

    • Write Protect

    • Advanced BlockMode

    • Activate Fault State

  • HART

    • Squawk

    • Write Protect

    • Alert Setup

Calibration

  • Analog Input 1 Calibration

  • Analog Input 2 Calibration

  • Analog Output 1 Calibration

  • Analog Output 2 Calibration

  • Home Port Calibration

  • Self Calibration

  • Analog Torque Pot Calibration

  • Multiturn Sensor Calibration

  • Calibrate Input Switches

Diagnostics

  • Status Monitor

  • Profile

    • Torque Profile

    • Max Torque Profile

    • PST /FST Torque Profile

    • Pressure Profile

  • Valve Control

  • Alarm Log

  • Operations Log

Spec Sheet (Coming Soon)

Tools

  • Scheduler

  • Batch Runner

  • Firmware download

  • Audit Log

  • Event Log Viewer

  • Database

    • Compact Database

    • Repair Database

    • Switch To Database

  • Memory Capture

  • Factory

    • Factory Settings

DCMlink Setup

  • Preferences

  • Security Group

  • Users

  • Tag Group Names

  • Tag Group Selections

  • Restart DCMlink

Help

  • Contents

  • DCMlink On Web

  • Check For Updates

  • Documents

    • DCMlink

      • DCMlink Quick Start Guide

      • DCMlink User Guide

    • Actuators

      • TEC2 IOM

      • XTE3000 IOM

      • RTS IOM

      • Smart EHO IOM

      • TEC2000 IOM

      • M2CP IOM

      • MPA IOM

      • HQDCM33 IOM

      • HQDCM32 IOM

    • CAM Boards

      • TCPIP CAM

      • FoundationFieldbus CAM

      • HART CAM

      • Profibus CAM

    • NetworkMaster

  • Report an Error

  • Legal Information

  • About


About DCMlink Software Interface

About Tool Bar

DCMlink Software Interface

Tool Bar

The toolbar allows quick and easy access to many of DCMlink Software's features. To select from the toolbar, click a toolbar button.

Certain features are available only when you are connected to a specific actuator. If a feature is not available for the specific actuator type, the toolbar button is disabled.

Toolbar options

Manage Tags button

Click to open the Tag Management dialog box. Using functions in the Tag Management dialog box, you can search all tags in the DCMlink Software tag database and then open, modify, copy, or delete a selected tag.

Dataset Report button (Not available now)

Click to print a report of the dataset currently open in the Primary Application View.

Print button (Not available now)

Click to print information from the Primary Application View. The contents of this printing is less complete and formatted differently than the Dataset Report.

Check Network button

Click to open the Check Network window.

Actuator Mode button

Click to open the Change Actuator Mode dialog box for the active tag.

Actuator Live Display button

Click to This dialog shows the live display of the RTS along with the control knobs for the active tag.

Detailed Setup button

Opens the Detailed Setup window for the active tag. Provides options for defining an instrument's operating parameters. You can retrieve information from the DCMlink Software database or from the instrument. You can also modify this data and save changes in the database or download them to the instrument.

Status Monitor button

Starts the continuous monitoring of the health of the actuator using specified actuator information.

Analog Input Calibration button

Opens the Analog Input Calibration window.

Analog Output Calibration button

Opens the Analog Output Calibration window.

Batch Runner button (Not available now)

Opens the Batch Runner window to permit defining a batch process. With Batch Runner, you can automate a user-selected group of operations to run on one or more instruments. Available only on software with Batch Runner licensed.

Scheduler button

Scheduler is a tool that allows you to run various types of tests at predefined intervals without user intervention. The Scheduler gives the DCMlink Software user the capability to specify a time and date to automatically run a task on a particular device.


About DCMlink Software Interface

About Status Bar

DCMlink Software Interface

Status Bar

A status bar at the bottom of the DCMlink Software window provides important information as you work with the software.

Statusbar options

Informational Message

Displays a general message from DCMlink Software.

Tag Name

Displays the open tag's name.

Tag Connection (Connected)

Indicates DCMlink Software is connected to the Tag.

Tag Connection (Disconnected)

Indicates DCMlink Software is disconnected from the Tag.

Actuator Protocol Mode

Indicates the mode of the HART Actuator: In Service (the yellow bulb) or Out of Service (the gray bulb).

Actuator Mode

Indicates the state of the actuator Selector knob.

Control Mode

Indicates the Actuator's control mode: analog control, digital control, Torque, or IrDA mode.

Actuator Type

Indicates that the valve is a quarter turn, multi turn or multiport valve.

Communications Indicator

Flashes as DCMlink Software communicates with the Actuator.

DCMlink Service

Indicates if the DCMlink service is Connected/ Disconnected.

Scheduler

The stopwatch icon is displayed when no task is scheduled.

Scheduler Enabled

The stopwatch icon is displayed when the Scheduler is enabled and Task(s) is scheduled.


About DCMlink Software Interface

The Device Tree

DCMlink Software Interface

The Device Connection View has icons representing the different actuators and network devices that can be connected to DCMlink Software. Also, the database tags for the actuators are found in the Device Connection View.

NOTE:

Right clicking on a device will present a list of activities that can be done on that device.

Device Tree Icons

The following list shows all of the possible icons that may appear in the Device Tree found in the Device Connection View.

Tag Icons

Indicates a device tag.

Indicates an open device tag.

Indicates a Modbus tag. For example,

Indicates a XTE3000 RS232 tag. For example,

Indicates a HART® tag. For example,

Indicates a IrDA (RTS ACP) tag. For example,

Indicates a Bluetooth tag. For example,

Indicates a Foundation Fieldbus tag. (Coming Soon)

Indicates the tag database.

Used for grouping Tag Selection groups.

Connection Icons

Indicates the PC located at the top of the device tree.

Indicates a Modbus network connection.

Indicates the local machine COM Port.

Indicates the local machine Bluetooth connection.

Indicates the local machine IRDA (RTS ACP) connection.

Indicates the local machine COM Port (XTE RS232) connection.

Indicates a HART® Protocol.

Indicates the local machine HART Modem COM Port.

Indicates the local machine COM Port Multiplexer connection.

Indicates a Foundation Fieldbus Protocol. (Coming Soon)

Device Icons

Indicates XTE3000 actuator.

Indicates Smart EHO actuator.

Indicates TEC2 or TEC2000 actuator.

Indicates M2CP actuator.

Indicates MPA actuator.

Indicates HQDCM32 actuator.

Indicates HQDCM33 actuator.

Indicates RTS actuator

Network Icons

NOTE:

Interface availability is a capability of AMS Device Manager. DCMlink SNAP-ON does not control or limit this functionality.

AMS DCMlink SNAP-ON.

Indicates the SNAP-ON HART Modem COM Port.

Indicates the SNAP-ON COM Port Multiplexer connection.

Indicates the SNAP-ON for a DelatV network connection.

Indicates the SNAP-ON for a wireless network connection.

© 2015 – 2021 Emerson DCMlink


About DCMlink Software Interface

Features

DCMlink Software Interface

  • Supported Actuators :

    • XTE3000

    • RTS

    • Smart EHO

    • M2CP

    • TEC2

    • TEC2000

    • MPA

    • HQ-DCM32

    • HQ-DCM33

  • Supported Protocol :

    • Modbus Master Protocol

    • RDM Slave Protocol

    • Modbus TCP-IP Protocol

    • XTE RS-232 Protocol

    • RTS ACP Protocol

    • Bluetooth Communication

    • HART Protocol (SOLO, AMS SNAP-ON)

  • Supported Features :

    • Status Monitor

    • Detailed Setup (Config, Save, Compare, Export, Import settings)

    • Factory Settings (for factory personals)

    • Valve Control

    • Torque Profile (Archive, Save, Export, Compare)

    • PST - Torque Profile

    • FST - Torque Profile

    • Max - Torque Profile

    • PST - Pressure Profile

    • Analog Input Calibration

    • Analog Output Calibration

    • Smart EHO- Self Calibration

    • MPA- Port Calibration

    • MPA- Home Port Calibration

    • Extract Device Info

    • Event/Data Log

    • Firmware Download

    • Custom Characterization

    • Scheduler

    • Database Support (Save, Delete, Retrieve, Copy, Export, Import)

    • Communication Viewer


About DCMlink Software Interface

Known Limitations

DCMlink Software Interface

  • The installation of DCMlink requires administrator rights.

  • The Operating System UAC Level > 1 may result in the display of a message seeking privilege to run DCMlink.

  • Multilingual installation is not supported in DCMlink.

  • DCMlink Release #2.5 supports only English(US) language, check settings from Control Panel->Region and Language -> Format. When format changed from English (US) to other country format user may face issues in DCMlink.

  • Standard operating system themes are recommended when using DCMlink as this software does not support high contrast themes.

  • Not enough quota is available to process this command message box appears in DCMlink. Workaround: Close the DCMlink application and launch it again.

  • DCMlink shows unexpected error "Gregorian date" on status monitor screen. Workaround: Close the DCMlink application and launch it again.

  • Scheduler status and execution would misbehave if user starts scheduler execution when any of screens are opened of the device; for which task is scheduled.

  • Adding same task multiple times for any device is not possible. e.g.: If PST is scheduled for one device; DCMlink would not allow user to schedule another PST for the same device. User must delete the earlier task and need to re-“Add task”.

  • Executing multiple tasks at the same time is not possible for same device. e.g.: Extract device info, PST tasks cannot be run at same time. It can be scheduled to execute in sequence.

  • DCMlink gives - Device not found during XTE3000 Firmware read operation. Workaround: Close the Firmware dialog and read the Firmware again.

  • Smart EHO: Model Operating Pressure (MOP)/Maximum Self Calibration parameters require Setup Mode. Please use Actuator Mode to enter Setup Mode to modify these parameters.

  • Smart EHO: Actuator Fully Open Time and Close Time parameters do not show any value on DCMlink.

  • Setup Mode need to be manually exited at configuration screen (Actuator Mode > Exit Setup Mode).

  • Firmware download option for TEC2 device is only available in Modbus protocol.

  • DCMlink cannot configure "Lost Analog Delay Time" parameter in case of TEC2000 actuator.

  • DCMlink cannot configure "Speed Control Bandwidth" parameter in case of TEC2000/ TEC2 actuator.

  • DCMlink is unable to detect TEC2 at 115200 Baud Rate using the Microflex 485 converter.

  • Actuators: DCMlink does not support M2CP 320A or non-protocol versions of the M2CP actuator (it supports M2CP 320B).


Installing DCMlink

Contents

    1. Initial Setup

      Installation tools and device documentation
      System requirements
      Supported Operating Systems, Hardware and Software Requirements

      Installing DCMlink

      Installation overview
      Reinstall and Repair
      Update Online
      Update Offline
      Uninstall

      License Activation Wizard

      License Activation Wizard
      License Feature
      Obtaining your license
      Activating license key file
      Activating temporary license


Initial Setup

Installing DCMlink

    • Before You Begin

      The DCMlink software installation process includes several steps, some of them dependent on the type of personal computer system that will run DCMlink software and its configuration. In order to successfully install and run DCMlink software, it is important that the user follows all the appropriate steps covered in this installation guide. Prior to beginning installation, please:

      • Verify if personal computer system meets the hardware and software requirements specified in this section.

      • Gather the necessary installation tools and documentation.

    • Installation Tools and Device Documentation

      Before beginning the installation procedure, make sure the following items are available:

      • DCMlink software installation media (software download link, CD, or USB media).

      • Any hand tools (i.e. screwdriver) needed for installing communications hardware.

      • Communications hardware such as the RS-485 modem, and any necessary wires, cables, or other equipment specified in the device documentation for the RS-485 instruments.

      • Personal computer with a serial or USB port for connecting to a RS-485 modem, HART modem, DeltaV, RS-232 Cable, IRDA Dingle, Multiplexer, wireless gateway.

    • Maintain Saved Actuator (Tag) Data

      The DCMlink software allows to maintain the actuator database while moving to the newer version.

      Table Maintain Actuator (Tag) Data compatibility

      From

      To

      Regain Old Actuator (Tag) Data

      1.1.295.0

      2.4.21.1

      Data Base was not available in Release#1. So there is no data to regain from Release#1.

      2.0.620.0

      2.4.21.1

      Recommended Option

      Not Recommended

      -Export Tag(s)

      -Take Backup of Database file

      -Uninstall

      -Delete DCMlink folder from Install Directory

      -Install DCMlink #2.5

      -Import Tag(s)

      -Install DCMlink #2.5 without deletion of old database file

      2.3.40.0

      2.4.21.1

      Recommended Option 1

      Recommended Option 2

      -Take Backup of Database file before Upgrade.

      -Uninstall/ Upgrade DCMlink to #2.5

      -Export Tag(s)

      -Take Backup of Database file

      -Uninstall/ Upgrade DCMlink to #2.5

      -Import Tag(s) if Database Tag(s) not loaded.

If you are using any intermediate BETA build, please ensure below steps to ensure zero data loss while upgrading to latest version:

1. Data base backup is done first

2. Perform Tag Export using old version

3. Install latest version

4. Import Tag

NOTE:

It is always recommend to use released version of DCMlink, as mentioned above (v1.1.295.0, v2.0.621.2, v2.3.40.0, v2.4.35.1 Á 2.5.3.1).


Initial Setup

Installing DCMlink

    • System Requirements

      • DCMlink Software 2.5, has been tested on computers manufactured by Dell, Inc. However, DCMlink software runs on any personal computer or notebook computer equipped with the required software and hardware features.

      NOTE: Actual requirements and product functionality may vary based on system configuration and operating system. DCMlink Software 2.5, has not been tested on a personal computer using the Windows 95 operating system and is not supported on Windows 2003, Windows 98, Windows Me, Windows NT, Windows 2007, or Windows XP operating systems.


Installing DCMlink

Installing DCMlink

  • Installation Overview

    DCMlink Software should be installed on a computer that meets the system requirements. The following steps detail how to uninstall and reinstall. Reinstall if the software is to be removed, updated, or repaired only.

  • New Installation

    CAUTION

    - If the user has a previous version already installed, please uninstall it first from the Control Panel >Add Remove Programs . Next, please delete the DCMlink shortcut from the Desktop. - If the user has latest version of DCMlink already installed and wants to install Prior build of DCMlink on top of it then recommendation is to uninstall the latest version of DCMlink from Add/Remove programs then only install the prior builds of DCMlink.

    Locate and then open the 'DCMlink Software v2.5 Installation.exe' located in the installation folder found in the DCMlink installer (sent to customer via web link, CD or USB media).

    • NOTE:

    Installation of DCMlink requires administrator privileges.

    Figure DCMlink Installer

    Click Next button.

    Figure DCMlink Installation Initialization

    There are 2 options for installation. Click on one option and then click Next.

    • DCMlink SOLO

    • DCMlink SNAP-ON

    NOTE:

    Both SOLO and SNAP-ON can be installed in one installation by selecting both options.

    DCMlink SOLO

    NOTE:

    Install DCMlink software for stand-alone operation.

    Figure DCMlink SOLO Option

    DCMlink SNAP-ON

    NOTE:

    Install DCMlink software enabled for operation as a SNAP-ON to AMS Device Manager. AMS Device Manager must be licensed for the DCMlink SNAP-ON.

    Figure DCMlink SNAP-ON Option

    Read Terms and Conditions and select accept and click Next.

    Figure Terms of Use

    Next, click Install.

    Figure Install DCMlink

    Installation will begin.

    Figure Installation Progress Bar

    Click Finish to complete installation.

    Figure Completing the Installation

    Start DCMlink application from desktop shortcut or from the list of All Programs.

    Figure DCMlink Start Menu Shortcut

    © 2015 – 2021 Emerson DCMlink


Repair DCMlink

Reinstall and Repair

Installing DCMlink

  • DCMlink reinstallation is an option available to repair a DCMlink installation without uninstalling it. Follow below to execute reinstallation:

  • Run 'DCMlink Software v2.5 Installation.exe' located in the installation folder.

    • Figure Initializing Reinstallation

    After initializing the InstallShield Wizard, click Next.

    Figure Ready to Reinstall

    Click Install to begin reinstallation.

    Figure Begin Reinstallation

    Reinstallation

    Figure Reinstallation Progress Bar

    Once reinstallation completed, click Finish.

    FigureReinstallation

    © 2015 – 2021 Emerson DCMlink


Auto Update DCMlink

Auto Update

Installing DCMlink

If any new version of DCMlink is available, all users will get a notification about it. User is notified about update on launching of DCMlink application or using menu option Help -> Check for Updates -> Update Online.

NOTE:

User with Administrative rights will only be able to launch DCMlink Updater.

  • To install DCMlink updates, click on ‘Yes’.

    • NOTE:

    • The above dialog would only appear during DCMlink launch if there is a newer version available.

    • Snooze option in above dialog will not appear, if update is checked from menu option Help -> Check for Updates -> Update Online.

  • On Launching DCMlink Updater below screen is shown, that specify the size of download, available version, Release Note and other information. To proceed with Update, user need to agree to “Emerson Data Privacy Policy” and Click on “Install”

    • Once Update operation is completed. DCMlink Application gets Closed. After update if user “Check For Update” again, below screen will be shown.

    Figure Using latest Version

    © 2015 – 2021 Emerson DCMlink


Update DCMlink Offline

Update Offline

Installing DCMlink

This option enables Users with no internet connectivity, to update DCMlink to the latest available version. This option is present at Help->Check for Updates -> Update Offline.

NOTE:

  • User with Administrative rights will only be able to launch DCMlink Updater.

Figure: Launching Update Offline

  1. Preparing for Offline Updates

    Figure: Preparing for Update Offline

    • Step 1: If user does not have internet connectivity and need to update DCMlink Application, then select the option - This PC .

    • Step 2: User needs to select a folder in Removable disk, where DCMlink updates could be carried.

    • Step 3: Once the Removable disk is prepared for offline update, user needs to connect this disk to a computer that has internet connectivity and DCMlink installed (version 2.5 and later).

  1. Download Offline Updates for Others

    Figure: Download DCMlink Update for Others

    • Step 1: The option Others is only selected to download DCMlink updates for other's PC. In this computer internet connectivity shall be present.

    • Step 2: Connect the Removable disk.

    • Step 3: Click on Select Disk button. And browse to the same folder in Removable disk that was prepared for Offline update.

    • Step 4: Download all DCMlink updates and disconnect the Removable disk.

    • Step 5: User needs to select a folder in Removable disk, where DCMlink updates could be carried.

  1. Installing Offline Update

    Figure: Update DCMlink Offline

    • Step 1: Connect Removable disk that has DCMlink update.

    • Step 2: Select option This PC and browse to the same folder in Removable disk that contains DCMlink updates.

    • Step 3: Install the updates.


Uninstalling DCMlink

Uninstall

Installing DCMlink

  • There are two ways to uninstall the DCMlink software. The first method is performed by launching the DCMlink installer through the steps below:

    Run 'DCMlink Software v2.5 Installation.exe' located in installation folder.

    • Figure Uninstall Using DCMlink Installer

    After initializing the InstallShield Wizard, click Next.

    Figure Uninstall Window

    Select the Remove and click Next.

    Removing DCMlink

    Uninstall begins.

    Figure Start Uninstallation

    The second method to uninstall of DCMlink is through the Control Panel in Windows. It can also be done by running the DCMlink installer. To uninstall via Control Panel, access Programs and Features, select DCMlink and click uninstall.

    1. Click Windows Start.

    2. Click Control Panel.

    3. Click Programs and Features.

    4. Select DCMlink(published by Emerson).

    Uninstall from Windows Control Panel

    Click Uninstall.

    Next, Click Yes.

    NOTE:

    If the Windows Administrator window pops up, click Yes to proceed with the removal of DCMlink.

    After windows completes the uninstallation, any shortcuts to DCMlink will automatically be deleted.


License Activation Wizard

Installing DCMlink

Launching License Wizard from DCMlink

Double click DCMlink icon. The user will be prompted to run the License Wizard and click Yes.

Figure Launching License Wizard

Launching License Wizard from Program Files

Select this option from Program Files.

Figure Launching License Wizard

© 2015 – 2021 Emerson DCMlink


License Features

License Activation Wizard

  • License Features

    Table DCMlink License Features

    Feature | Product Name
    SOLO | SNAP ON
    SOLO Standard Unlimited | SOLO Advanced (Under Development) | SNAP-ON Unlimited
    Modbus Master ✓ ✓ Not Applicable
    Modbus Slave ✓ ✓ Not Applicable
    Modbus TCP-IP ✓ ✓ Not Applicable
    Bluetooth ✓ ✓ Not Applicable
    HART Modem Not Supporting ✓ ✓
    HART Multiplexer ✓ ✓ ✓
    Standard Diagnostics (Torque Profile, Step Response) ✓ ✓ ✓
    Standard Diagnostics (Partial Stoke Test) ✓ ✓ ✓
    Status Monitor ✓ ✓ ✓
    Configuration ✓ ✓ ✓
    Calibration ✓ ✓ ✓
    Database With # of Tags | Unlimited | Unlimited | Unlimited

    • © 2015 – 2021 Emerson DCMlink


Obtaining Your License

License Activation Wizard

  • Obtaining Your License

    Double click DCMlink icon. The user will be prompted to run the License Wizard and click Yes.

    • Figure Running License Wizard

    Next click Purchase SNAP-ON.

    Figure Request New License

    Enter the contact details. All fields are required. This information will be used to request a license key.

    Figure Input License Information

    Click Next.

    Provide the serial number and REP order number (e.g. DEMO).

    Figure Input Serial Number / REP Order Number

    After the registration form is completed, the information can be saved and/or printed. Click Save to generate a license key request file. Once complete, click Next.

    Figure Input Received License Key

    The license request has now been sent to the DCMlink Registration Center. Click Finish.

    Figure Finishing the License Key Request

    To obtain license, send license registration file to the email address mentioned in the above screen. User can also send a scanned copy of the printed registration form. Or call the number shown above to obtain the license key (please have the registration code/file ready).


License Activation Wizard

Activating License Key File

License Activation Wizard

After the user receives the license key file, please re-run the License Wizard by double-clicking on DCMlink icon and, click Enter License Key.

Figure Entering the License Key File

Click Import from File and select the license key file with the .lic extension. This is the license key file the user received via the DCMlink registration. Once loaded, click Next.

Figure Import Existing License Key File

Once the license key has been imported, the installed DCMlink features will be shown on this window. Click Next.

Figure Available Features Review

The following user information window will appear. If needed, the user may update the details. Click Next.

DCMlink is now successfully licensed. Click Finish.

Figure Complete License

© 2015 – 2021 Emerson DCMlink


License Activation Wizard

Activating Temporary License

License Activation Wizard

DCMlink allows the use of a time-limited or temporary license that permits the use of certain software features for the duration of the license. Consult the following steps to activate this temporary license.

NOTE:

By default, DCMlink Standard (SOLO) provides unlimited and SNAP-ON for 90 days trial. After the 90 days trial period, the user needs to request a permanent DCMlink license for SNAP ON.

Click on the 'SOLO Free/ SNAP-ON Trial' button.

Figure Browse for License File

Loading the temporary license provides the message below. Click Next.

Figure Input License Information

Click Next.

Figure Review and Accept

Accept Emerson policy and Click Next.

Figure Temporary License Activated

Click Finish after the process is completed.

Figure Temporary License is Complete

Activated software features are shown in the window below:

Figure Software Features Listing

If Internet connectivity is not present, then save Registration file and follow steps to 'Activate License Key for Other PC' mentioned below.

Figure Save Registration File

Activate License Key for Other PC.

Using this option DCMlink allows to generate license key for another computer. To do so internet connectivity and another computer’s Registration file is Required. Consult the following steps to activate this temporary license.

NOTE:

To do so this computer shall be connected to internet.

Click on “License for Other’s PC” button and click Next.

Figure Load Registration file of Other’s PC

Figure License key file for Other’s PC

NOTE:

1. Carry this License file to your system.

2. To Activate the License on your system, follow all steps as mentioned in Activating License Key section


Get Started with DCMlink

Contents

    1. How to Launch DCMlink

      Home Screen

      Software Information

      Network Interface Connection

      Connected Device Information

      Configuring Preferences

      Configuring Communications in Modbus
      Configuring Communication in XTE RS-232
      Configuring Communications in RTSACP
      Configuring Communications in HART
      Configuring Communications in Bluetooth
      Change Network Parameter
      Gauge Type Analog and Digital
      Raw Value in Position Dial (for MPA only)


Get Started with DCMlink

How to Launch DCMlink

Get Started with DCMlink

  • How to Launch DCMlink

    After successfully installing DCMlink, the program may be started by following the steps below:

    • Click (Windows) Start.

    • Click All Programs.

    • Click Emerson Process Management.

    • Click DCMlink Folder.

    • Click DCMlink Icon.

      • NOTE:

      Alternatively, DCMlink can be started by just double-clicking the desktop icon during the installation.

      Figure DCMlink Icon

      Figure Starting DCMlink

    © 2015 – 2021 Emerson DCMlink


Get Started with DCMlink

Home Screen

Get Started with DCMlink

  • Once DCMlink is launched, the screen shown below is displayed. In this example, the tool bar items have been labelled.

    • Figure DCMlink Home Screen


Software Information

Get Started with DCMlink

  • Once DCMlink is launched, the screen shown below is displayed. In this example, the tool bar items have been labelled.

    • Figure DCMlink Start Screen

    • Application Name: Lists the software name and version.

    • Manufacturer: Shows the company that developed and published the DCMlink.

    • Serial Ports Installed: Lists the number of detected serial ports.

    • Serial Ports Configured: Lists the number of ports added in DCMlink.

    • Modbus RTU Modems: Lists the number of ports added in Modbus Master.

    • RDM Slave Modems: Lists the number of devices configured for RDM Slave.

    • Modbus TCP Ports: List the number of detected Modbus TCP.

    • Bluetooth Ports: Lists the number of Bluetooth devices.

    • HART Modems: Lists the number of detected HART modems.

    • HART Multiplexers: Lists the number of detected HART multiplexers.

    • XTE RS-232 Modems: Lists the number of detected XTE RS-232 Modems.

    • RTS Infrared Modems: Lists the number of detected RTS Infrared Modems.

    • Fieldbus Devices: Lists the total number of FOUNDATION™ fieldbus devices.

    • Total Modbus Devices: Lists the number of detected Modbus devices.

    • Total Modbus RTU Devices: Lists the number of detected Modbus RTU devices.

    • Total RDM Slaves: Lists the number of total RDM slaves.

    • Total Modbus TCP Devices: Lists the number of detected Modbus TCP/IP devices.

    • Total Bluetooth Devices: Lists the total number of detected Bluetooth devices.

    • Total HART Devices: Lists the total number of detected HART devices.

    • Total XTE RS-232 Devices: Lists the total number of detected XTE RS-232 devices.

    • Total RTS ACP Devices: Lists the total number of detected RTS ACP devices.

    • Total Fieldbus Devices: Lists the total number of detected Fieldbus devices.


Network Interface Connection

Get Started with DCMlink

The network interface screen shows the selected protocol's starting display.

Figure Modbus Network Start Screen

For serial port Information, select the configured COM Port in the navigation bar. This shows information related to the host computer and connected devices.

Figure Serial Port Information

  • Machine Name: Lists the name of the computer running DCMlink.

  • Baud Rate: Shows the baud rate configured during the creation of the port.

  • Parity: Shows the parity (if any).

  • Stop Bits: Lists the stop bits configured during the creation of the port.

  • Timeout Delay: Shows the delay set in communication before a timeout is recorded.

  • Protocol: Shows the chosen protocol for the created port.

  • Devices Attached: Lists the number of devices detected in the port.


Get Started with DCMlink

Connected Device Information

Get Started with DCMlink

Device information display shows all the information from a detected actuator tag.

Figure Device Information

  • Tag Name: Lists the tag name of the selected actuator tag.

  • Actuator Style: Shows the type of actuator detected.

  • Actuator Serial Number: Displays the actuator serial number.

  • Device Type: Indicates the model of the selected actuator.

  • Device Address: Lists the port address of the selected actuator.

  • Firmware Revision: Shows the firmware revision of the selected actuator.


Configuring Preferences

Change Network Parameter Settings

Get Started with DCMlink

  • DCMlink allows the modification of communication settings. To change network parameters.

    Use following steps:

    • From Menu Option DCMlink Setup.

    • Select Menu Option Preferences.

    • On Preferences window, select Communication Tab.

    • Select the Network Port.

    • Click on Property button.

    • Accordingly modify the parameters.

    • Figure Changing Network Parameters


Get Started with DCMlink

Configuring Communication in Modbus

Configuring Preferences

Configuring Communications in Modbus

  • There are 3 different sections for Modbus Protocol:

    • Modbus Master

    • RDM Slave

    • TCP

  • Configuring Communications in Modbus Master

    • From the menu bar, click DCMlink Setup.

    • Click Preferences.

    • Figure DCMlink Icon

    • On Preferences window, click Communication tab.

    • Click preferred protocol and click Add.

    • Click Mode.

    • There are three different sections for Modbus Master/RDM Slave/TCP.

    NOTE:

    Modbus TCP is based on the DCMlink license that user has.

    Figure Steps 3, 4, and 5

    • Select COM Port connected to the actuator(s).

    Figure COM Port Selection

    • Select Baud Rate.

    Figure Baud Rate Selection

    DCMlink supports following Baud Rates: 1200, 2400, 4800, 9600, 19200, 38400, 57600, 115200.

    • Click Save (if there are no other preferred settings).

    Figure COM Port is Now Saved

  • Click on Scan For New Devices. Details on Network Scan can be found in Scan Device Section

    • NOTE:

    COM port settings shall match with device(s)

    • The Baud rate, parity, Stopbits shall match.

    • All devices connected to the same COM port shall use the same settings.

    • Use multiple COM ports incase if different settings are required.

    Configuring Communications in RDM Mode
    The DCMlink fully supports the RDM slave mode connection with TEC2000 actuator.

    • For this, select the serial COM port number and select timeout delay as per actuator COM port settings.

    NOTE:

    RDM Slave Mode is only available in TEC2000 actuator. DCMlink works with below settings in order to connect with TEC2000 in RDM mode.

    • Baud Rate: 9600

    • Parity: None

    • Stop Bits: 1

    The DCMlink fully supports the RDM slave mode connection with TEC2000 actuator.

    Figure Modbus RDM Slave

    • Live Communication Viewer details are covered in Modbus Traffic Viewer Section.

    NOTE:

    Once DCMlink is connected to TEC2000 in RDM Slave Mode it keeps polling even if the user closes status monitor/detailed setup, etc. DCMlink offers a provision for the user to enable or disable RDM polling in the background.

  • Configuring Communications in Modbus TCP/IP

    In Preference Settings, select the mode as Modbus TCP and enter the IP address and port number, timeout delay as per actuator port setting.

    • Figure Modbus TCP

  • DCMlink will work with below settings in order to connect with Modbus TCP mode:

    • IP Address-Standard IP address format

    • IP Port- Standard IP port number format

    • Timeout Delay (Text Box)- 0-5000 (default: 100)

    • Figure Modbus TCP

    • After the IP address and IP Port number added under Modbus in Navigation Pane will be displayed.

    Figure Address Indication

  • To scan and identify a device connected to the Modbus TCP/IP, go through following steps:

    • Right-click on IP port address and select Scan for New Devices.

    • Figure Scan for New Devices

    • On the Modbus Network Scan window, observe the start IP address, End IP address, and Port number which is similar to configured IP address under Modbus Tag in Navigation Pane.

    • Click Start.

    • Once the device is found, click Stop, followed by Close.

    Figure Device Tag

    • Notice that the device tag appears on the Navigation Pane.

    • Live Communication Viewer details are covered in Diagnostics Section.

    NOTE:

    In order to use Modbus TCP/IP, the user must have a CAM209/09 card. Default IP Address for CAM Card is: 192.168.1.192 and IP Port is: 502.


Configuring Preferences

Configuring Communication in XTE RS-232

Configuring Preferences

Configuring Communications in RS-232

  • This configuration is used in connecting XTE3000 over RS-232 protocol.

  • Configuring Communications in XTE RS-232.

    • From the menu bar, click DCMlink Setup.

    • Click Preferences.

    • Figure

    • On Preferences window, click Communication tab.

    • Click preferred protocol and click Add.

    NOTE:

    XTE RS-232 is based on the DCMlink license that user has.

    Figure Steps 3, 4, and 5

  • Select COM Port connected to the actuator(s).

    • Figure 57 COM Port Selection

    Select Baud Rate.

    Figure 58 Baud Rate Selection

    DCMlink supports following Baud Rates: 1200, 2400, 4800, 9600, 19200, 38400, 57600, 115200.

    • Click Save (if there are no other preferred settings).

    Figure COM Port is Now Saved

    • On Protocol Selection View (navigation pane), right-click on the newly created COM# Port.

    • Click on Scan For New Devices . Details on Network Scan can be found in Scan Device Section

    NOTE:

    • COM port settings shall match with device(s).

      • The Baud rate shall match. Only in case of XTE3000 if selected Baud rate does not match then it automatically try with next Baud rate.

      • User Name & Operator Name should be selected.

      • All devices connected to the same COM port shall use the same settings.

    Figure Scan for New Devices

    • On the XTE RS-232 Network Scan window, observe the Port number which is similar to configured COM Port under XTE RS-232 Tag in Navigation Pane.

    • Click Start.

    • Once the device is found, click Stop, followed by Close.

    • Notice that the device tag appears on the Navigation Pane.

    • Live Communication Viewer details are covered in RS232 Traffic Viewer Section.

    • © 2015 – 2021 Emerson DCMlink


Configuring Preferences

Configuring Communication in RTSACP

Configuring Preferences

Configuring Communications in RTSACP

  • This configuration is used in connecting RTS over Infrared.

  • Configuring Communications in RTSACP.

    • From the menu bar, click DCMlink Setup.

    • Click Preferences.

    • Figure

    • On Preferences window, click Communication tab.

    • Click preferred protocol and click Add.

    NOTE:

    RTSACP is based on the DCMlink license that user has.

    Figure Steps 1, 2, and 3

  • Select COM Port connected to the actuator(s).

    • Figure COM Port Selection

    • Click Save (if there are no other preferred settings).

    Figure COM Port is Now Saved

    • On Protocol Selection View (navigation pane), right-click on the newly created COM# Port.

    • Click on Scan For New Devices . Details on Network Scan can be found in Scan Device Section

    NOTE:

    COM port settings shall match with device(s).

    Figure Scan for New Devices

    • On the RTSACP Network Scan window, observe the Port number which is similar to configured COM Port under RTSACP Tag in Navigation Pane.

    • Click Connect.

    • Once the device is found, click Close.

    • Notice that the device tag appears on the Navigation Pane.

    • Live Communication Viewer details are covered in RTSACP Traffic Viewer Section.


Configuring Preferences

Configuring Communications in HART

Configuring Preferences

Configuring Communications in HART

  • There are 4 different sections for HART Network

    • HART Modem (SOLO & SNAP-ON)

    • HART Multiplexer (SOLO & SNAP-ON)

    • Wireless Gateway (SNAP-ON)

    • DeltaV (SNAP-ON)

  • HART Modem

    • From the menu bar, click DCMlink Setup.

    • Click Preferences.

    • Figure Preferences in Menu Bar

    • On Preferences window, click Communication tab.

    • Click HART.

    • Click Add.

    • Figure Communication with HART Mode

    • Click on HART Mode and select option Modem.

    Figure Configuring HART Port through Modem

    • Select COM Portconnected to the actuator. COM port listed will be only the HART Modems connected to computer.

    FigureCOM Port Selection

    • Baud rate is fixed at 1200.

    • Select Master Type:

  • Primary: Primary master is communicating device, such as HART capable control system permanently wired to field instrument.

  • Secondary: Secondary master is not permanently wired to field instrument. A hand-held communicator or a HART modem attached to computer running DCMlink software typically communicates as secondary.

    • Figure Master Type Selection

  • Parity is fixed at Odd.

  • Stop Bits is fixed at 1.

  • Timeout delay: Should be user editable text box the default value should be 300 ms and the range should be 300 - 5000 ms.

    • Figure Timeout delay

    • Multidrop Enabled: If selected should enable Multidrop otherwise it should be point to point communication with the address range of 0 to 63.

    NOTE:

    In Multidrop Mode, current is fixed at 4 mA.

    Figure Multidrop Selection

    • Click Save.

    Figure COM Port is Now Saved

    • On Protocol Selection View (navigation pane), right-click on the newly created COM# Port.

    • Click Scan For New Devices.

    Figure Scan for New Devices

    • View after HART Modem configuration. Details on Network Scan can be found in Setup HART Network

    Figure View after HART Modem configuration.

  • HART MUX(Multiplexer) Setting

    • From the menu bar, click DCMlink Setup.

    • Click Preferences.

    • Figure Preferences in Menu Bar

    • On Preferences window, click Communication tab.

    • Click on the HART protocol.

    • Click Add.

    Figure Communication with HART Mode

    • On HART Mode window, click Multiplexer..

    Figure Configuring HART Port through Multiplexer

    • Select COM Port connected to the actuator. COM Port is generated because of RS485 Modem.

    Figure COM Port selection

    • Select Acceleration High, Low, None

    Figure Acceleration selection

    • Baud rate: Available Baud rate is 9600, 19200, or 38400.

    Figure Acceleration selection

    • Select Master Type:

      • Primary: master is communicating device, such as HART capable control system permanently wired to field instrument.

      • Secondary: Secondary master is not permanently wired to field instrument. A hand-held communicator or a HART modem attached to computer running DCMlink software typically communicates as secondary.

    Figure Master Type selection

    • Parity is fixed at Odd.

    • Stop Bits is fixed at 1.

    • Should be user editable text box the default value should be 300 ms and the range should be 300 - 5000 ms.

    Figure 78

    • Scan for Multiplexer at address range. Add address range from 0 to 63.

    NOTE:

    The Multiplexer address is used by DCMlink internally while detecting the connected Multiplexer in Network.

    Figure

    • Click Save.

    Figure COM Port saved

    • On Protocol Selection View (navigation pane), right-click on the newly created COM# Port.

    • Click Scan For New Devices

    Figure Scan for New Devices

    • View after HART MUX is configured. Details on Network Scan can be found in Setup HART Network Section

    Figure View after HART MUX configuration

    • Wireless Network: This can be used in SNAP-ON mode only. For AMS SNAP-ON user launches DCMlink from AMS. No configuration is required in DCMlink preference. Make sure DCMlink SNAP-ON is installed on PC, please refer to Setup HART Network Section

    • DeltaV Network: This can be used in SNAP-ON mode only. For AMS SNAP-ON user launches DCMlink from AMS. No configuration is required in DCMlink preference. Make sure DCMlink SNAP-ON is installed on PC, please refer to Setup HART Network Section


Configuring Preferences

Configuring Communications in Bluetooth

Configuring Preferences

Configuring Communications in Bluetooth

  • DCMlink allows the detection and configuration of devices connected via Bluetooth. Using the Bluetooth device scanner in the navigation bar, the user can perform a device scan by following the step in the screenshots below.

    • NOTE:

    • There is no setting required for Bluetooth, under preferences.

      • The user needs to have Bluetooth enabled on their computer to allow the use of this function

      • The user can check if their computer has Bluetooth function enabled or not. If the bluetooth function is not present, please consult your system administrator or IT.

    Figure Scan For New Devices

    © 2015 – 2021 Emerson DCMlink


Configuring Preferences

Gauge Type (Analog/Digital)

Related Topics
Configuring Preferences

  • DCMlink features two viewing options for gauges: Analog and Digital. The two viewing options will show the user the required information using a conventional gauge style for the analog and a seven-segment style display for the digital format.

  • To change the default setting (analog) to digital use following steps:

    • On the menu bar, click DCMlink Setup

    • Click General tab

    • Put a check mark of Digital Indicator (uncheck if desired display is analog).

    • Click OK.

    • While viewing the Tag indicators, click Close Tag on the bottom right.

    • Reselect the actuator Tag from the navigation pane and double-click.

    • The display shown on the indicators will now be of the selected format.

    • Figure Analog Display

    Figure Digital Display

    © 2015 – 2021 Emerson DCMlink


Configuring Preferences

Raw Value in Position Dial (for MPA only)

Related Topics
Configuring Preferences

  • Option Preference for showing percentage (%) or raw value in Dial (MPA). This is applicable to the MPA only, and only for the Position Dial. By default, this check box shall be unselected (shown as %). User can opt to see Position in Raw Value format in Dial.

    • Figure Raw Value in Position Dial (for MPA only)

    Figure Raw Value Gauge Display

    © 2015 – 2021 Emerson DCMlink


Setting Up DCMlink Networks

Contents

    1. Setup Networks

      Setup Modbus Network
      Setup Modbus TCP/IP Settings
      Setup RDM Connection Settings
      Setup Bluetooth Network
      Setup HART Network
      Setup Networks for DCMlink SNAP-ON
      Setup AMS SNAP-ON
      Setup Foundation™ Fieldbus Network
      Troubleshooting Communication Issues


Setting Up DCMlink Networks

Setting Up Modbus Networks

Setting Up DCMlink Networks

Modbus Master (RTU) Network

NOTE: For Modbus, there are three types of connections available. First is the Modbus Master, second is RDM slave mode (only for TEC2000) and third one is TCP/IP (user needs CAM09/209 card). Refer to the following wiring connection to connect DCMlink to the respective actuator.

CAUTION: TURN OFF POWER BEFORE WIRING

Before working on the wiring connections, power down the actuator.

  1. For XTE3000

      Pin: A1+, A2- OR

      Pin: A5+, A6-

    2. Figure Modbus Connection on XTE3000 Terminal

    NOTE:

    For XTE3000, the user will need the Modbus Bus Card.

  2. For Smart EHO

      Pin 39 to +Ve of RS485

      Pin 41 to -Ve of RS485

      Pin 40 to ground of RS485 [Optional]

    3. Figure Modbus Connection on Smart EHO STC

  3. For TEC2

    Please refer to the following for different wiring connections:

    a. For Modbus Master Mode:

      Pin 39 to +Ve of RS485

      Pin 41 to -Ve of RS485

      Pin 40 to Ground of RS485 [Optional]

    4. Figure Modbus Connection on TEC2 STC

    NOTE:

    The pins above should be used only for the CAM205 or CAM228. For the TEC2, the recommended connection is the dedicated DCMlink port. For more information on the pin layout, consult the TEC2 Instruction and Operation Manual.

    b. For Modbus Master Mode (Using DCMlink dedicated pins). Another way to connect DCMlink with TEC2 is by using DCMlink dedicated pins (36, 37, and 38). The following are the dedicated pin details:

      Pin 36 to +Ve of RS485

      Pin 38 to -Ve of RS485

      Pin 37 to Ground of RS485 [Optional]

    NOTE:

    For this section "b" only, connection baud rate is 115200.

    c. For Modbus Master Mode on HART CAM216:

      Pin 39 to +Ve of RS485

      Pin 40 to -Ve of RS485

    After wiring the connections with the actuator, check the serial port number on PC. For this, right-click on My Computer and go to “Manage-> Computer Management -> System Tools -> Device Manager-> Ports -> Communication Port (Port Number)."

  4. For TEC2000

    Please refer to the following for different wiring connections:

    a. For Modbus Master Mode:

      Pin 39 to +Ve of RS485

      Pin 41 to -Ve of RS485

      Pin 40 to Ground of RS485 [Optional]

    A. Separate Terminal Chamber (STC) contains terminal block for wiring connection.

    5. Figure TEC2000 Terminal Chamber

    B. Pinch bar to rotate the STC cover in a counter-clockwise direction, this will open the STC cover and the user will see the terminal block in STC.

    Figure Opening TEC2000 Terminal Chamber

    C. STC – With Terminal Block Numbering

    Figure Opened TEC2000 Terminal Chamber

  5. For MPA

    Table CAM Card Pin Configuration

    Without CAM05, or any other protocol CAM card | With CAM05, or any other protocol CAM card
    Pin 19 is +Ve of RS485 Modem | Pin 25 is +Ve of RS485 Modem
    Pin 18 is -Ve of RS485 Modem | Pin 24 is -Ve of RS485 Modem

    6. Figure For MPA

  6. For M2CP

      Pin 25 is +Ve of RS485 Modem

      Pin 24 is -Ve of RS485 Modem

    7. Figure M2CP Modbus Connection

  7. For HQ-DCM32

      Pin 1 is -Ve of RS485 Modem

      Pin 2 is +Ve of RS485 Modem

    8. Figure HQ DCM32 Modbus Connection

  8. For HQ-DCM33

      Pin 1 is +Ve of RS485 Modem

      Pin 2 is -Ve of RS485 Modem

    9. Figure HQ DCM33 Modbus Connection


Setting Up DCMlink Networks

Modbus TCP/IP Settings

Setting Up DCMlink Networks

Modbus TCP/IP

The user needs to use Modbus TCP/IP CAM (CAM209/09) card to utilize this feature.

NOTE:

For TEC2000 and TEC2 the user will need to use a CAM209 Card. For M2CP, MPA, Smart EHO and HQ, the user will need a CAM09 Card.

Figure CAM209 Connected to TEC2000 Actuator

NOTE:

Details on the configuration of CAM09/209 is found on the below Figure.


Setting Up DCMlink Networks

RDM Connection Settings

Setting Up DCMlink Networks

RDM Slave Network

The DCMlink fully supports the RDM mode connection with TEC2000 actuator.

For this, select serial COM Port number and select timeout delay as per actuator COM Port settings.

NOTE:

RDM Slave Mode is only available for the TEC2000 actuator.

DCMlink works with below settings to connect with TEC2000 in RDM mode: STC pin numbers:

  • Pin 21 to +Ve of RDM Slave Mode

  • Pin 23 to -Ve of RDM Slave Mode

  • Baud Rate: 9600

  • Parity: None

  • Stop Bits: 1

These parameters are not allowed to be modified.


Setting Up DCMlink Networks

Setup Bluetooth Network

Setting Up DCMlink Networks

Bluetooth Network

DCMlink allows the detection and configuration of devices connected via Bluetooth. Using the Bluetooth device scanner in the navigation bar, the user can perform a device scan by following the steps and screenshots shown.

NOTE:

The user needs to have Bluetooth enabled on computer to allow the use of this function. User can check if computer has Bluetooth function enabled or not. If the Bluetooth function is not present, please consult the system administrator or IT.

On the navigation bar, the Bluetooth node will be populated. The name of the Bluetooth node in DCMlink will be the same as the name of the Bluetooth at the operating system level. The user cannot change the name of the Bluetooth name from the DCMlink, but it is possible to change this from the operating system.

Figure DCMlink Home Screen with Bluetooth

When user tries to launch Bluetooth network scan for new devices, a secure password needs to be entered by the user to proceed. The password is: "BETTIS"

Figure Bluetooth Security Password Prompt

Figure Scanning the Bluetooth Network

NOTE:

After closing Tag or exiting from Setup mode & reopening the same tag, user needs to wait for couple of minutes to establish proper communication with Bluetooth device.


Setting Up DCMlink Networks

Setup RTS ACP Network

Setting Up DCMlink Networks

RTS ACP Network

DCMlink allows the detection and configuration of devices connected via RTS IRDA. Using the IRDA COM Port in the navigation bar, the user can perform a device scan by following the steps and screenshots shown.

NOTE:

The user needs to have IRDA hardware connected to RTS actuator. And also the connection type should be Infrared+

Figure DCMlink Home Screen with RTS ACP

Figure Scanning the RTS ACP Network

© 2015 – 2021 Emerson DCMlink


Setting Up DCMlink Networks

Setup HART Network

Setting Up DCMlink Networks

HART Modem Networks for DCMlink SOLO

A HART modem is a communication device that allows DCMlink to communicate with the actuator. The following section provides necessary information for attaching the HART modem to the computer and actuator.

NOTE:

HART modem drivers, needed for the HART modem to work, are installed during DCMlink installation.

HART Modem Installation for DCMlink SOLO

HART modem attaches to USB port usually found on the back of the computer or the serial port.

  • Locate the serial port or USB port where modem will be connected.

  • Make note of the port where HART modem is attached.

  • Attach HART modem directly to the serial port, USB port, or to a cable connected to serial port or USB port.

  • Use the modem cable assembly to connect HART modem to the actuator or to signal wiring.

  • To communicate with actuator, locate the signal wires or the terminals of the actuator.

  • Clip cable assembly to wires or terminals.

  • Refer to document HART IOM for more information on using the HART modem.

HART Multiplexer Networks for DCMlink SOLO

DCMlink uses an RS485 Modem to communicate with different actuators through HART multiplexers. Depending upon the multiplexer, DCMlink can support up to 256 individual loop channels per multiplexer. Refer to the below table to determine the number of multiplexers and actuators that may be connected to a network.

Table Maximum Number of Multiplexers an d HART Devices per Network

Multiplexer Type | Maximum Number of Multiplexers Per Network | Maximum Number of Loops Per Multiplexer
MTL4841 Communications Module | 31 | 256
Pepperl+Fuchs | 32 | 255
Each MTL4841 module receives digital data from a maximum of 16 MTL4842 HART Interface Modules. In turn, each MTL4842 module accesses data from a maximum of 16 HART devices.

The following procedure to set up a multiplexer network:

  • Connect physical equipment. Set all multiplexers and the RS485 converter to the same baud rate.

    • NOTE:

    For details about wiring and connecting equipment, refer to the appropriate instruction guide.

  • Apply power to the RS485 converter, multiplexers and actuators.

  • To configure DCMlink refer to Configuring Preferences Section HART MUX (Multiplexer) setting.

Setting Up Pepperl+Fuchs Multiplexer

When adding or removing a submodule from a Pepperl+Fuchs multiplexer, user must reconfigure the multiplexer to indicate the changes. Multiplexer configuration changes are made from the Pepperl+Fuchs Module Setup screen, Figure

To setup Pepperl+Fuchs Multiplexer:

  • On each Pepperl+Fuchs slave module, Set Slave Address switch to an unused value so that each module has its own individual setting.

  • On Pepperl+Fuchs Module Setup screen, check those modules that are installed.

Figure Pepperl+Fuchs Module Setup Screen

Viewing Multiplexers Status

User can view the status and add a tag and descriptor to each multiplexer on the network. For a Pepperl+Fuchs multiplexer, user can also define which modules are included in the multiplexer.

Figure Multiplexer Information Window

Multiplexer fields:

  • Mux#: The multiplexer address, determined by the address switch settings on the multiplexer or communications module.

  • Unique ID: The last six digits of a unique ID number assigned to the multiplexer by the manufacturer.

  • Tag: A name assigned to the multiplexer from the tag and descriptor screen.

  • Description: A description assigned to the multiplexer from the Tag and Descriptor screen.

  • Manufacturer: The multiplexer manufacturer, Emerson, MTL, ELCON, or P&F.

  • Device Type: HART Interchange for a 2530H1 HART Interchange Multiplexer, MTL4841 Communications Module for a MTL4840 HART Maintenance System, KFD HART. Multiplexer System for a Pepperl+Fuchs multiplexer, or an ELCON Mux.

  • Univ. Command Rev.: The HART command language revision number, always 5.

  • Instr. Command Rev.: The multiplexer or communications module firmware revision number.

  • Scanning: Alert scanning. Should always be disabled when not viewing the Network Scan window.

  • Scan Cmd: HART command level returned to the multiplexer or communications module by the instrument if an alert occurs. May be a1 or a3.

  • Date: The date data was entered.

  • Message: A message programmed into the multiplexer or communications module software.

  • Gender: Whether the multiplexer or communications module is a primary master or secondary master.

  • Loop Search: Currently the multiplexer or communications module only searches for single analog loops, those loops where the instrument polling address is 0.

  • Gateway Device: HART signaling scheme. Always RS485 - Bell 202.

  • Software Rev.: Revision number of the software installed in the multiplexer or communications module.

  • Hardware Rev.: Hardware revision level.

  • Retry Count: Number of times multiplexer or communications module attempts to send a command to the instrument. Should be 2 after initialization.

NOTE:

DCMlink SOLO must be licensed with a Tag Limit sufficient for the number of connected actuators.

Depending upon the multiplexer, DCMlink SOLO can support up to 256 individual loop channels per multiplexer. User can connect one actuator to each loop channel.
To add a new actuator to a multiplexer:

  • Connect HART signal wiring to the multiplexer.

  • Apply power to the actuator and multiplexers.

  • Right click themultiplexer symbol and select Reset and Rescan the Multiplexer from the drop-down menu.

  • If the actuator is recognized by the software, actuator symbol appears beneath the multiplexer on the device connection diagram. If no symbol appears, then the software does not recognize the actuator. Check physical connections and actuator loop power.

FigureAdding Actuator to Multiplexer

© 2015 – 2021 Emerson DCMlink


Setting Up DCMlink Networks

AMS SNAP-ON Setup

Setting Up DCMlink Networks

AMS SNAP-ON Setup

AMS SNAP-ON is a software application that is installed as an integral part of AMS Device Manager to extend its functionality. AMS SNAP-ON adds the diagnostic test capabilities of DCMlink software to AMS Device Manager.

A USB hardware key is not used for installing AMS DCMlink SNAP-ON. However, AMS Device Manager must be licensed. To install AMS DCMlink SNAP-ON, user must first have installed a properly licensed copy of AMS Device Manager.

  • User Setup

      Installing DCMlink SNAP-ON.

      Starting AMS DCMlink SNAP-ON.

    • CAUTION

    Do not run DCMlink SOLO at the same time when using AMS Device Manager or AMS DCMlink SNAP-ON. Running both simultaneously may cause communication errors.

    NOTE:

    To successfully use DCMlink SNAP-ON, user must be familiar with using AMS Device Manager. Refer to the AMS online User’s Guide.

    • To make DCMlink SNAP-ON work on AMS 12.5 or below, please ensure to add Computer-Name (DCMlinkUser) as the domain to the AMS User Manager dialog. After adding the user to the AMS, make sure to add groups and select all groups for the DCMlinkUser, followed by granting of permissions. See below for a screen capture.

    • For AMS 13.0 and above, add user login to AMS User Manager dialog. This will launch AMS 13.0 and above using the user login credentials directly from the system.

    Figure AMS Device Manager - User Manager

    • Start AMS Device Manager by selecting Start> Programs > AMS > AMS system from the Windows taskbar.

    • The AMS Explorer or Device Connection View window displays.

    • AMS displays the communication devices (modem, multiplexer) that are connected to the PC running AMS and the AMS DCMlink SNAP-ON. Right-click device icon and select Scan All Devices to locate connected HART instruments.

    Figure AMS Device Man ager Device Connection View

    • When actuator icon appears, right-click the actuator icon and select SNAP-ON/Linked Apps > DCMlink from the context menu.

    Figure Right-Click Communications Device Icon to Open Menu

    Licensing

    For AMS to show DCMlink SNAP-ON as an option please contact AskPSS@emerson.com valid license is required to activate this feature.


Setting Up DCMlink Networks

Networks for DCMlink SNAP-ON

Setting Up DCMlink Networks

Multiplexer Setup on AMS

For MUX Connections refer to Setup HART Network. Once connection is completed with MUX, user needs to configure AMS. To configure AMS:

Figure Network configuration

    Select Network Component Type and click Add.

    For HART device: HART Multiplexer.

Figure Select Network Component Type

    Click Install and follow screen instructions.

Figure Add HART Multiplexer Wizard-Start

Figure Add HART Multiplexer Wizard-Modem Name

Figure Add HART Multiplexer Wizard-Network Controller

    Select one COM Port from the list.

    Select When completed you will see a HART Multiplexer added into the Network Configuration Screen .

Figure Network Configuration

    Launch AMS Device Manager. Expand the tree view of the Multiplexer Network, to see devices connected.

Figure Device Connected to Multiplexer (AMS)

    Here is how it looks, once DCMlink is launched for device connected via Multiplexer

Figure Launched DCMlink for device connected via Multiplexer

HART Modem Setup on AMS

For Modem Connections refer to Setup HART Network. Once connection is completed with Modem, user needs to configure AMS. To configure AMS:

Figure Network configuration

    Select Network Component Type and click Add.

    For HART device: HART Modem.

Figure Select Network Component Type

    Click Install and follow screen instructions.

Figure Add HART Modem Wizard-Start

Figure Add HART Modem Wizard-Modem Name

Figure Add HART Modem Wizard-Network Controller

    Select one COM Port from the list.

Figure Add HART Modem Wizard-Connection

Figure Add HART Modem Wizard-Multi Drop

    Select When completed you will see a HART Modem added into the Network Configuration Screen .

Figure Network Configuration

Wireless Network Setup on AMS

Wireless Gateway

    Set Up Gateway Internet Access for AMS Session

NOTE:

A special CROSSOVER CABLE must be used for this application.

  • Connect crossover Ethernet cable between computer and Ethernet #1 port on Gateway.

  • On PC navigate to: Control Panel > View Network Connections >Local Area Connection > Properties > Internet Protocol Version 4 (TCP/IPv4) > Properties.

  • Select Use the following IP Address and enter 192.168.1.12 (subnet mask will come up) select Ok and then Ok on the next prompt.

  • Open Internet Explorer and enter the following address: HTTPS://192.168.1.10 and hit enter. (*If Security certificate message comes up, you may have to select Diagnose Connection Problem) .

  • Select Continue to Website and enter for Username admin and Password default.

  • Select Explorer in left margin to read devices (this process might take up to 15 minutes).

      Setup a computer using a HART Modem

  • Install all software/drivers necessary for HART modem prior to connection.

  • Open AMS Device Manager and navigate to Configuration > Add > HART Modem >Install > Next > Next and select Hand held device as secondary HART master, then select the correct COM port for HART modem.

  • Go to Wireless HART adapter block and check include Wireless HART adapter then click finish.

Wireless THUM

    THUM Programming – Join to Gateway Network Using a PC

Using the Wireless HART THUM Kit (Part No 87263), set up the THUM as shown below:

  • Set up computer internet for Gateway.

  • Plug HART modem into computer.

  • Open AMS and navigate to Device Connection icon > HART modem > THUM > to read the parameters.

  • Select Configure > Join Device to Network > Enter Network ID and enter the Network ID inside the cover of the Gateway, click next.

  • Enter Join Key (Number shown on THUM Tag). All Three remaining Join Keys are (8) zeros.

  • Select Network Configuration on AMS menu and select Add.

      Running AMS to Change the Device Setpoint.

  • Navigate and start your AMS Device Manager application.

  • Locate and select the Device Connection View in the middle of the toolbar.

  • Double click Wireless Network to see devices.

NOTE:

The message Network disruption was detected means no devices are sensed by gateway. If no devices show up on the screen, right click on Wireless Network and select Rebuild and Identify hierarchy

  • Expand Gateway > myNet > THUM and double click on the device Logo.

  • Set Time in the lower left hand corner of the screen to Current from the drop down box select Yes when prompted to continue.

  • Expand Online on the Configure/Setup Screen > Detailed Setup > Valve Control >Setpoint and select the Change Setpoint method.

  • Select Yes and click next when the writing wetpoint requires placing the device in out of service mode... Prompt shows up.

  • Enter the desired setpoint for the device and click Next.

  • After receiving the write setpoint success message, select next, then finish to complete the change setpoint method.

Installation of Optional THUM Wireless Adapter

  • Component Installation on M2CP

    • Table Attach wires from the Wireless HART THUM to the CAM16 J4

    CAM 16 | THUM
I- | White
I+ | Yellow

    Table Connect Wireless THUM to 320B Board

    320B | THUM
26 | Red
29 | Black

  • Component Installation on HQ

    • Table Connect Wireless THUM to CAM16

    CAM16 | THUM
I- | White
I+ | Yellow

    Table Connect Wireless THUM to DCM33 Board

    HQ | THUM
P3-3 | Red
P3-4 | Black

  • Component Installation on TEC2000/TEC2

    • Table Connect Wireless THUM to Actuator

    TEC2000 STC | THUM
9 | Red
10 | Black1200 Ohm Series Resistor
24 | Green (Optional)
43 | Yellow
44 | White

  • Connect to XTE3000 Actuator

    • Table Connect Wireless THUM to Actuator

    SW5 Pin 1 | SW5 Pin 2 | SW5 Pin 3 | SW5 Pin 4 | Connections Mode
OFF | OFF | ON | ON | Point to Point
OFF | OFF | ON | ON | Split Ranging
ON | ON | OFF | OFF | Multidrop

    Figure

      Launch AMS Device Manager. Expand the tree view of the Wireless Network, to see devices connected.

    Figure Device Connected to Wireless Network

      Launch DCMlink from AMS Device Manager for the Wireless Network.

    Figure Launch DCMlink from AMS Device Manager

      Here is how it looks, once DCMlink is launched for Wireless device using THUM

    Figure Launched DCMlink for Wireless device

    DeltaV Network Setup on AMS

    • Connect actuator, DeltaV HART Network.

    • Using DeltaV Explorer navigate to actuator.

    FigureDeltaV Explorer

    • Right click on the actuator and from Context menu user can launch AMS. Once AMS is launched, actuator can be seen under Navigation view of AMS.

    Figure Actuator on AMS

    • User can now launch DCMlink.


Setting Up DCMlink Networks

Setup Foundation™ Fieldbus Network

Setting Up DCMlink Networks

The use of FOUNDATIONTM fieldbus in DCMlink will be available in a future version.


Scan Device

Contents

    1. General Information

      Scan for New Devices in Modbus Master Mode
      Check Network for Actuators in Modbus RDM
      Check Network for Actuators in Modbus TCPIP
      Check Network for Actuators in XTE RS-232 Protocol
      Check Network for Actuators in RTS ACP Protocol
      Check Network for Actuators in HART
      Check Network for Actuators in Bluetooth


Scan Device

Scan Device-Modbus Master

Scan Device

Scan for New Devices in Modbus Master Mode

After a COM Port has been configured in Modbus, the user may begin scanning for installed electric actuators in the network. Follow the below:

  1. On Protocol Selection View (navigation pane), right click newly created Modbus COM# Port.

  2. On the context menu, click Scan For New Devices.

Figure Scan for New Devices

  1. On the Modbus Network Scan Window, enter number in the Polling Range field. This number should be the address of the actuator. In the example on the next page, the XTE3000 device is in Polling Address Number 1.

NOTE: Each electric actuator model series is indicated by a unique color. This feature aims to make it easier to detect multiple actuators across a wide address range in the scan device window. Please ensure that Polling Address with respect to Actuator gives Complete Colour blinking during network scanning process. This will ensure the stable communication.

Figure New Device Detected

  1. Click Stop on the device scanner once the device has been detected. Click Close.

    Click New Device Tag on the navigation pane to view the actuator.

Figure XTE3000 Detected

  1. Live Communication Viewer details are covered in Diagnostics Section

NOTE:

Live Communication Viewer details are required for Modbus Master. In order to use Modbus Master, the user needs a CAM card.


Scan Device

Scan Device-Modbus RDM Slave Mode

Scan Device

Scan for New Devices in Modbus RDM Slave Mode

TEC2000 actuator communicates with Remote Display Module (RDM) using few special custom Modbus commands. If any software can simulate the behavior of RDM (in terms of those custom Modbus commands), TEC2000 will treat that software application as a physical RDM and will continue to communicate with it. This allows DCMlink to behave like a RDM and talk to TEC2000. User can use, connect, and control TEC2000 actuator.

Below explains the available RDM Mode options and the various parts of the application window.

NOTE:

RDM Slave Mode is only available in TEC2000 actuator. Do not modify these parameters in the application.

About RDM Slave Mode:

  • In RDM Slave Mode, DCMlink detects TEC2000 always at address 0.

  • In RDM Slave Mode, DCMlink acts as RDM slave and TEC2000 actuator acts as Master.

Right click RDM port node to access the following context menu:

Figure Scan for New Devices Using RDM Slave Mode

On the Network Scan Window, click Start.

Figure Network Scan Window Using RDM Slave Mode

RDM Mode does not require specifying an address. User just needs to start scanning for actuators.

    As DCMlink work on address: 0.

    No need for the user to choose the device address.

    In RDM slave mode, DCMlink will act as RDM (Slave) and the TEC2000 actuator acts as a Master.

The detailed setup of RDM Mode actuator:

Figure Detailed Setup in RDM Slave Mode

Whenever there is a change in any configuration parameters, the arrow button will be enabled as shown below:

Figure Enabled Left and Right Arrows

  • The Send arrow button allows the user to write data to the actuator. It also allows writing all changed data at a time, to the actuator.

  • The Sync Dataset arrow button allows the user to write data from actuator to DCMlink dataset.

  • The Read button is used to read all parameter values (actuator and dataset) from the detailed setup.

NOTE:

For RDM mode, Setpoint is not present on Status Monitor, Valve Control, and Trend Screen.


Scan Device

Scan Device-Modbus TCP/IP

Scan Device

Scan for New Devices in Modbus TCP/IP Mode

Below is about Modbus TCP/IP and its implementation into DCMlink. The details of Modbus TCP/IP is explained in this section.

In DCMlink Preference settings, select mode as Modbus TCP and select the IP address, port number, and timeout delay as per the actuator's TCP/IP setting. For more information on how to access the dialog box shown below, refer to Setup Modbus Network Section.

To scan and identify a device connected to the Modbus TCP/IP, follow the below:

From the DCMlink, right-click on IP port address and select Scan for New Devices.

Figure IP and Port Address from the Navigation Pane

On the Modbus Network Scan window, observe the start IP address, End IP address, and Port number which is similar to configured IP address under Modbus Tag in Navigation Pane.

Click Start.

Once the device is found, click on Stop then click Close.

Figure Detected Actuator at Specified Address

Notice that the device Tag appears on the navigation menu pane.

Figure Detected Actuator in the Navigation Pane

© 2015 – 2021 Emerson DCMlink


Scan Device

Scan Device-XTE RS-232

Scan Device

Scan for New Devices in XTE RS-232 Mode

After a COM Port has been configured for XTE RS-232, the user may begin scanning for installed electric actuators in the network. Follow the below:

On Protocol Selection View (navigation pane), right-click newly created XTE RS-232 COM# Port.

On the context menu, click Scan for New Devices.

Figure Scan for New Devices

NOTE:

Each electric actuator model series is indicated by a unique color. This feature aims to make it easier to detect multiple actuators across a wide address range in the scan device window. Please ensure that Polling Address with respect to Actuator gives Complete Colour blinking during network scanning process. This will ensure the stable communication.

Figure New Device Detected

Click Start on the device scanner to detect the connected device.

On device scanner, first it tries with the configured Baud Rate the with another baud rate. Once device it connected, notifies the user with which Baud Rate connection was established.

Click Stop on the device scanner once the device has been detected. Click Close.

Click New Device Tag on the navigation pane to view the actuator.

Figure XTE3000 Detected

Live Communication Viewer details are covered in Section.


Scan Device

Scan Device-RTS Infrared

Scan Device

Scan for New Devices in RTS Infrared Mode

After a COM Port has been configured for RTS Infrared, the user may begin scanning for installed electric actuators in the network. Follow the below:

On Protocol Selection View (navigation pane), right-click newly created RTS Infrared COM# Port.

On the context menu, click Scan for New Devices.

Figure Scan for New Devices

NOTE:

Each electric actuator model series is indicated by a unique color. This feature aims to make it easier to detect multiple actuators across a wide address range in the scan device window. Please ensure that Polling Address with respect to Actuator gives Complete Colour blinking during network scanning process. This will ensure the stable communication.

Figure New Device Detected

Click Start on the device scanner to detect the connected device.

On device scanner, it tries with the provided Username and password. Once device is connected, it notifys user with device color.

Click Stop on the device scanner once the device has been detected. Click Close.

Click New Device Tag on the navigation pane to view the actuator.

Figure RTS Detected

Live Communication Viewer details are covered in Section.


Scan Device

Scan Device-HART SOLO

Scan Device

Scan for New Devices in HART SOLO Mode

  • There are two different sections for HART SOLO Network

    • HART Modem

    • HART Multiplexer

For Modem and MUX refer to below procedures (for SOLO):

  • In Preference settings, select mode as HART and configure HART Modem /MUX as per Section: Configuring Communications in HART .

  • To scan and identify device connected to the HART Modem as below:

    • From the DCMlink, right-click HART Modem.

    • Select Scan for New Device.

Figure Scan for New Device

  • Click Start.

  • Once the device is found, click Stop, followed by Close.

Figure Detected Actuator at Specified Address

  • You can find Device Tag on the Navigation Pane.

Figure Detected Actuator in the Navigation Pane

For Modem (for SNAP-ON) refer to Section: Configuring Communications in HART and for MUX (for SNAP-ON) refer to Section: Configuring Communications in HART .

For Wireless Gateway and DeltaV (for SNAP-ON) refer to Section: Configuring Communications in HART


Scan Device

Scan Device-Bluetooth

Scan Device

Scan for New Devices in Bluetooth Mode

From the DCMlink, right-click Bluetooth sub-item in the navigation bar and select Scan for New Devices.

Figure Bluetooth Scan

Provide the address of the actuator and click Start.

Figure Network Scan Dialog

Select the detected Bluetooth device.

Figure Detected Devices- TEC2

NOTE:

Address of the actuator applicable to TEC2 actuator.

Figure Detected Devices- XTE3000

NOTE:

'User Name' and 'Operator Name' are applicable to XTE3000 actuator. Once the Tag for XTE3000 actuator is opened via Bluetooth connection, DCMlink starts reading information from the actuator at a regular interval to maintain the Bluetooth connection live and active.

Click Connect

Click Close to see the connected actuator on navigation view.

Live Communication Viewer details are covered in Section: Diagnostics.

NOTE:

Bluetooth option is available in XTE3000, RTS and TEC2.


Detailed Setup

Contents

    1. General Information

      Introduction

      Detailed Setup Tabs

      Control
      Discrete Input
      Maintenance
      Relays
      Analog
      ESD/Inhibit
      Speed
      Network
      Data Logger
      Bus
      Torque/Stroke
      Input Characterization
      General
      Notes

      Configure Parameters from Menu/Tool/Context Menu

      Actuator Mode
      Clear CPU Reset
      Clear ESD
      Clock Synchronization
      Reset To Factory
      Modify Stroke Limits
      RS232 Baud Rate Settings
      Squawk/ Wink

      Permissions

      Command Permissions
      Parameter Function Permissions
      Parameter Category Permissions


Detailed Setup

Detailed Setup

Introduction

DCMlink reduces commissioning time with simplified configuration screens that are easy to navigate and provide clarity over each parameter.

The Detailed Setup View is a function that allows the user to monitor and control the numerous aspects of the managed electric actuator. Using this part of DCMlink, users can see the current configuration prior to downloading the new data, without having to remember what is in the device. Easy navigation buttons allow synchronization at each parameter level, page level or the entire configuration.

DCMlink allows configuration settings to be stored and archived for later use or for the purpose of export to a central database or import to another device.

Detailed setup view can be accessed by clicking on the corresponding detailed setup icon in the tool bar as shown below.

NOTE: Detailed Setup can be launched primarily by right-clicking on the actuator Tag on the navigation pane and clicking Detailed Setup. The second way of launching is to click the tool bar icon for Detailed Setup. The third way of doing detailed setup involves clicking on the menu bar item Actuator Setup and then accessing the item for Detailed Setup. It should be noted, however, that the second and third methods will only be available when the Tag is open (such as valve control, status monitor, and factory settings are open).

Figure Detailed Setup Icon

Figure Detailed Setup from the Context Menu

The Detailed Setup View after launching.

Figure Detailed Setup After Launching

  • Left arrow button Left arrow is used to update data from DCMlink dataset to actuator.

  • Right arrow button Right arrow updates the actuator data to DCMlink user interface.

NOTE:

The data that is written from actuator to dataset using right arrow button would go to the database.

    If there is any difference, between the dataset value and actuator value, the arrow button will appear with the blue color, as shown in the image below:

Figure Colored Left and Right Arrows

    If there is no difference, then the arrow button will appear in gray color, as shown in below image:

Figure Gray Left and Right Arrows

  • Change tab color to yellow

      If there is any difference, in value from actuator and dataset then the tab will be highlighted in yellow:

Figure Yellow Tabs in Detailed Setup

    If there is no any difference, then there will be no change in tab color:

Figure No Highlighted Tabs in Detailed Setup

  • Read Button The Read button is present on the upper right hand corner for detailed setup. Whenever Read is clicked, it will read the entire parameter data from DCMlink.

  • Read 'Entire Configuration/Page' Two options available:

      Entire configuration: Whenever the user select this option and clicks on Read, it will read all the parameters from the detailed setup tab.

      Page: Whenever the user selects this option and clicks on Read, it will read only the particular tab page parameters from the detailed setup screen.

Figure Configuration Page Options

  • Save Dataset Refer to Save Dataset Section for details.

  • Reset Dataset Refer to Reset Dataset Section for details.

  • Delete Dataset Refer to Delete Dataset Section for details.

  • Load Configuration

      Configuration button will provide an option to select a configuration file to load/open on DCMlink.

      The following file types from the legacy applications are supported:

Table Import Configuration Supported File Extensions

Actuator Type | File Extension
TEC family | *.cfg OR *.TEC
M2CP | *.cfg OR *.320AB
HQDCM32 | *.cfg OR *.HQDCM32
HQDCM33 | *.cfg OR *.HQDCM33
MPA | *.cfg OR *.MPA
XTE3000 | *.cfg (for Modbus only), *.icon OR *.xte (for Bluetooth only), *.hart (for HART only)

    After uploading is complete, it will load all the datasets available on configuration file. This gives information to the user on the settings available on the configuration file.

  • DCMlink supports legacy .cfg file. You can upload the M2CP, TEC2, TEC2000, MPA configuration in Detailed Setup and Factory Settings screen.

  • DCMlink supports legacy .icon file. You need to follow the below step in order to upload the XTE3000 configuration in Detailed Setup and Factory Settings screen. Please make below change in the file before loading on DCMlink. .icon file can be opened in text editor for modification:

NOTE:

If the settings/configuration inside the configuration file is different than the current actuator, the tab color will turn yellow. And the send/receive button will be enabled.

  • Export Configuration

      Whenever the user clicks on the export configuration button, it will save the current configuration into a file which the user can load/open on DCMlink.

      Default path of the open file dialog will be C:\Users\[user name]\Desktop.

  • Copy From Tag

      Copy From Tag Option is not applicable for Status Monitor.

Figure Copy From Tag

    Once user clicks on this option below Dialog box appears.

    DCMlink shows all the saved dataset available against the particular Tag; so that user can select any one among the saved datasets.

NOTE:

Only Includes Tags with the same actuator types.

Figure Copy Configuration From Tag

  • Download/Upload Entire Configuration

      This function is available in actuator Detail Setup menu.

    • There are the 2 options available to write parameters to the actuator.

  • Download To Actuator

      User can make changes to the parameters in DCMlink and write those parameters to the actuator. When user clicks on save all changes arrow button for Page/Entire configuration as shown below, then DCMlink shows a message box which contains accumulated text of all the individual parameters with Yes and No button. This option is disabled until DCMlink Software is connected to the actuator.

  • Actuator To Dataset

      User can make changes to the dataset value of parameters and write those parameters to the DCMlink database. When user clicks on save all changes arrow button for Page/Entire configuration as shown below. This option is disabled until DCMlink Software is connected to the actuator.

Figure Download To Actuator and Actuator To Dataset

Figure Message Box for Parameter Changes

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Control Tab

Detailed Setup

Control Tab

  • Detailed Setup Primarily accessed via the tool bar or by right-clicking on the actuator Tag in the navigation window, Detailed Setup features a wide array of functions and tabs that allow the following configurations:

  • Control The Detailed Setup features an array of drop-down options for control mode. Features below:

Figure Control Tab

Figure Drop-down Options for Control Tab View

Table Drop-down Options Selection for Control Tab

Parameter | Dataset Option
Control | DI Two-Wire
 | DI Three-Wire
 | DI Four-Wire
 | IrDA
 | Three-Wire Analog Selectable
 | Analog
 | Network
Remote Control Signal | Maintained
 | Momentary
Local Control Signal | Maintained
 | Momentary
Seating | Position
 | Torque
Backseat | Position
 | Torque
LED Color | Open Green / Close Red
 | Open Red / Close Green
Close Torque Limit | (Numeric Percentage Value)
Open Torque Limit | (Numeric Percentage Value)
Enable RDM 1 | Yes / No
Enable RDM 2 | Yes / No
Enable Log Jam | Yes / No
Enable Low Battery Alarm | Yes / No
Enable Setpoint Tracking | Yes / No
Ignore 3% Torque Pullout | Yes / No

NOTE:

If the user enables or disables Bluetooth, DCMlink communication with the device may be lost.


Detailed Setup

Configure Parameters- Discrete Input Tab

Detailed Setup

Discrete Input Tab

Figure Discrete Input Tab

    The discrete inputs table for each actuator series listed below:

Table TEC2000

Discrete Input | Function | Setting
1 | 1 = Open/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
2 | 2 = Close/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
3 | 3 = Stop/PST Input/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
4 | 4 = Open Inhibit/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
5 | 5 = Close Inhibit/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
6 | 6 =Hardwired ESD/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact

NOTE:

For MPA, there is no discrete input available.

Table M2CP

Discrete Input | Function | Setting
1 | 1 = Open/Host Control | NA
2 | 2 = Close/Host Control | NA

Table HQDCM33

Discrete Input | Function | Setting
1 | Close/Host Control | NA
2 | Stop/PST Input/Host Control | NA

Table TEC2

Discrete Input | Function | Setting
1 | 1 = Open/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
2 | 2 = Close/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
3 | 3 = Stop/PST Input/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
4 | 4 = Open Inhibit/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
5 | 5 = Close Inhibit/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
6 | 6 = Hardwired ESD/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact

Table Smart EHO

Discrete Input | Function | Setting
1 | 1 = Open/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
2 | 2 = Close/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
3 | 3 = Stop/PST Input/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
4 | 4 = Host Control | 1 = Active on Open Contact 0 = Active on Close Contact
5 | NA | NA
6 | 6 = Hardwired ESD/Host Control | 1 = Active on Open Contact 0 = Active on Close Contact


Detailed Setup

Configure Parameters- Maintenance Tab

Detailed Setup

Maintenance Tab for XTE3000

Figure Maintenance for XTE3000

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Relays Tab

Detailed Setup

Relays Tab

    Relays The relays tab shows the current state of relays in the actuator and also shows the datasets, which can be configured and loaded to the actuator.

Figure Relays Tab

Figure Drop-down Options for Relay Tab

Table Drop Down Options for Relay Tab

Parameter | Dataset Option
Relay (#) | Limit Switch Open (LSO)
 | Limit Switch Close (LSC)
 | Limit Switch A (LSA)
 | Limit Switch B (LSB)
 | Opening
 | Closing
 | Open Torque Alarm
 | Close Torque Alarm
 | Local Mode
 | Stop Mode
 | Remote Mode
 | Valve Drift Alarm
 | Power Monitor Alarm
 | Phase Monitor Alarm
 | Motor Thermal Alarm
 | Open Inhibit Alarm
 | Close Inhibit Alarm
 | Hardwired ESD Alarm
 | ESD Active Alarm
 | Analog Input Control Alarm
 | Actuator Fail Alarm
 | Host Control
 | Electronics Fault Alarm
 | Moving
 | Over Torque Alarm
 | Valve Stall Alarm
 | Low Battery Alarm
 | Monitor Alarms
Setting | NC Continuous
 | NC Flashing
 | NO Continuous
 | NO Flashing

    The relay functions table for each type of relay and actuator is listed below:

Table TEC2000 Relay 1

Relay | Function | Setting
1 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table . TEC2000 Relay 2

Relay | Function | Setting
2 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table TEC2000 Relay 3

Relay | Function | Setting
3 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = PST- (Partial Stroke Test) Pass | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table TEC2000 Relays 4 and 5

Relay | Function | Setting
4 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = PST- (Partial Stroke Test) Fail | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing
5 | 26 decimal = Host Control 32 decimal = Monitor Alarms 35 decimal = Unit Alarm | 6 = Continuous 7 = flashing

NOTE:

For MPA, there is no relay available.

Table M2CP

Relay | Function | Setting
1 | 41 = ESD (Change request) 10 = Remote Mode 8 = Local Mode 2 = Limit Switch A (LSA) | 4 = Normally Open Contact 5 = Normally Closed Contact
2 | 23 = ESD Active Alarm 10 = Remote Mode 8 = Local Mode 3 = Limit Switch B (LSB) | 4 = Normally Open Contact 5 = Normally Closed Contact
5 | 40 = Monitor 26 = Host Control 41 = ESD | NA

NOTE:

For HQ32/33, there is no relay available.

Table TEC2 Relay 1

Relay | Function | Setting
1 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = N/A 34 = Actuator Fail Alarm | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table TEC2 Relay 2

Relay | Function | Setting
2 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = N/A 34 = Actuator Fail Alarm | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table 0. TEC2 Relay 3

Relay | Function | Setting
3 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Analog Input Control Alarm 25 = Actuator Fail Alarm 26 = Host Control 27 = Electronic Fault Alarm 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = PST-(Partial Stroke Test) Pass 34 = Actuator Fail Alarm | 0 = NC Continuous 1 = NC Flashing 2 = NO Continuous 3 = NO Flashing

Table TEC2 Relays 4 and 5

Relay | Function | Setting
4 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 6 = Open Torque Alarm 7 = Close Torque Alarm 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 20 = Open Inhibit Alarm 21 = Close Inhibit Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 25 = Lost Analog Input 2 Alarm 26 = Host Control 28 = Moving 29 = Over Torque Alarm 30 = Valve Stall Alarm 31 = Low Battery Alarm 32 = Monitor Alarms 33 = PST (Partial Stroke Test) Fail 34 = Actuator Fail Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing
5 | 26 = Generic (Host Control) 32 = Monitor Alarms 35 = Unit Alarms | 6 = Continuous 7 = Flashing

Table Smart EHO Relay 1

Relay | Function | Setting
1 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 26 = Generic (Host Control) 27 = Electronic Fault Alarm 28 = Moving 30 = Valve Stall Alarm 34 = Actuator Fail Alarm 35 = Unit Alarm 36 = SOV Failure Alarm 37 = Hydraulic Circuit Failure Alarm 38 = Self-Calibration Failure Alarm 39 = Over Pressure Alarm 40 = Emergency Stop Alarm 41 = Host Command ESD Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing

Table Smart EHO Relay 2

Relay | Function | Setting
2 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 26 = Generic (Host Control) 27 = Electronic Fault Alarm 28 = Moving 30 = Valve Stall Alarm 34 = Actuator Fail Alarm 35 = Unit Alarm 36 = SOV Failure Alarm 37 = Hydraulic Circuit Failure Alarm 38 = Self-Calibration Failure Alarm 39 = Over Pressure Alarm 40 = Emergency Stop Alarm 41 = Host Command ESD Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing

Table Smart EHO Relay 3

Relay | Function | Setting
3 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 26 = Generic (Host Control) 27 = Electronic Fault Alarm 28 = Moving 30 = Valve Stall Alarm 33 = PST - (Partial Stroke Test) 34 = Actuator Fail Alarm 35 = Unit Alarm 36 = SOV Failure Alarm 37 = Hydraulic Circuit Failure Alarm 38 = Self-Calibration Failure Alarm 39 = Over Pressure Alarm 40 = Emergency Stop Alarm 41 = Host Command ESD Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing

Table Smart EHO Relays 4 and 5

Relay | Function | Setting
4 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 26 = Generic (Host Control) 27 = Electronic Fault Alarm 28 = Moving 30 = Valve Stall Alarm 33 = PST - (Partial Stroke Test) 34 = Actuator Fail Alarm 35 = Unit Alarm 36 = SOV Failure Alarm 37 = Hydraulic Circuit Failure Alarm 38 = Self-Calibration Failure Alarm 39 = Over Pressure Alarm 40 = Emergency Stop Alarm 41 = Host Command ESD Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing
5 | 26 = decimal = Generic (Host Control) 32 = decimal = Monitor Alarms 35 = decimal = Unit Alarms | 6 = Continuous 7 = Flashing

Table XTE3000 Relay 1 - Relay 7

Relay | Function | Setting
3 | 0 = Limit Switch Open (LSO) 1 = Limit Switch Close (LSC) 2 = Limit Switch A (LSA) 3 = Limit Switch B (LSB) 4 = Opening 5 = Closing 8 = Local Mode 9 = Stop Mode 10 = Remote Mode 16 = Valve Drift Alarm 17 = Power Monitor Alarm 18 = Phase Monitor Alarm 19 = Motor Thermal Alarm 22 = Hardwired ESD Alarm 23 = ESD Active Alarm 24 = Lost Analog Input 1 Alarm 26 = Generic (Host Control) 27 = Electronic Fault Alarm 28 = Moving 30 = Valve Stall Alarm 33 = PST - (Partial Stroke Test) 34 = Actuator Fail Alarm 35 = Unit Alarm 36 = SOV Failure Alarm 37 = Hydraulic Circuit Failure Alarm 38 = Self-Calibration Failure Alarm 39 = Over Pressure Alarm 40 = Emergency Stop Alarm 41 = Host Command ESD Alarm | 0 = NC Continuous 1 = NC Flasing 2 = NO Continuous 3 = NO Flasing


Detailed Setup

Configure Parameters- Analog Tab

Detailed Setup

Analog Tab

  • Analog The Analog tab shows the analog inputs and outputs possible for the actuator.

Figure Analog Tab

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- ESD/Inhibit Tab

Detailed Setup

ESD/Inhibits Tab

  • ESD/Inhibits The ESD/Inhibits tab shows the various Emergency Shutdown (ESD) parameters, overrides, and inhibits.

Figure ESD/Inhibits Tab

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Speed Tab

Detailed Setup

Speed Tab

  • Speed The Speed tab shows the various speed control options available to the selected actuator.

Figure Speed Tab

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Detailed Setup- Network Tab

Detailed Setup

Network Tab

Figure Network Tab

NOTE:

If user changes network configuration, DCMlink communication with the device may be lost. In case DCMlink is not communicating with the device, please close the Tag and use the communication setting that has been updated to that actuator.


Detailed Setup

Configure Parameters- Data Logger Tab

Detailed Setup

Data Logger Tab for XTE3000

Figure Data Logger for XTE3000

NOTE:

Data Logger option is available in XTE3000 for RS232 and Bluetooth protocol.


Detailed Setup

Configure Parameters- Bus Tab

Detailed Setup

Bus Tab for XTE3000 and RTS

Figure Bus for XTE3000 and RTS

NOTE:

Bus option is available in XTE3000 for RS232 and Bluetooth protocol. Bus option is also available in RTS for Modbus, RTS-ACP and Bluetooth protocol.


Detailed Setup

Configure Parameters- Torque/Stroke Tab

Detailed Setup

Torque/Stroke Tab for XTE3000

Figure Torque/Stroke for XTE3000

NOTE:

Torque/Stroke option is available in XTE3000 for RS232 and Bluetooth protocol.


Detailed Setup

Detailed Setup- Input Characterization Tab

Detailed Setup

Input Characterization Tab

Figure Input Characterization Tab

Table Input Characterization Type

Model | TEC Family | M2CP | XTE3000 | MPA | HQDCM33 | Smart EHO
Input Characterization Type | Only applicable to TEC2: (4 options are available) 0: Linear 1: Quick open 2: Equal percent 3: Custom | N/A | N/A | N/A | N/A | N/A

  • Linear The following curve shows a linear characteristic. The plot is ranged travel versus ranged input.

Figure. Linear Characteristic Curve

    For linear type, characterization points are equal for Setpoint and target travel. The user cannot change the data from target travel.

    The user can write these points to the actuator.

    The target travel points are as shown in below image.

Figure. Linear Characteristic data points

  • Quick Open The following curve shows a Quick Open characteristic. The plot is ranged travel versus ranged input.

Figure. Quick Open Curve

    For Quick open type, the user cannot change the data from target travel.

    The data points which are coming for Target travel section in dataset depend on the algorithm which is mentioned in attached spread sheet. The user can write these points in the actuator.

    DCMlink will load target travel points by itself when user selects Quick open type.

Figure. Quick Open data points

  • Equal Percent The following curve shows a Equal Percent characteristic. The plot is ranged travel versus ranged input.

Figure. Equal Percent Curve

    For Equal percent type, the user cannot change the data from target travel.

    The data points which are coming for target travel section in dataset depend on the algorithm which is mentioned in attached spread sheet above. The user can write these points in the actuator.

    DCMlink will load target travel points by itself when the user selects Equal percent type.

    The target travel points are shown in below image:

Figure. Equal Percent data points

  • Custom

      The custom characteristic can be any number of curves. Therefore, no example characteristic is shown here. The process of entering values for a Custom Input Characterization is not obvious.

      Default values for dataset will be based on the earlier target travel being loaded at DCMlink.

      To change Travel Target* (Tvl Target) values, the user will need to change value at target travel section.

      Custom characterization read and write window is shown below:

Figure. Custom characterization data points

NOTE:

This is only available in TEC2 actuators.


Detailed Setup

Detailed Setup- General Tab (Specific for HART)

Related Topics
Detailed Setup

General Tab

  • Right click on HART mode and select option as Detailed Setup.

Figure Detailed Setup from HART Mode

  • Click on General tab.

Figure General Tab Parameters

General Tab Parameters:

  • HART Tag: 8 character HART Tag.

  • HART Long Tag: 32 Character HART Long Tag.

  • Polling Address: Polling address range should be 0-63.

  • Date: Date entered by user DD-MM-YYYY.

  • Time: Time entered by user HH:MM:SS.

  • Description: 32 character brief description of the device.


Detailed Setup

Detailed Setup- Notes Tab

Detailed Setup

Notes

  • Notes Tab will look like as below image

Figure Notes Tab

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters

Detailed Setup

DCMlink has the capability to make various configurations for different actuator parameters. Listed below are the three primary areas in which different configurations are made.

NOTE:

Please put the actuator in Setup Mode first before changing configuration parameters in TEC2000. As TEC2000 takes some time to enter into Setup Mode, the write configuration command sent during actuator transition to Setup Mode may fail.

    1. Menu, Toolbar and Context Menu options:

      Actuator Mode
      Clear CPU Reset
      Clear ESD
      Clock Synchronization
      Reset to Factory
      Modify Stroke Limits
      RS232 Baud rate Settings
      Squawk
      Write Protect
      Backup And Restore
      Set Smartcode
      Change Password
      Live Actuator Display
      TeachIn
      Actuator Variant


Detailed Setup

Configure Parameters- Actuator Mode

Detailed Setup

  • Actuator Mode In Modbus Master Mode, Actuator Mode allows the user to enter and exit setup mode. In Modbus RDM Slave Mode, the user can switch between all the modes of the actuator and other modes:

    • Remote Mode

    • Local Mode

    • Stop/Off Mode

    • Setup Mode

NOTE:

Actuator Mode Dialog can be opened or launched when actuator monitoring is inactive.

Figure Accessing Actuator Mode

Figure Actuator Mode Window

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Clear CPU Reset

Detailed Setup

    Clear CPU Reset This will clear CPU reset alarm.

Figure Accessing Clear CPU Reset

Figure Clear CPU Reset Window

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Clear ESD

Detailed Setup

    Clear ESD This will clear the ESD alarm active in the actuator.

Figure Accessing Clear ESD

Figure Clear ESD Window

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Clock Synchronization

Detailed Setup

    • Clock Sync This will synchronize the actuator clock with the computer clock.

Figure Clock Sync

Figure Synchronize Clock Window

NOTE:

  • For RTS actuator - this option is named as Set Date & Time Setting

  • For RTS there is also an option to set Daylight Savings.

  • For RTS these menu items will remain disabled if Current User does not have permission to execute this command.

Figure: Set Date & Time

Figure: Set Daylight Savings

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Reset To Settings

Detailed Setup

    Reset to Factory This sends Reset to factory command to the Actuator. User can Launch Reset to factory command window from Menu Option Actuator Setup -> Actuator Action -> Reset to Factory .

Figure Reset to Factory

Figure Sending Reset to Factory Command

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Modify Stroke Limits

Detailed Setup

    Modify Stroke Limits This will modify the Stroke Limits in the actuator.

Figure Accessing Modify Stroke Limits

Figure Modify Stroke Limits Window

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- RS232 Baud Rate Settings

Detailed Setup

    RS-232 Baud Rate Settings This option is only available for XTE3000 actuator.

    Baud rate could be set to either 115200 or 9600.

User can Launch RS-232 Baud Rate Settings window from Menu Option Actuator Setup -> Actuator Action -> RS-232 Baud Rate Settings .

Figure Setting RS-232 Baud Rate Settings menu

Figure Setting RS-232 Baud Rate Settings

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Squawk/Wink

Detailed Setup

    Wink/Squawk This sends Wink/Squawk command to the Actuator. Wink option is available for XTE3000 actuator and Squawk option is available for both TEC2 and Smart EHO actuators. User can Launch Wink/Squawk command window from Menu Option Actuator Setup -> Actuator Action -> Wink.

Figure Wink/Squawk

Figure Sending Wink/Squawk Command

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Write Protect

Detailed Setup

Write Protect

Write protection is the ability to prevent new configuration from being written or old information being changed. This means you can read the data, but not write. To Enable Write Protect from DCMlink select Actuator Setup Menu and click HART.

Figure Write Protect Menu

  • Click Write Protect option, Dialog Box will appear.

Figure Write Protect Dialog Box

NOTE:

Write Protect can be Enabled from DCMlink. Once it is Enabled, it can be disabled only through LDM on the actuator. For Disabling the Write Protect please refer to the Actuator Manual.


Detailed Setup

Configure Parameters- Backup & Restore

Configure Parameter

Backup And Restore: This command is sends to take backup of Factory, Workshop, Service, Custom and Old configurations. Similarly using the specific Restore option, respective backup is restored. Menu Option Actuator Setup -> Actuator Action -> Backup & Restore.

NOTE:

  • Backup & Restore - Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

  • Backup & Restore - this option is only available for RTS actuators.

  • Backup & Restore - menu will remain disabled if Current User does not have command permission for all Backup and restore options

  • Backup - dropdown will only contain options that Current User has permission for that command to execute.

  • Restore - dropdown will only contain options that Current User has permission for that command to execute.

Figure: Launch Backup and Restore dialog

Figure: Sending Backup or Restore Command

  • Backup & Restore screen has below mentioned options:

    • Backup Types:

      • Factory Backup

      • Workshop Backup

      • Service Backup

      • Customer Backup

      • Old Backup

    • Restore Types:

      • Restore Factory Backup

      • Restore Workshop Backup

      • Restore Service Backup

      • Restore Customer Backup

      • Restore Old Backup

    • Parameters: Each Restore option is associated with combination of different parameter options.

      • Ignore Parameters

      • All Parameters

      • Without End Limits

      • With End Limits

    • For: Restoring the Permissions or default password form the selected restore type option.

      • Parameter Permissions

      • Command Permissions

      • Category Permissions

      • Local Passwords

      • Wireless Passwords


Detailed Setup

Configure Parameters- Set Smartcode

Configure Parameter

Set Smartcode: Options are functionalities (e.g. Positioner, Virtual I/O) that can be activated by appropriate smart codes. Menu Option Actuator Setup -> Actuator Action -> Set Smartcode.

NOTE:

  • Set Smartcode - Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

  • Set Smartcode - menu will remain disabled if Current User does not have command permission to execute this command.

  • Set Smartcode - this option is only available for RTS actuators.

Figure: Launch Set Smartcode dialog

Figure: Sending Set Smartcode Command

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Change Password

Configure Parameter

Change Password: This command sends to change the password for selected User Level for Local Display or Wireless. Menu Option Tools -> Change Password.

NOTE:

  • Change Password - Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

  • Change Password - this option is only available for RTS actuators.

  • Change Password - menu will remain disabled if Current User does not have command permission to execute that command.

Figure: Launch Change Password dialog

Figure: Sending Change Password Command

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Live Actuator Display

Configure Parameter

Live Actuator Display: This dialog shows the live display unit along with the control buttons. Context Menu Option -> Live Actuator Display Or Toolbar Option -> Live Actuator Display.

NOTE:

  • Live Actuator Display - Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

  • Live Actuator Display - this option is only available for RTS actuators.

Figure: Launch Live Actuator Display dialog

Figure: Live Actuator Display dialog

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- TeachIn

Configure Parameter

TeachIn: Writes the current position of the actuator into the specified position parameter. Write access to the specified position parameter is required for the command to succeed. Menu Option Actuator Setup -> Actuator Action -> TeachIn.

NOTE:

  • TeachIn - Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

  • TeachIn - menu will remain disabled if Current User does not have command permission to execute this command.

  • TeachIn - this option is only available for RTS actuators.

  • TeachIn - this option is only available for RTS actuators.

Figure: Launch Set Smartcode dialog

NOTE:

  • TeachIn - TeachIn-Open and TeachIn-Close button will not be visible if actuator is in remote mode.

  • TeachIn - Controls will only be visible if Current User has permission to execute the command.

Figure: Sending Set Smartcode Command

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Configure Parameters- Actuator Variant

Configure Parameter

Actuator Variant: This window is used to set the type of RTS Actuator connected. Menu Option Tools -> Factory -> Actuator Variant.

NOTE:

  • Actuator Variant - This option is password protected.

  • Actuator Variant - This option is only available for RTS actuators.

Figure: Launch Actuator Variant window

Figure: Set Type of RTS Actuator

© 2015 – 2021 Emerson DCMlink


Detailed Setup

Detailed Setup

    1. Permissions

      Command Permissions
      Parameter Function Permissions
      Parameter Category Permissions


Detailed Setup

Configure Permission for Commands

Permissions

Command Permissions screen allows to set minimum user level require to execute the command.

NOTE:

Command Permissions Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

Figure Accessing Command Permissions

Figure Command Permissions

NOTE:

  • Below are the rules, for changing the permissions:

    • When Current Access is 0 or 7, no one is able to change the permission.

    • To change the permission, Current User level must be equal or higher than the Current Access level.


Detailed Setup

Configure Permission for Parameter(s)

Related Topics
Permissions

Function Parameter Permissions screen allows to set the least user for which the visibility and write of parameter is allowed.

NOTE:

Function Parameter Permissions, Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

Figure Accessing Function Parameter Permissions

Figure Function Parameter Permissions

  • Function Parameter Permissions shows below information:

    • Parameter Name - categories under each menu.

    • Visibility specifies the least user level for which parameter is visible.

    • Write Access specifies the least user level allowed to change parameter's value.

NOTE:

  • Below are the rules, for changing the permissions:

    • When Current Access is 0 or 7, no one is able to change the permission.

    • To change the permission, Current User level must be equal or higher than the Current Access level.

    • Either Current Access level of Visibility or Write Access is 0 then, permission cannot be changed


Detailed Setup

Configure Permission for Parameter Category

Permissions

Parameter Category Permissions screen allows to set the least user for which the parameter category will be visible.

NOTE:

Parameter Category Permissions, Dialog can be opened or launched when tag is open and actuator monitoring is inactive.

Figure Accessing Parameter Category Permissions

Figure Parameter Category Permissions

  • Parameter Category Permission shows below information:

    • Category name and Category Number.

    • Visibility (Category) specifies the least user level the category is visible.

    • Visibility (Parameters) specifies the least user level the parameters under that category is visible.

    • Activated By specifies the special scenarios required to activate a particular category.

NOTE:

  • Below are the rules, for changing the permissions:

    • When Current Access is 0 or 7, no one is able to change the permission.

    • To change the permission, Current User level must be equal or higher than the Current Access level.

    • Either Current Access level of Visibility (Category) or Visibility (Parameters) is 0 then, permission cannot be changed


Content

Status Monitor

Contents

    1. General Information

      Introduction

      Status Monitor Tabs

      Dashboard
      Monitor
      Optional Features
      Alarms
      Warnings
      Input/Output
      ESD/Inhibit
      Other Information
      Device
      Logs
      Notes


Status Monitor

Status Monitor-Introduction

Status Monitor

Introduction

DCMlink menu options offer a wide range of features to customize the software experience and control installed actuators. Information about status monitor screen. Monitoring actuator parameter, Alert, Warning, Firmware version, Logs, Analog Input/ Output, Discrete Input/ Output, Gauge and Trend.


Status Monitor

Status Monitor-Dashboard

Status Monitor

Dashboard

View Monitor Information

Figure View Buttons

Table Status Parameters

Section | Device Status
 | Good | Degraded | Bad
Setpoint | If “Degraded”, “Bad” is not active, then the Status is Good | If the Value returned from Actuator > 4095 XTE3000: If the Value returned from Actuator > 1000 | If there is Communication Failure with the Actuator
Position | If “Degraded”, “Bad” is not active, then the Status is Good | If the Value returned from Actuator > 4095 XTE3000: If the Positioner Sensor alarm is set. | If there is Communication Failure with the Actuator
Torque | If “Degraded”, “Bad” is not active, then the Status is Good | If the Value returned from Actuator > 4095 XTE3000: If the: “Hi Hi Torque in open direction” OR “ Hi Hi Torque in close direction” alarm is set. | If there is Communication Failure with the Actuator
Analog Input 1 | If “Degraded”, “Bad” is not active, then the Status is Good | If "Analog Input 1 Out of Range Alarm" is SET | a) If “Lost Analog Input 1 Alarm” is SET Or b) If there is Communication Failure with the Actuator
Analog Input 2 | If “Degraded”, “Bad” is not active, then the Status is Good | If "Analog Input 2 Out of Range Alarm" is SET. | a) If “Lost Analog Input 2 Alarm” is SET Or b) If there is Communication Failure with the Actuator
Analog Output 1 | If “Degraded”, “Bad” is not active, then the Status is Good | If the Value returned from Actuator > 4095 | If there is Communication Failure with the Actuator
Analog Output 2 | If “Degraded”, “Bad” is not active, then the Status is Good | If the Value returned from Actuator > 4095 | If there is Communication Failure with the Actuator
Hydraulic Pressure | If “Degraded”, “Bad” is not active, then the Status is Good | Hydraulic Pressure range change as per its unit as follow: Pressure Unit Rangebar: 0-400 psi: 0-5000 Kilopascal(kPa): 0-35000 Depending Upon the unit following is the Status of Hydraulic Pressure: Good- 0-5000 Degraded- >5000 Bad- If “Over Pressure in Mid Travel Alarm" | If there is Communication Failure with the Actuator
Accumulator Pressure | If “Degraded”, “Bad” is not active, then the Status is Good | Pressure Unit Rangebar: 0-400 psi: 0-5000 Kilopascal(kPa): 0-35000 Depending Upon the unit following is the Status of Accumulator Pressure Good- 0-5000 Degraded- >5000 Bad- If “Over Pressure in Mid Travel Alarm” | If there is Communication Failure with the Actuator

Dashboard (Maximize, Restore, Minimize)

Figure View Buttons

Maximize: Selected window maximizes the screen.

Figure Maximize

Undock: Turns the selected window into a movable window. Click and drag to move. (Third window shown below is now movable).

Figure Undock

Minimize: Collapses the selected windows showing only the top window bar.

Figure Minimize

Trend: Shows the torque graph readings.

Figure Trend View

    Zoom In: Magnifies a particular portion the graph, showing lines in greater detail.

  • Zoom Out: Reduces the magnification on the graph.

  • Zoom Back: Moves zoom magnitude to the original setting.

  • Grid: Shows trend graph grid.

  • Legend: Toggles Setpoint, Position and Travel on top of the graph.

NOTE:

Zoom in and zoom out works when status monitoring has stopped.


Status Monitor

Status Monitor- Monitor Tab

Status Monitor

Monitor

Monitor: Shows actuator specific data that is being monitored.

Figure Monitor Tab

© 2015 – 2021 Emerson DCMlink


Status Monitor

Status Monitor - Optional Features

Status Monitor

Optional Features

  • Optional Feature: Optional Features are functionalities (e.g. Positioner, Virtual I/O) that can be activated by appropriate smart codes. Whether an option is activated or not can be seen in this screen.

NOTE:

  • Optional Feature - This screen is available only for RTS actuators.

Figure Optional Features Tab

This screen contains three columns:

  • Optional Functionalities: Shows the list of optional features that are available. These optional Features can be enabled using smartcodes.

  • Associated Menu(s): Shows the Display menu(s) that are associated with each optional feature.

  • Current State: Shows the current state of each optional feature as Actived or Deactivated.

Below table shows the list of optional features that could be activated using smartcode even after purchase of a RTS actuator.

Optional Functionalities | Associated Menu(s) | Condition | Description | Long Description
Position Signal | P11: Analog Signal | Activated / Deactivated | RTS-ER | 4-20 mA Feedback.
Add-on Travel | P8: Position, P12: Step Mode | Activated / Deactivated | RTS-WE | Add-on Travel.
Positioner | P13: Positioner | Activated / Deactivated | RTS-ER-SR | Modulating / Position transmitter.
Torque Characteristics | P17: Characteristics | Activated / Deactivated | RTS-AP | Torque characteristic curve.
PID Positioner | P14: PID Controller | Activated / Deactivated | RTS-PID | PID positioner for two 4-20 mA input signal.
Advanced Service And Maintenance | P14: PID Controller | Activated / Deactivated | RTS-ADSM | Advanced Service and Maintenance Capabilities.
Valve Characteristic | P17: Characteristic | Activated / Deactivated | RTS-VK | KVS Valve Characteristics.
Virtual I/O | P9: Binary Input, P10: Binary Output | Activated / Deactivated | RTS-VIRT | Logic operations of input signals.
Add-on ID | P18: Identification | Activated / Deactivated | RTS-ID | Actuator identification.
Bus 1-Channel |  | Activated / Deactivated | RTS-BSC | Bus Single Channel (Check Protocol Selected )
Bus 2-Channel |  | Activated / Deactivated | RTS-BDC | Bus Double Channel ( Check Protocol Selected )
Speed Characteristic | P17: Characteristic | Activated / Deactivated | RTS-SC | Speed Characteristics.
Stroke Test | P16: Stroke Test | Activated / Deactivated | RTS-ST | Partial and Full Stroke Test enabled.
Torque Indication |  | Activated / Deactivated |  | Torque Indication
Intermidiate Positioning | P8: Position | Activated / Deactivated |  | Intermidiate Positioning.


Status Monitor

Status Monitor-Alarms

Status Monitor

Alarms

Alarms: Shows applicable alarms for the selected actuator.

CAUTION: PAY ATTENTION TO DCMLINK ALARMS

DCMlink monitors the status of the plant infrastructure. If warnings and cautions show up in status alerts, a device needs urgent attention or is providing important information. Carefully monitor alarms and alerts to allow for immediate action .

Figure Alarms Tab

NOTE:

If there is any active alarm, the Tab Color will be red.

Figure: Alarms Legend

  • Red Cross: Alarm is active.

  • Green Circle: Alarm is inactive.

  • Grey Circle: Alarm is disabled.

The following is a summary of alarms applicable to the actuator device type:

Table Application of Alarms for Actuator Device Type (1)

Alarms | Alert Sub-bit | Application Type | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Actuator Fail Alarm | N/A | Yes | Yes | N/A | Yes | Yes | Yes | A device has failed due to an internal self-test of the actuator. | 1. Cycle power to the actuator to clear this alarm. 2. If power cycling did not clear this alert, immediate actuator maintenance is required on the contactor, position detector, and motor or power circuit. 3. Please check the connection between Pin #20 and Pin #22 on STC (this is applicable only for TEC family).
Phase Monitor Alarm | N/A | Yes | Yes | N/A | Yes | Yes | Yes | The actuator has failed because the phase monitor indicated a loss of one phase or reversed phase rotation of incoming three-phase power. | 1. Verify if the manifold valves are in the proper position. Reverse phase is non-fatal whereas the lost phase shall be addressed. For TEC family, (TEC2000/ TEC2/Smart EHO) and MPA the phase monitor is always enabled. For M2CP, this feature is optional and the jumper on the TBM can be configured to enable/disable phase correction. 2. Check the incoming power supply to the actuator.
Motor Thermal Alarm | N/A | Yes | Yes | N/A | Yes | Yes | Yes | A device failure because the motor control circuit is disabled due to motor overheating or motor overload relay (optional) has tripped. | 1. The motor has overheated due to operating the motor beyond the recommended starts or duty cycle. Another cause may be a seized valve that will not allow the motor to turn (motor stall). 2. Let the motor cool, look for any obstructions and examine your control strategy to make sure you are not overloading the motor.
Power Monitor Alarm | N/A | Yes | Yes | N/A | Yes | Yes | Yes | This alert indicates a device failure due to loss of control voltage to the motor. | Check fuse F3 to clear alarm. (This is applicable only for M2CP actuator). For TEC Family: 1. It indicates flaw in functionality of contactor. 2. Occurrence of power monitor alarm indicates failure to operate contactors, hence valve will not move. 3. Cable between CCM and MCM can have a loose connection, change cable. 4. Problem in MCM, change MCM. 5. Connector on CCM board can be bad, change CCM.

Table Application of Alarms for Actuator Device Type (2)

Alarms | Alert Sub-bit | Application Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Moving Wrong Direction | N/A | Yes | N/A | N/A | N/A | N/A | N/A | The actuator was turning in the wrong direction. | 1. This alarm may occur on a three-phase model due to a hardware failure. The wiring in the TBM (Terminal Board Module) or the wiring to the contactor (or the contactor itself), or the position detector may have failed. 2. Immediate actuator service is required on the actuator as this alarm locks out all further movement to prevent damaging the seals.
Hardware Fault Alarm | CCM Failure Alarm | N/A | N/A | N/A | Yes | Yes | N/A | Central Control Module has detected an error indicating an internal failure. | Please check the connection between Pin #20 and Pin #22 on STC (This is applicable only for TEC family). Please contact Emerson or your local representative.
 | LDM Failure Alarm | N/A | N/A | N/A | Yes | Yes | Yes | Local Display Module has detected an error indicating an internal failure. | Please contact Emerson or your local representative.
 | APD Failure Alarm | N/A | N/A | N/A | Yes | Yes | N/A | Absolute Position Detector Failure. | Please contact Emerson or your local representative.
 | RDM1 Failure Alarm | N/A | N/A | N/A | Yes | Yes | Yes | Remote Display 1 failure. Remote display has been enabled in the configuration, and either the RDM is not present, or has communication errors. | Please contact Emerson or your local representative.
 | RDM2 Failure Alarm | N/A | N/A | N/A | Yes | Yes | Yes | Remote Display 2 failure. Remote display has been enabled in the configuration and either the RDM is not present, or has communication errors. | Please contact Emerson or your local representative.
 | Hydraulic Power Unit Fault Alarm | N/A | N/A | N/A | N/A | N/A | Yes | The alarm indicates the hydraulic power unit failure. Triggered when the motor ran for more than 4 seconds but hydraulic pressure has not increased. | Please contact Emerson or your local representative.
 | Solenoid Valve Fault Alarm | N/A | N/A | N/A | N/A | N/A | Yes | This alarm indicates SOV failed. | Please contact Emerson or your local representative.
 | Pressure Transmitter Fault Alarm | N/A | N/A | N/A | N/A | N/A | Yes | The alarm indicates pressure transmitter failed. | Please contact Emerson or your local representative.
 | Encoder Fault Alarm | N/A | N/A | N/A | N/A | N/A | Yes | Encoder indicates the position value is incorrect due to communication error in encoder circuit. | Please contact Emerson or your local representative.

Table Application of Alarms for Actuator Device Type (3)

Alarms | Alert Sub-bit | Application Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Fieldbus CAM card specific alarms | Communication Failed Alarm | Yes | Yes | Yes | Yes | Yes | Yes | A device failed because communication between the Fieldbus Interface and actuator has failed or has an error due to data integrity. | 1.Communication failure may occur when the actuator is powered down such as when maintenance is being performed. 2. Check the communication integrity from the Fieldbus Interface to the actuator and if the actuator is powered.
 | Actuator Lost Power Alarm | Yes | Yes | Yes | Yes | Yes | Yes |  |
Electronic Failure | Electronics fault alarm | N/A | N/A | N/A | Yes | Yes | N/A | Internal hardwired system failure of electronics. | Reset power. If alarm reoccurs, Please contact Emerson or your local representative.
 | ROM Integrity Failure | Yes | Yes | Yes | Yes | Yes | Yes |  |
 | Mfg. Blk. Integrity Failure | Yes | Yes | Yes | Yes | Yes | Yes |  |
Initialization Failed Alarm |  | Yes | Yes | Yes | Yes | Yes | Yes | The Fieldbus Interface cannot communicate with the actuator or the upload/download generates an error. | 1. When the Fieldbus Interface goes through a Reset, either by cycling power or via the Resource Block Reset parameter, it attempts to download/upload initialization data to/from the actuator. 2. This alert will clear after the Fieldbus Interface initializes communication with the actuator.
 | Compatibility Error | Yes | Yes | Yes | Yes | Yes | Yes |  |
NV Memory failure |  | Yes | Yes | Yes | Yes | Yes | Yes | Nonvolatile EEPROM data corruption was detected on the Fieldbus Electronic board. | 1. Check the device configuration for changes in the block parameter values. 2. Reset the device to clear the error. 3. Download a device Configuration.

Table Application of Alarms for Actuator Device Type (4)

Alarms | Alert Sub-bit | Application Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Over Pressure in Mid-Travel Alarm | N/A | N/A | N/A | N/A | N/A | N/A | Yes | This alert indicates that the hydraulic pressure has exceeded the archived pressure value and pressure value tolerance level (%) in the open direction. | 1. Check the archived Hydraulic Pressure value. Also, check to ensure there is no obstruction preventing the actuator from making a full open stroke. 2. Running the actuator in the opposite direction successfully will clear this alarm.
Analog Input Out of Range Alarm | AI-1 Out of Range | N/A | Yes | Yes | Yes | Yes | Yes | Analog input to the actuator is beyond the legal limits of the input channel. | 1. Check the 4 - 20 mA source. Check the 4 - 20 mA cabling and connection. 2. Try Analog calibration procedure on the actuator using the same 4 - 20 mA source.
 | AI-2 Out of Range | N/A | Yes | N/A | Yes | Yes | N/A
Over Torque Alarm | Close Torque | N/A | Yes | Yes | Yes | Yes | Yes | The close torque limit has exceeded its value the last time the actuator attempted to move in the close direction. | 1. Check the close torque limit settings to ensure proper set up. Also, check to ensure there is no obstruction preventing the actuator from making a full close stroke. 2. Running the actuator in the opposite direction successfully will clear this alarm.
 | Open Torque | N/A | Yes | Yes | Yes | Yes | Yes | The open torque has exceeded the configured value in the open direction. | 1. Check the open torque limit settings to ensure proper set up. 2. Also, check to ensure there is no obstruction preventing the actuator from making a full open stroke. 3. Running the actuator in the opposite direction successfully will clear this alarm.
 | Over Torque | Yes | N/A | N/A | Yes | Yes | Yes | The torque has exceeded the torque limit. | 1.Check the torque limit setting to ensure proper set up. 2. Also, check to ensure there is no obstruction preventing the actuator from moving.

Table Application of Alarms for Actuator Device Type (5)

Alarms | Alert Sub-bit | Applicable to Actuator Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Overshoot Alarm | N/A | Yes | N/A | N/A | N/A | N/A | N/A | This condition is reported when the valve crossed the target port and the valve must go all the way around. After 3 retries, this alarm will be triggered indicating a maintenance issue. | 1. Check if the flow selector has no fluid at all, resulting in very little torque. 2. The actuator may require calibration to be performed by a qualified technician.
Stop Between Ports Alarm | N/A | Yes | N/A | N/A | N/A | N/A | N/A | The actuator has failed to move to the commanded port. | 1. This alert occurs when the actuator is power-cycled while it is moving. This alert can also occur if the selector knob is switched to the “off” position while the actuator is moving. 2. Immediate actuator maintenance is required on the TBM (Terminal Board Module), contactor, position detector, motor or power circuit. Also ensure the clutch is not in the hand position.
CPU Has Reset | N/A | N/A | Yes | Yes | Yes | Yes | Yes | This alarm indicates that the CPU has reset due to power cycle. Additionally, for TEC2 and Smart EHO actuators, this alarm also indicates a request to restart the processor from host has been executed successfully. | This alarm will remain on until cleared from the Host.
Config Conflict Error | Config Conflict Error | N/A | Yes | Yes | Yes | N/A | N/A | Actuator has been incorrectly configured, or hardware sanity checks do not match the actuator configuration settings. Internal system corruption of control board. | 1. Check power. 2. Check that the actuator settings are configured correctly for the installed actuator. 3. Check the connection between Pin#20 and Pin #22 on STC (This is applicable only for TEC family) If the issue is not resolved, Please contact Emerson or your local representative.
 | Invalid SOV configuration Alarm | N/A | N/A | N/A | N/A | N/A | Yes | This alarm indicates SOV configuration is in correct during Self-Calibration. | Check the SOV configuration and self-calibrate the actuator. It will clear the alarm once Self-Calibration is completed successfully.

Table Application of Alarms for Actuator Device Type (6)

Alarms | Alert Sub-bit | Applicable to Actuator Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Valve Drift Alarm | N/A | N/A | N/A | N/A | Yes | Yes | N/A | Movement has been detected that was not initiated from the motor running. | Make sure the actuator is not in the handwheel position.
Low Battery Alarm | N/A | N/A | N/A | N/A | Yes | Yes | N/A | The actuator has detected a low charge voltage on the internal Super CAP/Battery. | 1. Check the charge volTage because the Super CAP has fallen below a predetermined voltage, indicating that the Super CAP is not sufficiently charged. 2. Actuator maintenance is required if this alert persists for more than four hours after power is applied to the actuator.
Limits Not Set Alarm | N/A | N/A | N/A | N/A | Yes | Yes | Yes | This alarm indicates that the fully open and fully close limits are not configured. | For TEC family of actuators, limits can be configured from the Local Display Module (LDM). For the M2CP family of actuators, please refer to the corresponding DIP switch settings to configure the limits.
Accumulator Alarm | Accumulator Pre Charge Alarm | N/A | N/A | N/A | N/A | N/A | Yes | The accumulator nitrogen pre-charge is not within the set range. | Refer to the pre-charge instructions in the information package and add or subtract nitrogen to the accumulator accordingly. Immediate service is required to ensure proper functionality of the unit.
 | Accumulator Charge Fault Alarm | N/A | N/A | N/A | N/A | N/A | Yes | The accumulator did not charge to the maximum pressure within the allowed charge time. The electric motor has been stopped until another command is received. | Refer to the maintenance instructions for reasons and solutions to resolve this issue. Immediate service is advised to ensure proper functionality of the unit.
Low Oil Level Alarm | N/A | N/A | N/A | N/A | N/A | N/A | Yes | This alarm indicates oil level in hydraulic tank is less. However, this alert does not prevent actuator operation. | Once oil is filled in the tank, this alert will be cleared.
Inhibit Alarm | Close Inhibit Alarm | N/A | N/A | N/A | Yes | Yes | Yes | Actuator has been configured to use the discrete inputs as inhibits and one of them is currently active. When active, this alarm will inhibit actuator from moving. | Check the host system. Check external control wiring and connections. Clear the inhibit conditions on the host.
 | Open Inhibit Alarm | N/A | N/A | N/A | Yes | Yes | Yes

Table Application of Alarms for Actuator Device Type (7)

Alarms | Alert Sub-bit | Applicable to Actuator Type |  |  |  |  |  | Alert Information
 |  | MPA | M2CP (320B) | HQDCM32/ HQDCM33 | TEC2000 | TEC2 | Smart EHO | State of the Problem | Recommended Action
Lost COM Alarm | Lost COM1 Alarm | N/A | Yes | N/A | Yes | Yes | Yes | This alarm indicates that the network communications has failed. | Check the network cables. Check the network connections on the STC. Check the BAUD rate on the host. Check if the host is operating.
 | Lost COM2 Alarm | N/A | Yes | N/A | Yes | Yes | Yes | This alarm indicates that the network communications has failed. | Check the network cables. Check the network connections on the STC. Check the BAUD rate on the host. Check if the host is operating.
Limits Not Set Alarm | N/A | N/A | N/A | N/A | Yes | Yes | Yes | This alarm indicates that the fully open and fully close limits are not configured. | For TEC family of actuators, limits can be configured from the Local Display Module (LDM). For the M2CP family of actuators, please refer to the corresponding DIP switch settings to configure the limits.
ESD Active Alarm | ESD from Lost COM | N/A | N/A | N/A | N/A | N/A | N/A | N/A
 | Hardwired ESD Alarm | Yes | Yes | Yes | Yes | Yes | Yes | An open circuit (or closed circuit, depending on configuration) to the Local ESD input of the actuator. | 1. ESD input overrides control of the actuator as long as the ESD condition exists. The actuator will go to a pre-selected position of close, open or stay put. 2. Clear the local ESD by supplying the normal signal (open/closed circuit, depending on the configuration) to the actuator.
 | Host Command ESD | Yes | Yes | Yes | Yes | Yes | Yes | This alarm indicates that the host has sent an ESD command to the actuator. | This alarm will remain on until it is cleared from the Host.
Lost Analog Input Alarm | Lost Analog Input 1 | N/A | N/A | N/A | Yes | Yes | Yes | This alarm is triggered when the analog input 1 signal is not present and the actuator is configured for analog control. | Check analog cable. Check connections on Analog Input on the STC. Check if the analog input source is valid.
 | Lost Analog Input 2 | N/A | N/A | N/A | Yes | Yes | N/A | This alarm is triggered when the analog input 2 signal is not present and the actuator is configured for analog control. | Check analog cable. Check connections on analog input on the STC. Check that the analog input source is valid.
Backup Power Alarm | N/A | N/A | N/A | Yes | N/A | N/A | N/A | This alarm indicates the actuator has detected a low charge voltage on the internal Super CAP. | Actuator maintenance is required if this alarm persists for more than four hours after power is applied to the actuator.
Valve Stall Alarm | N/a | Yes | Yes | Yes | Yes | Yes | Yes | The actuator has stalled for more than 10 seconds while moving to the commanded position. | 1. Run the actuator in the opposite direction (except MPA) to clear this alarm. 2. Check the contactor, position detector, clutch and the motor.
Partial Stroke Test Fail Alarm | N/A | N/A | N/A | N/A | N/A | N/A | Yes | This alarm is reported when the partial stroke test was not successful. | Alarm will get cleared when a new partial stroke test is successful.
Check Function | N/A | Yes | Yes | Yes | Yes | Yes | Yes | Transducer block is not in auto mode | Check transducer block mode.

Table Application of Alarms for XTE3000 Actuator Device Type (1)

Alarms | XTE3000 | Alert Information
 |  | State of the Problem | Recommended Action
Motor Thermostat | Yes | Motor thermostat open for high temperature in the motor windings | Wait until the motor cools down
Hi Hi Torque in open direction | Yes | Measured torque greater than the relevant value configured in torque set-up or stroke limits routine | Operate the actuator in closing direction. Check the torque needed to operate the valve
Hi Hi Torque in close direction | Yes | Measured torque greater than the relevant value configured in torque set-up or stroke limits routine | Operate the actuator in opening direction. Check the torque needed to operate the valve
Blocked in open | Yes | Not used |
Blocked in close | Yes | Not used |
Hi Hi temperature | Yes | Temperature inside the actuator enclosure higher than 90 °C or lower than -40 °C | Ambient temperature too high or too low. Verify insulation among actuator and heat source
Position Sensor | Yes | Value of the actuator position not valid | Replace position sensor or recalibrate both stroke limits
Speed Sensor | Yes | Measure of motor speed not valid | Replace speed sensor
Main Voltage | Yes | Main voltage lower than -20% or higher than +20% of the value stated in the name plate menu | Check main voltage supply and frequency on terminals L1, L2, L3. Check that wires section is correct
K1 Contactor | Yes | The test routine reports a failure of K1 (coil or auxiliary contact) | Check the contactor
K2 Contactor | Yes | The test routine reports a failure of K2 (coil or auxiliary contact) | Check the contactor
Configuration Error | Yes | The checksum of the EEPROM memory that contains the configuration data is wrong | Reconfigure all parameters (see details next page)
Hardware Error | Yes | The diagnostic program detects some malfunction in the electronics controlling the actuator | Some circuit is damaged and does not work (see details next page)
Low Battery | Yes | The voltage of the lithium battery is too low (only detected if the lithium battery is present and the relevant parameter of the miscellaneous routine is set to “present”) | Change lithium battery
Lost Phase | Yes | The alarm appears only with 3-phase main supply. The alarm is generated in case of fault of one of the phases that supply the actuator transformer | Check main power supply on terminals L1, L2, L3
Request Signal | Yes | The analog 4 - 20 mA signal is not correct | Check the external 4 - 20 mA generator and wiring
Max Torque intermediate position | Yes | The valve does not move in presence of an open/close control | Control in opposite direction
Jammed in close | Yes | No position change after receiving a CLOSE control | Check status of actuator and valve mechanical parts
Jammed in open | Yes | No position change after receiving an OPEN control | Check status of actuator and valve
Direction Test fail | Yes | Motor rotates in the wrong direction | Check the motor wiring
Mid travel in open | Yes | The valve does not move in presence of an open control | heck status of actuator and valve mechanical parts. Recalibrate both stroke limits
Mid travel in close | Yes | The valve does not move in presence of a close control | Check status of actuator and valve mechanical parts. Recalibrate both stroke limits

Table Application of Alarms for RTS Actuator Device Type (1)

Alarms | RTS | Alert Information
 |  | State of the Problem | Recommended Action
Motor Temperature Switch-Off | Yes | Overtemperature switch-off on actuator. | If no automatic clearance please consult factory.
Power Supply Fault | Yes | Power supply on main board is missing. | Please check power supply. If power supply is OK please check BLDC on CM actuators.
Inverter Fault | Yes | Frequency inverter failure. | Please consult factory.
Failsafe Fault | Yes | Communication failure with failsafe board. | If no automatic clearance, please check 24VDC supply of failsafe brake.
Undervoltage Error | Yes | Voltage is below allowed range and actuator is shut-off. | Please check power supply.
Undervoltage Switch-Off | Yes | Voltage multiple times below allowed range. | Please check proper power supply. To quit failure please re-power the actuator or bring red switch in middle position.
User Input Switches Error | Yes | Switches are not calibrated. | Please calibrate switches.
Travel Sensor Fault | Yes | Travel sensor out of range. | Please check loose cable between multiturn sensor and logic board, please check multiturnsensor. Please consult factory.
End Limits Are The Same | Yes | End limits do have the same value. | Please re-do limit settings.
Manual Override | Yes | Manual override is active on failsafe actuator. | Please follow procedure on de-activating manual override.
Internal Comm. Fault L | Yes | Communication failure between logic board and BLDC on CM actuators. | Please check loose cable and logic, main and BLDC board.
Internal Comm. Fault D | Yes | Communication failure between display board and logic board. | Please check loose cable. If software update was performed, please check logic firmware and re-do update.


Status Monitor

Status Monitor-Warnings

Status Monitor

Warnings

Figure Warnings for XTE3000

NOTE:

If there is any active warning, the Tab Color will be yellow.

Figure Warnings Legend

  • Green Circle: Warning is inactive.

  • Warning Sign: Warning is active.

  • Grey Circle: Warning is disabled.

Table Warnings

Warnings | XTE3000 | Warning Information
 |  | State of the Problem | Recommended Action
Torque Near Limits in open direction | Yes | Measured torque greater than the relevant value configured in torque set-up or stroke limits routine | Check the torque necessary to move the valve
Torque Near Limits in close direction | Yes | Measured torque 10% lower than the relevant value configured in torque set-up or stroke limits routines | Check the torque necessary to move the valve
Temperature Near Limits | Yes | Temperature inside the actuator enclosure higher than 80 °C or lower than -35 °C | Find the heat source and insulate the actuator
Main Voltage | Yes | Main voltage lower than -20% or higher than+20% of the value stated in the name plate menu | Check main voltage supply and frequency on terminals L1, L2, L3. Check that wires section is correct
Contactor Cycles | Yes | Max. number of contactor cycles reached | Change contactor and reset operation log
Maintenance request | Yes | Date of the next maintenance reached | Perform maintenance and set next maintenance date
Motor current | Yes | Motor current greater or lower than limits | Check electrical motor
Wrong stroke limits | Yes | The routine that monitors the stroke limits detects a wrong end of travel condition | Recalibrate both stroke limits
PST Error – Max T1 | Yes | Manual reset of warning via actuator local operator interface or alternatively by a new PST command | The T-PST Time has been exceeded during last PST
PST Error – Max T2 | Yes | Manual reset of warning via actuator local operator interface or alternatively by a new PST command | The T-RET time has been exceeded during last PST
PST Error – OverTravel | Yes | Manual reset of warning via actuator local operator interface or alternatively by a new PST command | The max position over travel allowed has been exceeded during last PST
PST Error – PST Failed | Yes | Manual reset of warning via actuator local operator interface or alternatively by a new PST command | At least two of T-PST, T-RET, OV-TR, reset have been activated
General Warning | Yes | Manual reset of warning via actuator local operator interface. | At least one warning is active.

Warnings | RTS | Warning Information
 |  | State of the Problem | Recommended Action
Motor Temperature Warning | Yes | Motor temperature is critical but actuator still working. | Please reduce torque or duty cycle.
Bus Fault Warning | Yes | Bus communication error. | Please check bus address and general bus communication settings.
Bus Watchdog Warning | Yes | Bus watchdog active and not proper used. | Please check watchdog settings and please use toggle bit according settings.
Undervoltage Warning | Yes | Voltage is below allowed range but actuator is still working. | Please check to have proper power supply.
RTC Battery Low Warning | Yes | Battery for real time clock is low. | Please change battery.
Analog Input 1 Signal Loss Warning | Yes | No analog signal connected to positioner input. | Please check 4-20mA on positioner input and check polarity.
Analog Input 2 Signal Loss Warning | Yes | No analog signal connected to external actual value input. | Please check 4-20mA on external actual value input and check polarity.
Internal Comm. Fault E Warning | Yes | Communication failure between logic board and external control unit. | Please consult factory.
Overvoltage Warning | Yes | Voltage is above allowed range, but actuator is still working. | Please check power supply.


Status Monitor

Status Monitor-Input/Output

Status Monitor

Input/Output

  • Input/Outputs Actuator specific details are available in the respective actuator IOM.

Figure Input/Outputs Tab

NOTE:

If any discrete input or relay is triggered, the tab color will turn yellow.

Figure: Input/Outputs Status Legend

    Green Circle: Means discrete input/relay is not triggered.

    Grey Circle: Means discrete input/relay is disabled.

    Yellow Circle (Circuit Open): Means discrete input/relay is triggered (Normally Close).

    Yellow Circle (Circuit Close): Means discrete input/relay is triggered (Normally Open).

    Green Circle (Circuit Close): Means discrete input/relay is not triggered (Normally Open).

    Green Circle (Circuit Close): Means discrete input/relay is not triggered (Normally Close).


Status Monitor

Status Monitor-ESD/Inhibit

Status Monitor

ESD/Inhibit

  • ESD/Inhibits Displays the related ESD alarms and relay status.

Figure ESD Inhibits Tab

Figure ESD Inhibit Alarms Legend

    Red Cross: Means ESD related alarm is active.

    Green Circle: Means no ESD related alarm is inactive.

    Grey Circle: Means ESD related alarm is disabled.


Status Monitor

Status Monitor- Other Information

Status Monitor

Other Information

  • Other Information

Figure Other Information

NOTE:

Other Information parameters are available in XTE3000 for RS232 and Bluetooth protocol.


Status Monitor

Status Monitor-Device

Status Monitor

Device

  • Device The Device Tab shows detailed information about the selected actuator. The information found here varies per actuator model.

Figure Device Tab

  • Tag Name: Tag unique ID.

  • Serial Number: Actuator serial number.

  • Model: Actuator model type.

  • Manufacture Date: Date actuator was manufactured.

  • Actuator Type: Actuator type, such as multi-turn, quarter turn etc.

  • Network Adapter: Network adapter for the DCS.

  • Network Address: Actuator network address.

  • APD Gear Ratio: Absolute Position Detector (APD) records the position calibration of the actuator. This information shows the gear ratio used by the APD.

  • Motor: Motor ID.

  • Voltage: Voltage of selected actuator.

  • Starter: Type of starter mechanism.

  • Worm Gear: Worm gear orientation.

  • Drive Sleeve: Displays drive sleeve.

  • Reverse Rotation: Shows a (Yes/No) if the actuator rotates in reverse.


Status Monitor

Status Monitor- Logs

Status Monitor

Logs

Logs The Logs tab shows operation-related information regarding the selected actuator. Information such as total run time, starts, strokes and others are to be found here.

Figure Logs Tab

© 2015 – 2021 Emerson DCMlink


Status Monitor

Status Monitor- Notes

Status Monitor

Notes

Notes The Notes tab shows database save operation-related information regarding the current actuator status.

Figure Notes Tab

© 2015 – 2021 Emerson DCMlink


Valve Control

Contents

    1. General Information

      Introduction
      Control Actuator

      Valve Control Tabs

      Valve Control
      Alarms
      Warnings
      Input/Output


Valve Control

Valve Control- Introduction

Valve Control

Introduction

DCMlink allows control of valve actuation through the Valve Control option. Users can use this function to open/close valves.

  • Valve control can also be used for initiating Host ESD or to clear ESD.

  • May also be used for initiating PST (the Relay shall be wired to the concerned DI at the STC/TBM).

  • Analog Output can be controlled and Setpoint can be changed.

Figure Accessing Valve Monitoring

The following tabs are available under Valve Control screen:

  • Valve Control

  • Alarms

  • Warnings

  • Input/Outputs


Valve Control

Valve Control- Control

Valve Control

Valve Control Tab

Valve control features used to control several parameters of a monitored actuator. Apart from controlling an active actuator, alarms and other inputs, as well as outputs, may be viewed and modified.

Figure Parameter Configuration in Valve Control

Monitoring Window

This will be similar to status shown in the 'Status Monitor' screen. This section show status of 'Device' and 'Actuator Mode'.

Input Control Window

Shows Setpoint, Position, and Torque readings taken from the actuator. This information is similar to what is found in the status monitor screen.

  • On/Off (Block Mode)

    • Open: Clicking on this button will move the valve to open position.

    • Close: Clicking on this button will move the valve to close position.

    • Stop: Clicking on this button will stop actuator movement.

  • Positioner (Modulating Mode)

    • Setpoint: Sets the target position for the actuator to achieve. For example, if you set it at 10%, it will go to 10% Open (for MPA actuator; Setpoint corresponds to port number).

    • NOTE:

    If the Set point tracking is not enabled in Detailed setup then the status below the Set point dial will show as degraded. It is recommended to enable Set point Tracking in Detailed setup.

  • ESD

    • Host ESD To Host ESD Command, two conditions must be met:

      • Actuator monitoring should be active.

      • Host Command ESD should be enabled.

    • Clear ESD: This will clear the ESD Alarm being raised in the actuator.

For more information please refer to Detailed Setup Section Configure Parameters.

Output Control Window

  • Analog Output This function, based on the percentage, sends anywhere from 4 mA to 20 mA to the Analog Output Pin. 0% -> 4 mA; 100% -> 20 mA. To enable analog output, two conditions must be met:

    • Actuator monitoring should be active.

    • The source should be the host control.

  • Relay Control Clicking on this will provide 24 V output to relay pins. To enable relay control, two conditions must be met:

    • Actuator monitoring should be active.

    • The source should be host control.

Trend Window

    • Shows graph plotting for parameter Setpoint, Position, Torque and Hydraulic Pressure .

NOTE:

Actuator monitoring (By clicking 'Start Polling') should be active and control mode should be set to network for the Positioner function to be usable.


Valve Control

Valve Control- Alarms

  • Valve Control
  • Status Monitor => Alarms Tab

Alarms

  • Alarms may be accessed by clicking on the Alarms tab in valve control mode. Depending on the actuator model, alarms and their current status are shown in this screen:

    For Detail of all Alarms please refer Status Monitor => Alarms Tab

Figure Alarms Tab

NOTE:

If there is any active alarm, the Tab Color will be red.

Figure: Alarms Legend

  • Red Cross: Alarm is active.

  • Green Circle: Alarm is inactive.

  • Grey Circle: Alarm is disabled.


Valve Control

Valve Control- Warnings

  • Valve Control
  • Status Monitor => Warning Tab

Warnings

  • Warnings may be accessed by clicking on the Warnings tab in valve control mode. Depending on the actuator model, Warnings and their current status are shown in this screen:

  • For Detail of all Warnings please refer Status Monitor => Warning Tab

NOTE:

If there is any active warning, the Tab Color will be yellow.

Figure Warnings Tab

Figure Warnings Legend

  • Green Circle: Warning is inactive.

  • Warning Sign: Warning is active.

  • Grey Circle: Warning is disabled.


Valve Control

Valve Control- Input Output

  • Valve Control
  • Status Monitor => Input/Output Tab

Input Output

  • Input/Outputs may be accessed by clicking on the Input/Outputs tab in valve control mode. Depending on the actuator model, Input/Outputs and their current status are shown in this screen:

  • For Detail of all Input/Output parameters, please refer Status Monitor => Input/Output Tab

Figure Input/Outputs

NOTE:

If any discrete input or relay is high, the tab color will turn yellow.

Figure: Input/Outputs Status Legend

    Green Circle: Means discrete input/relay is not triggered.

    Grey Circle: Means discrete input/relay is disabled.

    Yellow Circle (Circuit Open): Means discrete input/relay is triggered (Normally Close).

    Yellow Circle (Circuit Close): Means discrete input/relay is triggered (Normally Open).

    Green Circle (Circuit Close): Means discrete input/relay is not triggered (Normally Open).

    Green Circle (Circuit Close): Means discrete input/relay is not triggered (Normally Close).


Diagnostics

Contents

    1. General Information

      Modbus Traffic Viewer
      HART Communication Viewer
      XTE3000 RS-232 Communication Viewer
      RTS BT Communication Viewer
      Event Log
      Data Logger
      Connection Logger
      Card Report
      FDI Controls
      Bus Information
      Encoder Information

      Profile

      Introduction
      Torque Profile
      PST Torque/ Pressure Profile
      FST Torque Profile
      Max Torque Profile


Diagnostics

Modbus Traffic Viewer

Diagnostics

This application provides option to launch Live Communication Viewer window using the right-click context menu from the Device Tag.

Figure Accessing Device Configuration Viewer

  • Live Communication Viewer logs every request as TX in Blue: Send <Date Time> <Communication Data sent to actuator>

  • Live Communication Viewer logs every response as RX in Red: Receive <Date Time> <Communication Data coming from actuator>

Figure Live Communication Viewer in Modbus Master

Figure Live Communication Viewer in RDM Slave

Figure Live Communication Viewer in Modbus TCP/IP

Figure Live Communication Viewer in Bluetooth (TEC2)

    Also Live Communication Viewer window provides the below options:

  • No Log: To stop logging traffic to window.

  • Log Traffic to Window: To start logging traffic to window.

  • Log Traffic to File: To export logged traffic to external file.

  • Clear Window: To clear logged traffic in window.

  • Log in Decimal: To show traffic communication data in Decimal.

  • Log in Hexadecimal: To show traffic communication data in Hexadecimal.

  • Close: To close Live Communication Viewer window.

  • Help: To launch help related to Live Communication Viewer window.


Diagnostics

HART Communication Viewer

Diagnostics

This application provides option to launch Live Communication Viewer window using the right-click context menu from the Device Tag.

Figure Accessing Device Communication Viewer

  • Live Communication Viewer logs every request as TX in Blue: TX <Date Time> <Communication Data sent to actuator>

  • Live Communication Viewer logs every response as RX in Red: RX <Date Time> <Communication Data coming from actuator>

Figure Live Communication Viewer HART

    Also Live Communication Viewer window provides the below options:

  • No Log: To stop logging traffic to window.

  • Log Traffic to Window: To start logging traffic to window.

  • Log Traffic to File: To export logged traffic to external file.

  • Clear Window: To clear logged traffic in window.

  • Log in Decimal: To show traffic communication data in Decimal.

  • Log in Hexadecimal: To show traffic communication data in Hexadecimal.

  • Close: To close Live Communication Viewer window.

  • Help: To launch help related to Live Communication Viewer window.


Diagnostics

XTE3000 RS-232 Communication Viewer

Diagnostics

Figure Accessing Communication Viewer

  • Live Communication Viewer logs every request as Send in Blue: Send <Date Time> <Communication Data sent to actuator>

  • Live Communication Viewer logs every response as Recieve in Red: Recieve <Date Time> <Communication Data coming from actuator>

Figure Live Communication Viewer in XTE3000 RS-232

    Also Live Communication Viewer window provides the below options:

  • No Log: To stop logging traffic to window.

  • Log Traffic to Window: To start logging traffic to window.

  • Log Traffic to File: To export logged traffic to external file.

  • Clear Window: To clear logged traffic in window.

  • Log in Decimal: To show traffic communication data in Decimal.

  • Log in Hexadecimal: To show traffic communication data in Hexadecimal.

  • Close: To close Live Communication Viewer window.

  • Help: To launch help related to Live Communication Viewer window.


Diagnostics

RTSACP Communication Viewer

Diagnostics

Figure Accessing Communication Viewer

  • Live Communication Viewer logs every request as Send in Blue: Send <Date Time> <Communication Data sent to actuator>

  • Live Communication Viewer logs every response as Receive in Red: Receive <Date Time> <Communication Data coming from actuator>

Figure Live Communication Viewer in RTS Bluetooth and Infrared

    Also Live Communication Viewer window provides the below options:

  • No Log: To stop logging traffic to window.

  • Log Traffic to Window: To start logging traffic to window.

  • Log Traffic to File: To export logged traffic to external file.

  • Clear Window: To clear logged traffic in window.

  • Log in Decimal: To show traffic communication data in Decimal.

  • Log in Hexadecimal: To show traffic communication data in Hexadecimal.

  • Close: To close Live Communication Viewer window.

  • Help: To launch help related to Live Communication Viewer window.


Diagnostics

Event Log

Diagnostics

Figure Event Log Viewer

NOTE:

  • Event logging is available only for the TEC2 and Smart EHO.

  • Event logging is available for RTS as History Logs.

Figure Event Log Viewer Window

  • Export: Exports the entire event log in .csv format.

  • Filter: Allows the option to display information based on the selected event type only.

  • Read: Reloads the entire event log.

  • Close: Closes the Event Log window.

  • Help: Opens the help dialog box.

Figure Event Log Filter

© 2015 – 2021 Emerson DCMlink


Diagnostics

Data Logger

Diagnostics

Data Logger is available only for the XTE3000 over Bluetooth and RS-232 protocol.

Figure Data Logger Viewer

    This configuration is used in connecting XTE3000 over RS-232 protocol.

  • Event

  • Recorder

  • T-Recorder

  • OFF

    • All Data Logger Information could be configured using the “configure” button. It navigates to the "Detailed Setup" screen where under "Data Logger" tab user can set configuration. On clicking the ‘Upload’ button, it will upload all the tabs for the selected Data Logger Mode.

Figure Data Logger with Logger Mode as “Event”

Figure Data Logger with Logger Mode as “Recorder”

Figure Data Logger with Logger Mode as “T-Recorder”

© 2015 – 2021 Emerson DCMlink


Diagnostics

Connection Logger

Diagnostics

Connection Logger is available only for the XTE3000 over Bluetooth and RS-232 protocol. Connection Logger screen is launched from Menu Tools -> Connection Logs Viewer.

Figure Connection Logger Viewer

This configuration is used in connecting XTE3000 over Bluetooth and RS-232 protocol.


Diagnostics

Card Report

Diagnostics

Card Report is available only for the XTE3000 over Bluetooth and RS-232 protocol. Card Report screen is launched from Menu Tools -> Connection Logs Viewer.

Figure Card report View

This configuration is used in connecting XTE3000 over Bluetooth and RS-232 protocol.

  • Refresh: Reloads all Parameters values.

  • Write: Write all the changed parameters to actuator.


Diagnostics

FDI Controls

Diagnostics

FDI Controls is available only for the XTE3000 over Bluetooth and RS-232 protocol. FDI Controls screen is launched from Menu Tools -> FDI Controls.

Figure FDI Controls Views

This configuration is used in connecting XTE3000 over Bluetooth and RS-232 protocol.

NOTE:

FDI Controls Details are available if the Hardware Configuration is set to 'LonWork'.


Diagnostics

Bus Information

Diagnostics

Bus Information is available only for the XTE3000 over Bluetooth and RS-232 protocol. Bus Information screen is launched from Menu Tools -> Bus Information.

Figure Bus Information Views

This configuration is used in connecting XTE3000 over Bluetooth and RS-232 protocol.

NOTE:

Bus Information Details are based on the Hardware Configuration.


Diagnostics

Encoder Information

Diagnostics

Encoder Information is available only for the XTE3000 over Bluetooth and RS-232 protocol. Encoder Information screen is launched from Menu Tools -> Encoder Information.

Figure Encoder Information Views

This configuration is used in connecting XTE3000 over Bluetooth and RS-232 protocol.


Diagnostics

Diagnostics-Profile

Diagnostics

Profile

  • Torque Profile

  • Torque Profile

  • Max Torque Profile

  • Commanded Torque (PST/FST) Profile

  • Commanded Pressure (PST) Profile

Table DCMlink Profile Comparison Table

Profile | Smart EHO | TEC2 | M2CP | TEC2000 | MPA | HQ32 | HQ33 | XTE30002
Commanded Torque (PST) Profile | No | Yes | Yes | No | No | No | No | Yes3
Commanded Pressure (PST) Profile | Yes | No | No | No | No | No | No | No
Commanded Torque (FST) Profile | No | Yes | Yes | No | No | No | No | No
Max Torque Profile / HWM (101 points) | No | Yes | Yes | No | No | No | No | No
Max Torque Profile / HWM (3 points) | No | No | No | No | No | No | No | Yes
Torque Curve (1 Curve, 9/ 12 Points) | No | No | Yes1 | Yes | No | No | No | No
Torque Curve (100 Curve, 101 Points) | No | No | No | No | No | No | No | Yes

NOTE:

  1. 1. Open direction only (M2CP-Torque Curve).

  2. 2. Available: Modbus, RS-232, Bluetooth (HART not available).

  3. 3. 16 curves. Datapoints plotted based on the travel limits. Modbus has only Diagnostic initiation PST command.


Profile

Profile

Torque Profile

Functions available in Torque Profile View include:

  • Upload Profile: Gives option to load the current torque profile in the actuator.

  • Upload Archive Profile: Gives option to load the archive/saved torque profile in the actuator.

  • Archive: Gives command to the actuator to archive the current profile into memory.

  • Add Overlays: Gives option to plot the data from a previously saved dataset on top of the graph currently displayed.

  • Save Dataset: Gives option to save the database whenever user changes any parameter from the tab or when at least one profile is loaded or when user perform Upload profile.

  • Delete Dataset: Gives option to delete a dataset.

  • Graph Tab Shows the reported torque of the actuator. The blue lines show the closing torque profile and the red line shows the opening torque profile.

Figure Torque Profile View

  • Plot Points: Shows plot points on graph.

  • Grid Lines: Displays grid overlay on graph.

  • Zoom In: Magnifies a particular portion on the graph and showing lines in greater detail.

  • Zoom Out: Reduces magnification on graph.

  • Zoom Back: Moves zoom magnitude to the original setting.

  • Save Button: Saves graph to target directory.

  • Print Button: Prints the graph.

  • Full Screen: Maximizes view of the graph to full screen.

  • Highlight Overlays: Allow user to cycle through the overlays displayed on graph.

Figure Blue vs. Red Plot Lines in Open and Close Torque

  • Data Points Tab Shows the actual values of actuator-reported torque.

Figure Data Points Tab

  • Write To File: Gives option to export the profile data points to .csv file format. Which later can be used for actuator health analysis.

    • NOTE:

    Open and Close torque profile is only available for TEC2000 and TEC2. Open torque profile and archive open torque profile are applicable only for M2CP. There is no torque profile for MPA, HQ, and Smart EHO.

    • Archive Torque Profile

      • An existing torque profile may be archived for later use by clicking on Archive while in Torque profile view.

    Figure Archive Torque Profile View

    • Notes Tab Allows user to take notes on the available information.

    • Add Overlay

    Figure Add Overlay

    NOTE:

    The DCMlink permits a maximum of 10 graph overlays.

    • Tag: In tag text box user can enter the tag name of device and then click Enter to search

    • Tags Found: Displays all the tags which are saved in database.

    • Dataset: Dataset dropdown allows user to select the previously saved dataset. It contains the dataset name and profile name in bracket ( ).

    • Select: The selected dataset name will be displayed in the overlay datasets selected box.

    • Remove: Removes the selected dataset.

    • Remove All: Removes all datasets added in Overlay Datasets Selected section.

    • View Overlay: Shows the selected dataset graph on graph window.

    • Close: Overlay dialog box gets closed, without applying any settings.


Profile

PST Torque and Pressure Profile

Profile

Commanded Partial Stroke Test (PST) Torque Profile

NOTE:

  • For RTS: PVST is available via Command.

    • User need to select RTS Actuator Tag .

    • PVST option will be enable only if Current User level has permission to execute.

    For TEC2/M2CP: PST (Torque) is available via Command.

    • User need to select TEC2/M2CP/XTE3000 Actuator Tag .

    • Right click Actuator Tag then click Torque Profile. The screen will appear.

    • In Configuration Tab, PST profile options are available for all functions like 'PST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' etc.

    Running the Partial Stroke Test (PST) Torque Profile requires the below steps:

    • From Diagnostics menu, select Torque Profile.

    • On the Configuration page, ensure correct values in the 'PST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' text boxes, as necessary and click on the 'Start Diagnostics' button at the bottom to get an option to 'Start PST'.

    • PST status shows the status of the test.

    • DCMlink Gives option to Archive current profile into actuator memory for future reference

    • To save the new diagnostic data in the DCMlink Software database, click the Save Dataset.

    • To review other saved diagnostic data, select a dataset.

    • To run another new diagnostic test, click on the 'Start Diagnostics' button at the bottom to get an option to 'Start PST'.

    • To view PST graph, click Graph tab.

    Functions available in Commanded Torque PST Profile View includes:

    • Start Diagnostics: Gives option to Start the PST profile. It gives option to archive the current profile into memory once PST execution is done. And finally, it loads the current PST torque profile available in the actuator.

    • Upload Archive Profile: Gives option to load the archive/saved torque profile in the actuator.

    • Add Overlays: Gives option to plot the data from a previously saved dataset on top of the graph currently displayed.

    • Save Dataset: Gives option to save the database whenever user changes any parameter from the tab or when at least one profile is loaded or when user perform Upload profile.

    • Delete Dataset: Gives option to delete a dataset.

    Commanded Torque PST Profile has 4 Tabs:

    • Configuration Tab

    • Graph Tab

    • Data Points Tab

    • Notes Tab

    • Configuration Tab It includes PST parameter groups and user should click "Configure" to edit needed parameters.

    Figure Configuration Tab For Commanded Torque PST Profile

    • Graph Tab Shows the reported PST of the actuator. The blue lines show the closing profile and the red line shows the opening profile.

    Figure PST Profile View

      Functions available in the graph portion of PST view are:

    • Plot Points: Shows plot points on graph.

    • Grid Lines: Displays grid overlay on graph.

    • Zoom In: Magnifies a particular portion graph, showing lines in greater detail.

    • Zoom Out: Reduces magnification on graph.

    • Zoom Back: Moves zoom magnitude to the original setting.

    • Save Button: Saves graph to target directory.

    • Print Button: Prints graph reading.

    • Full Screen: Maximizes the view graph to full screen.

    • Highlight Overlay: Allow user to cycle through the overlays displayed on graph.

    Figure Blue vs. Red Plot Lines in Open and Close PST

    • Data Points Tab Shows the actual values of actuator reported torque.

    Figure Data Points Tab

    • Notes Tab Allows user to take notes on the available information.

    Commanded Partial Stroke Test (PST) Pressure Profile (Smart EHO Only)

    For Smart EHO: PST (Pressure) is available via Command.

      This is applicable for Smart EHO actuator only. For other actuators this option is disabled. Diagnostics to detect emerging valve repair requirements are:

      • User need to select Smart EHO Actuator Tag .

      • Right click Actuator Tag then click context menu> Profile> Pressure Profile. The screen will appear.

      • In Configuration Tab, PST profile options are available for all functions like 'PST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' etc.

    Running the Partial Stroke Test (PST) Pressure Profile requires the below steps:

    • From Diagnostics menu, select Pressure Profile.

    • On the Configuration page, ensure correct values in the 'PST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' text boxes, as necessary and click on the 'Start Diagnostics' button at the bottom to get an option to 'Start PST'.

    • PST status shows the status of the test.

    • To save the new diagnostic data in the DCMlink Software database, click the Save Dataset.

    • To review other saved diagnostic data, select a dataset.

    • To run another new diagnostic test, click on the 'Start Diagnostics' button at the bottom to get an option to 'Start PST'.

    • To view PST graph, click Graph tab.

    Functions available in Pressure Profile View includes:

    • Start Diagnostics: Gives option to start PST profile.

    • Upload Profile: Gives option to load current PST profile in the actuator.

    • Add Overlays: Gives option to plot data from a previously saved dataset on top of the graph currently displayed.

    • Save Dataset: Gives option to save the database whenever user changes any parameter from the tab or when at least one profile is loaded or when user perform upload profile.

    • Delete Dataset: Gives option to delete a dataset.

    Commanded Pressure PST Profile has 4 Tabs:

    • Configuration Tab

    • Graph Tab

    • Data Points Tab

    • Notes Tab

    • Configuration Tab Includes PST parameter group, and then user clicks Configure to add necessary parameters.

    Figure Configuration Tab

    Figure PST Parameters

    • Graph Tab Shows the reported Pressure of the actuator. The blue lines show the closing Pressure profile and the red line shows the opening Pressure profile.

    Figure Pressure Profile View

    • Plot Points: Shows plot points on graph.

    • Grid Lines: Displays grid overlay on graph.

    • Zoom In: Magnifies a particular portion graph, showing lines in greater detail.

    • Zoom Out: Reduces magnification on graph.

    • Zoom Back: Moves zoom magnitude to the original setting.

    • Save Button: Saves graph to target directory.

    • Print Button: Prints graph reading.

    • Full Screen: Maximizes the view graph to full screen.

    • Highlight Overlay: Allow user to cycle through the overlays displayed on graph.

    Figure Blue vs. Red Plot Lines in Open and Close Pressure

    • Data Points Tab Shows the actual values of actuator reported pressure.

    Figure Data Points Tab

  • Write To File: Gives option to export the profile data points to .csv file format. Which later can be used for actuator health analysis.

    • Notes Tab Allows user to take notes on the available information.

    • Add Overlay

    Figure Add Overlay

    NOTE:

    The DCMlink permits a maximum of 10 graph overlays.

    • Tag: In tag text box user can enter the tag name of device and then click Enter to search

    • Tags Found: Displays all the tags which are saved in database.

    • Dataset: Dataset dropdown allows user to select the previously saved dataset. It contains the dataset name and profile name in bracket ( ).

    • Select: The selected dataset name will be displayed in the overlay datasets selected box.

    • Remove: Removes the selected dataset.

    • Remove All: Removes all datasets added in Overlay Datasets Selected section.

    • View Overlay: Shows the selected dataset graph on graph window.

    • Close: Overlay dialog box gets closed, without applying any settings.


Profile

FST Profile

Profile

Commanded Torque FST Profile

    For TEC2/M2CP: FST is available via Command.

    • User need to select TEC2/M2CP Actuator Tag .

    • Right click Actuator Tag then click Torque Profile. The screen will appear.

    • In Configuration Tab, FST profile options are available for all functions like 'PST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' etc.

    Functions available in Commanded Torque FST Profile View includes:

  • Start Diagnostics: Gives option to Start the FST profile. It gives option to archive the current profile into memory once FST execution is done. And finally, it loads the current FST torque profile available in the actuator.

  • Upload Archive Profile: Gives option to load the archive/saved torque profile in the actuator.

  • Add Overlays: Gives option to plot the data from a previously saved dataset on top of the graph currently displayed.

  • Save Dataset: Gives option to save the database whenever user changes any parameter from the tab or when at least one profile is loaded or when user perform Upload profile.

  • Delete Dataset: Gives option to delete a dataset.

    Commanded Torque FST Profile has 4 Tabs:

  • Configuration Tab

  • Graph Tab

  • Data Points Tab

  • Notes Tab

  • Configuration Tab It includes FST parameter groups and user should click "Configure" to edit needed parameters.

Figure Configuration Tab For Commanded Torque FST Profile

  • Graph Tab Shows the reported FST of the actuator. The blue lines show the closing profile and the red line shows the opening profile.

Figure FST Profile View

    Functions available in the graph portion of FST view are:

  • Plot Points: Shows plot points on graph.

  • Grid Lines: Displays grid overlay on graph.

  • Zoom In: Magnifies a particular portion graph, showing lines in greater detail.

  • Zoom Out: Reduces magnification on graph.

  • Zoom Back: Moves zoom magnitude to the original setting.

  • Save Button: Saves graph to target directory.

  • Print Button: Prints graph reading.

  • Full Screen: Maximizes the view graph to full screen.

  • Highlight Overlay: Allow user to cycle through the overlays displayed on graph.

Figure Blue vs. Red Plot Lines in Open and Close FST

  • Configuration Tab It includes FST parameter groups and user should click "Configure" to edit needed parameters.

Figure Data Points Tab

  • Write To File: Gives option to export the profile data points to .csv file format. Which later can be used for actuator health analysis.

    • Notes Tab Allows user to take notes on the available information.

    Running the Full Stroke Test (FST) include the below steps:

    • From Diagnostics menu, select Torque Profile.

    • On the Configuration page, ensure correct values in the 'FST Start Position', 'End Position', 'Travel Limit' and 'Pause Time' text boxes, as necessary and click on the 'Start Diagnostics' button at the bottom to get an option to 'Start FST'.

    • FST status shows the status of the test.

    • DCMlink Gives option to Archive current profile into actuator memory for future reference

    • To save the new diagnostic data in the DCMlink Software database, click the Save Dataset.

    • To review other saved diagnostic data, select a dataset.

    • To run another new diagnostic test, click on the 'Start Diagnostics' button at the bottom to get an option to 'Start FST'.

    • To view FST graph, click Graph tab.

    Figure Add Overlay

    NOTE:

    The DCMlink permits a maximum of 10 graph overlays.

    • Tag: In tag text box user can enter the tag name of device and then click Enter to search

    • Tags Found: Displays all the tags which are saved in database.

    • Dataset: Dataset dropdown allows user to select the previously saved dataset. It contains the dataset name and profile name in bracket ( ).

    • Select: The selected dataset name will be displayed in the overlay datasets selected box.

    • Remove: Removes the selected dataset.

    • Remove All: Removes all datasets added in Overlay Datasets Selected section.

    • View Overlay: Shows the selected dataset graph on graph window.

    • Close: Overlay dialog box gets closed, without applying any settings.


Diagnostics

Max Torque Profile

Profile

Max Torque Profile

NOTE:

Max Torque Profile ( Water Mark Torque Profile) Max Torque Profile is currently available for TEC2 and M2CP Actuator.

Figure Max Torque Profile

    Functions available in Max Torque Profile View includes:

  • Upload Max Torque Profile: Gives option to load the current Max torque profile in the actuator.

  • Delete Profile: option to clear current Open/Close Max torque profile in the actuator.

Figure Delete Profile

  • Add Overlays: Gives option to plot the data from a previously saved dataset on top of the graph currently displayed

  • Save Dataset: Gives option to save the database whenever user changes any parameter from the tab or when at least one profile is loaded or when user perform Upload profile.

  • Delete Dataset: Gives option to delete a dataset.

  • Graph Tab: Shows the reported torque of the actuator. The blue lines show the closing Max torque profile and the red line shows the opening Max torque profile.

Figure Max Torque Profile View

    Functions available in the graph portion of Max torque profile view are:

  • Plot Points: Shows plot points on graph.

  • Grid Lines: Displays grid overlay on graph.

  • Zoom In: Magnifies a particular portion on the graph and showing lines in greater detail.

  • Zoom Out: Reduces magnification on graph.

  • Zoom Back: Moves zoom magnitude to the original setting.

  • Save Button: Saves graph to target directory.

  • Print Button: Prints the graph.

  • Full Screen: Maximizes view of the graph to full screen.

  • Highlight Overlays: Allow user to cycle through the overlays displayed on graph.

Figure Blue vs. Red Plot Lines in Open and Close Max Torque

  • Data Points Tab Shows the actual values of actuator-reported torque.

Figure Data Points Tab

  • Write To File: Gives option to export the profile data points to .csv file format. Which later can be used for actuator health analysis.

    • Notes Tab Allows user to take notes on the available information.

    • Add Overlay

    Figure Add Overlay

    NOTE:

    The DCMlink permits a maximum of 10 graph overlays.

    • Tag: In tag text box user can enter the tag name of device and then click Enter to search

    • Tags Found: Displays all the tags which are saved in database.

    • Dataset: Dataset dropdown allows user to select the previously saved dataset. It contains the dataset name and profile name in bracket ( ).

    • Select: The selected dataset name will be displayed in the overlay datasets selected box.

    • Remove: Removes the selected dataset.

    • Remove All: Removes all datasets added in Overlay Datasets Selected section.

    • View Overlay: Shows the selected dataset graph on graph window.

    • Close: Overlay dialog box gets closed, without applying any settings.


Calibration Procedure

Contents

    1. General Information

      Introduction
      Analog Input & Output Actuator Connection Details
      Analog Input Calibration
      Analog Output Calibration
      Analog Torque Pot Calibration
      MPA Home Port Calibration
      MPA Port Calibration
      Smart EHO Self-Calibration
      Calibrate Input Switch
      Multiturn Sensor Detection and Calibration


Calibration Procedure

Calibration Procedure

Introduction

DCMlink provides a step-by-step procedure for end user to perform Analog Input and Output calibration.

Calibration allows the user to calibrate using various calibration tools. It also provides the following functions and advantages:

  • Enhance productivity with easy-to-use calibration tools.

  • Support for Analog Input and Output Calibration.

  • Calibration available for TEC2/M2CP/HQ/Smart EHO.

  • Home Port Calibration is only available for the MPA.

NOTE: Calibration may be executed only when monitoring is inactive. Perform calibration preferably before device monitoring is activated. Calibration settings and menus vary per actuator. For example, an M2CP will have different calibration procedures than a TEC2. Check actuator manual for calibration settings.

  • On the menu bar, click Calibration.

Figure Calibration from the Menu Bar

Alternatively, Calibration may be accessed by right-clicking on the actuator Tag in the navigation pane and clicking on Calibration. The user may also click on the Calibration icons in the tool bar.


Calibration Procedure

Analog Input & Output Actuator Connection Details

Calibration Procedure

Below are the calibration options available from DCMlink.

Table

Actuator | Analog Input 1 | Analog Input 2 | Analog Output 1 | Analog Output 2 | Analog Torque Pot Input
M2CP | P4 Connector => Pin#1 (+ve) Pin#2 (-ve) | P4 Connector => Pin#3 (+ve) Pin#4 (-ve) | P4 Connector => Step 1. Pin#5 (apply 24V DC) Step 2. 0V connects to - of loop calibrator Step 3. + of loop calibrator connects to Pin#6 | NA | Connect a 5K or 10K potentiometer to connector P3
TEC2 | 25+ve 26-ve | 27+ve 28-ve | 31+ve 32-ve | 33+ve 34-ve | NA
MPA | NA | NA | NA | NA | NA
HQ32 | NA | NA | NA | NA | NA
HQ33 | NA | NA | NA | NA | NA
TEC2000 | NA | NA | NA | NA | NA
Smart EHO | 25+ve 26-ve | NA | 27+ve 28-ve | 29+ve 30-ve | NA
XTE3000 | NA | NA | NA | NA | NA

  • Apply Current source to Pins of each Actuator as shown below:

Figure M2CP Actuator Analog Input, Output, Ground Connections

Figure TEC2 Actuator Analog Input, Output, Ground Connections

Figure TEC2 Input, Output, Ground Pin Details

Figure Smart EHO Actuator Analog Input, Output, Ground Connections

Figure Smart EHO Input, Output, Ground Pin Details

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

Analog Input Calibration

Calibration Procedure

Figure Calibration from the Navigation pane

  • After clicking Calibration, click Accept.

Figure Analog Input 1 or 2 Calibration

  • After calibration completes, click OK.

Figure TEC2 Actuator Analog Input, Output, Ground Connections

  • Another calibration option (20 mA). Click Accept.

Figure Calibrating to 20 mA reference

  • Calibration is completed after clicking Accept.

Figure Analog Input 1 Calibration Completed

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

Analog Output Calibration

Calibration Procedure

Executing Output Calibration using the applicable actuators begins by clicking Analog Output Calibration.

Figure Analog Output Calibration 1 or 2

  • Click Yes.

Figure Start Analog Output Calibration

  • Ensure correct wire configuration and click Accept.

Figure Analog Output Calibration

  • Click Up and Down arrows until the value adjusted for is acceptable. Once complete, click Accept. This concludes the 4 mA output calibration.

Figure Start 4 mA Analog Output Calibration

  • For the 20 mA output calibration, similar steps apply. Click Up and Down arrows until the values are acceptable. Once complete, click Accept.

Figure Start 20 mA Analog Output Calibration

  • Once output calibration completes, a window will appear stating this. Click OK.


Calibration Procedure

Torque Pot Calibration

Calibration Procedure

Executing Analog Torque Pot Calibration using the applicable actuators begins by clicking Analog Torque Pot Calibration.

Figure Analog Torque Pot Calibration

  • Click Accept.

Figure Step 1 of 2

  • Ensure correct wire configuration and click Accept.

Figure Step 1 of 2 Success.

  • Click Accept.

Figure Step 2 of 2

  • Ensure correct wire configuration and click Accept.

Figure Step 2 of 2 Success.

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

MPA Home Port Calibration

Calibration Procedure

MPA Home Port Calibration window is used to align the electronic position with the physical ports of the MPA.

Figure Accessing MPA Home Port Calibration

Figure MPA Home Port Calibration

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

MPA Port Calibration

Calibration Procedure

The 'MPA Port Calibration' feature is part of Factory settings. Please refer Factory Settings manual for the details.


Calibration Procedure

Smart EHO Self-Calibration

Calibration Procedure

Self-Calibration can be performed on the Smart EHO actuators. After loading an Smart EHO Tag, calibration can be accessed by using the menu bar, the tool bar, or right-clicking on the Tag. In this example, the menu bar Calibration is clicked, followed by Self-Calibration.

Figure Smart EHO Self-Calibration

  • A dialog box will appear and ask for calibration to proceed. Click Yes.

  • Input the desired values and click Start.

  • Self-Calibration concludes once the inputted values are accepted. Click OK on the dialog box that appears at the conclusion.

Figure Input values for Self-Calibration

Figure Self-Calibration Execution

Figure Self-Calibration Graph

Figure Self-Calibration Data Points

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

Calibrate Input Switches

Calibration Procedure

Calibrate Input Switches window is used to align the electronic position with the physical ports.
Menu Option Calibration -> Calibrate Input Switches
or
Context Menu Option Calibration -> Calibrate Input Switches.

NOTE:

  • Calibrate Input Switches - window can be opened or launched when tag is open and actuator monitoring is inactive.

  • Calibrate Input Switches - menu will remain disabled if Current User does not have command permission to execute this command.

  • Calibrate Input Switches - this option is only available for RTS actuators.

Figure: Accessing Calibrate Input Switches

Figure: Calibrate Input Switches

© 2015 – 2021 Emerson DCMlink


Calibration Procedure

Multiturn Sensor Detection & Calibration

Calibration Procedure

Multiturn Sensor Detection and Calibration window is used to align the electronic position with the physical ports.
Menu Option Calibration -> Multiturn Sensor Detection & Calibration
or
Context Menu Option Calibration -> Multiturn Sensor Detection & Calibration.

NOTE:

  • Multiturn Sensor Detection & Calibration - window can be opened or launched when tag is open and actuator monitoring is inactive.

  • Multiturn Sensor Detection & Calibration - menu will remain disabled if Current User does not have command permission to execute this command.

  • Multiturn Sensor Detection & Calibration - this option is only available for RTS CM actuators.

Figure: Accessing Multiturn Sensor Detection & Calibration

Figure: Multiturn Sensor Detection & Calibration

© 2015 – 2021 Emerson DCMlink


Firmware Download

Contents

    1. General Information

      Introduction
      Firmware Download TEC2
      Firmware Download XTE3000
      Firmware Download RTS


Firmware Download

Firmware Download- TEC2

Firmware Download

To download Firmware from DCMlink: Select Tools Menu and click on Firmware Download option.

Figure Firmware Download Menu

  • Click Firmware Download option, Dialog Box will appear.

Figure Firmware Download Dialog

NOTE:

TEC2 actuator needs to be in Stop mode to perform Firmware download.

  • Click on Firmware File Option & click on the Browse to select the file.

Figure Firmware Download Selection Dialog

  • Once all Firmware files are selected click on Download.

Figure Firmware Download Ready to Start

Figure Firmware Download user Confirmation

  • Firmware Download is in Progress & user can click on Abort if Download is not required.

Figure Firmware Download In Progress

NOTE:

TEC2 actuator CCM firmware version must be 1.0.1 or higher in order to download firmware from DCMlink.

TEC2 actuator LDM, RDM firmware version must be 1.0.4 or higher in order to download firmware from DCMlink.


Firmware Download

Firmware Download- XTE3000

Firmware Download

To download Firmware from DCMlink; select Tools Menu and click on Firmware Download option.

Figure Firmware Download Menu

  • Click Firmware Download option, Dialog Box will appear.

Figure Firmware Download Dialog

As it could be seen that Firmware download screen is divided into three groups.

  • Current Version

    • Current Version: this screen shows detail information about the current firmware present.

    • Read Button: By clicking on the Read Button, current Firmware information would get populated.

  • Browse Firmware files(s): One by one we select the Program and the Operation that need to be perform and then browse file location using Add button.

    • Program: Type of program to read or write. This dropdown contains two option - Firmware and Language.

    • Operation: This dropdown contains two option - Read and Write.

    • Add button: This allows user to browse the file path of selected program file, to save in case of 'Read' operation or to pick file for 'Write' operation. When user selects program type as 'Firmware' and Operation type as 'Write', then DCMlink search for three default program files: Kernel, Erase and Update.

      • If Default files are present, then all these three programs with operation type as 'Write' is added in the task list.

      • If Default program file(s) are not present, then all these three programs with operation type as 'Read' is added in the task list. And Read operation for these programs are performed first.

    • Task List: Shows the list of task to be performed on Start button click.

  • Status: This shows the progress status of firmware download process.

    • Start Button: On click all the added Firmware task is executed.

    • Close Button: Closes the Firmware download window.

    • Help Button: Launches the help.chm file and opens XTE Firmware process.

Figure Firmware Download in progress

NOTE:

If the current XTE3000 Base Board firmware version is earlier than: 9.04, and user wants to upgrade/downgrade the firmware, then RS232 cable connection is preferred over Bluetooth.


Firmware Download

Firmware Download- RTS

Firmware Download

To download Firmware from DCMlink; select Tools Menu and click on Firmware Download option.

Figure: Firmware Download Menu

  • Click Firmware Download option, Dialog Box will appear.

Figure: Firmware Download Dialog

As it could be seen that Firmware download screen is divided into four groups.

  • Current Version: It shows the current Firmware version present in the Actuator.

  • Upload Files: It provides options to select different firmware files.

    • Already in Bootloader Mode: Select this option only if actuator is in bootloader mode.

    • Select Hardware Type: Here user can select different Hardware types like Display, Logik and Bus.

    • Add: On Clicking this button a browser window will open and user will only be able to select firmware file of selected hardware type. The selected file will be get added in below list. Tooltip of each list item, you will be able to see detail about the firmware file.

      Figure: Selected Firmware file detail.

  • Status: It shows the progress of firmware download process.

  • Start: It shows the progress of firmware download process.

    Figure: Firmware Download in progress.

NOTE:

  • DCMlink supports Firmware Download - for RTS after for Firmware version 1600 and above.

  • Firmware Download - over bluetooth or Infrared requires atleast Display Bootloader version 19.

    Figure: Firmware Download error message.

© 2015 – 2021 Emerson DCMlink


Scheduler

Contents

    1. General Information

      Introduction to DCMlink Scheduler
      Scheduler Task Options

      Scheduling Activities

      Scheduling Task
      Modifying Task
      Deleting Task
      Scheduler History


Scheduler

Scheduler- Introduction

Scheduler

Scheduler is a feature that allows user to run various types of tests at predefined intervals without user intervention. The resulting data is available for later viewing and analysis.

  • The Scheduler gives the capability to specify a time and date to automatically run a task on a actuator.

  • An unlimited number of tasks can be set up in the Scheduler for a one-time use, daily, weekly, monthly, or yearly occurrence.

  • A history of all tasks completed is maintained in the History page of the Scheduler, indicating the problem found, the reason for the problem, and a solution to resolve the problem.

  • Scheduler functionality is not available from DCMlink SNAP-ON™ for DeltaV™, and it is only available on DCMlink Software (SOLO) installations.

  • DCMlink S/W allows the user to enable/disable the scheduler.

  • Scheduler information (tag and task data) will be persisted in the database (on a local PC).

  • If the Scheduler has initiated a task on an actuator then the corresponding device icon in the tree view is modified to show a stopwatch superimposed on the original icon. Also, the progress will appear in the Taskbar window.

Figure Scheduler Menu

    Scheduler menu item is disabled when polling is on for Status Monitor/Valve Control screen.

Figure Scheduler ToolBar

    All error conditions are gracefully handled by Scheduler and noted in the Status column for that task. For example, if the device is disconnected, the Scheduler would display retry under the Status column

    If the retry limits exceed, then show the reason for failure in the Status column.


Scheduler

Scheduling Task Types

Scheduler

Scheduler Task Types

  • There is different scheduler task available for different actuators on the basis of protocols.

  • Below table states the task list.

Figure Scheduler Task Options

Actuator | Protocol | Tasks
TEC2 | Modbus | Extract Device Info, Max Torque, PST, FST
 | HART | Extract Device Info, Max Torque, PST, FST
 | Bluetooth | Extract Device Info, Max Torque, PST, FST
XTE3000 | Modbus | Extract Device Info, PST
 | HART | Extract Device Info, PST
 | XTE RS-232 | Extract Device Info, PST
 | Bluetooth | Extract Device Info, PST
TEC 2000 | Modbus | Extract Device Info
 | HART | Extract Device Info
Smart EHO | Modbus | Extract Device Info, PST
 | HART | Extract Device Info, PST
M2CP (FW 361) | Modbus | Extract Device Info, Max Torque, PST, FST
 | HART | Extract Device Info, Max Torque, PST, FST
M2CP | Modbus | Extract Device Info
 | HART | Extract Device Info
MPA | Modbus | Extract Device Info
RTS | Modbus | Extract Device Info
 | Bluetooth | Extract Device Info
 | IRDA | Extract Device Info

NOTE:

DCMlink would initiate PST, FST command, but it would not save the profile information in the dataset.


Scheduler

Scheduling Task

Scheduler

Scheduling Task

Scheduler dialog has few tabs. The details of each tab is mentioned below.

  • Current Tab

  • Scheduler window includes the current tab for showing the list of Scheduled Task.

  • This page must contain the current schedule configuration, including tasks that are currently running and ones that are scheduled for the future.

  • Current tab data grid shows following columns:

    • Tag: Selected Tag.

    • Task Type: Selected task type for scheduler.

    • Description: Task’s description.

    • Parameters: Parameters required for the task.

    • Status: Current Status of the task.

    • Frequency: Frequency of the task to be executed.

    • Next Time: Display next time on which task shall be executed.

Figure Scheduler Current Tab view

Add New Task

When user clicks on Add Task button then display below dialog to user for adding task into scheduler. The dialog is loaded with below fields and values as shown in below snap.

Figure Scheduler Current Tab view

  • User can also fetch tag information, after selecting the tags from the list and clicking on 'Tag Info' button.

Figure Tag Information

NOTE:

Scheduler allows unlimited number of tasks to be set up in the Scheduler for a one-time use, daily, weekly, monthly, or yearly occurrence.


Scheduler

Scheduler- Deleting Task

Scheduler

Deleting Task

It allows user to delete the existing scheduled task.

Figure Delete Confirmation

The currently executing task can also be deleted, but it would notify the user with the impact, as shown below.

Figure Delete Confirmation for executing Task

© 2015 – 2021 Emerson DCMlink


Scheduler

Scheduler- Modifying Task

Scheduler

Modifying Task

It allows user to modify the existing scheduled task. User can click on 'Properties' button to launch settings dialog.

  • Properties dialog must show following Tabs:

    • Figure Properties dialog

    Properties dialog has 3 Tabs:

    • Tag Tab

    • Schedule Tab

    • Retries Tab

    Figure Tag Tab

    Figure Schedule Tab

    Figure Retries Tab

    © 2015 – 2021 Emerson DCMlink


Scheduler

Scheduler- History Tab

Scheduler

Scheduler History

Scheduler window includes the History tab for logging and tracking the status of Scheduler and Scheduled Task.

  • A history of all tasks completed is maintained in the History page of the Scheduler, indicating the problem found, the reason for the problem, and a solution to resolve the problem.

  • History tab must show following columns:

    • Tag: Tag name.

    • Task Type: Selected task type.

    • Description: Description about the task.

    • Status: Shows the status of the task.

    • Timestamp: Date and Time when this entry is logged.

    Figure Scheduler History

    © 2015 – 2021 Emerson DCMlink


Extract Device Info

Contents

    1. General Information

      Introduction


Extract Device Info

Extract Device Info

Extract Device Info can be launch through context Menu of the selected tag.

Figure Extract Device Info Launch

  • Whenever user clicks on the “Extract Device Info” Button, it will export all the available actuator data in .dfx file (TEC2, M2CP, Smart EHO,RTS(Modbus)).

  • Only for XTE3000 over Bluetooth and RS-232 protocol it exports all the available actuator data in .xte file.

  • Only for XTE3000 over HART protocol it exports all the available actuator data in .hart file.

  • Only for RTS over Bluetooth and IRDA protocol it exports all the available actuator data in .rts file.

Figure Extract Device Info View

  • Default path of the open file dialog will be C:\Users\ [user name]\Desktop Default File Name will be [TagName]_ExtractConfig_[ActuatorName]_[CurrentDate]__ [CurrentTime]

NOTE:

Extract Device Info Operation can also be performed through scheduler.


DCMlink HART Features

Contents

    1. General Information

      Write Protect
      Device HART Mode Dialog AUTO/MANUAL
      Rebuild HART Network


HART Features

Device HART Mode Dialog (AUTO/MANUAL)

Related Topics
HART Specific Features

Protocol Mode

To change the current HART protocol Mode use below steps:

  • From HART Tag context menu click Protocol Mode.

Figure Protocol Mode From Context Menu

  • Below Dialog box will appear, which will allow making the device In service and Out of service mode.

Figure Device HART Mode Dialog

  • To Set Out of Service:

Figure Set Out of Service (MANUAL) Dialog

  • To Set In Service Mode:

Figure In Service Mode (AUTO) Dialog

© 2015 – 2021 Emerson DCMlink


HART Features

Rebuild HART Network

HART Specific Features

Rebuild Network

The Rebuild command begins the process of scanning all connections for modem/ multiplexer and Actuator information. DCMlink Software scans for connected modem/ multiplexers and then scans each modem/multiplexer for actuators. When scanning is complete, the display in the Device Connection View pane is refreshed.

There are 2 Rebuild options:

  • HART Modem

  • HART MUX rebuild

  • From Network Menu click Rebuild Option.

Figure Rebuild Option

  • For HART Modem Rebuild below Windows will appear.

Figure HART Modem Rebuild Dialog

  • For HART MUX Rebuild below Windows will appear.

Figure HART MUX Rebuild

Figure HART MUX Rebuild

© 2015 – 2021 Emerson DCMlink


HART Features

Write Protect

HART Specific Features

Write Protect

Write protection is the ability to prevent new configuration from being written or old information being changed. This means you can read the data, but not write. To Enable Write Protect from DCMlink select Actuator Setup Menu and click Change Protection.

Figure Write Protect Menu

  • Click Write Protect option, Dialog Box will appear.

Figure Write Protect Dialog Box

NOTE:

Write Protect can be Enabled from DCMlink. Once it is Enabled, it can be disabled only through LDM on the actuator. For Disabling the Write Protect please refer to the Actuator Manual.


Database

Contents

    1. General Information

      Database for Diagnostic Storage
      Database Operation SOLO on SQL CE

      Tag Management

      New Tag
      Delete Tag
      Modify Tag
      Copy Tag
      Export Tag
      Import Tag
      Open Modify Tag

      Dataset

      New Dataset
      Save Dataset
      Delete Dataset
      Retrieve Dataset
      Reset Dataset
      Changing Dataset


Database

Contents

Database is a collection of data stored systematically to allow rapid searches, sorts, and simple retrieval. DCMlink database stores data about Tags and associated devices. A Tag's database record might include multiple datasets from actuator specifications, configuration parameters and diagnostic test results.

Database for Diagnostic Storage

  • Database for SOLO

    • SQL CE

      • By default DCMlink uses the SQL CE 4.0 or later database.

    • SQL Server

      • Installation of the SQL server need to be done by the customer.

    • Switch Between SQL CE and SQL Server

      • User can switch between SQL CE and SQL server from DCMlink. DCMlink will copy the data content from SQL CE database to the SQL Server database whenever user want to switch.

Figure Switch Between SQL CE and SQL Server

  • Switch to SQL Server

    • Once the tables are created in the main SQL server, the DCMlink remembers the SQL server details and begin storing the data to the new database.

Figure Switch to SQL Server

NOTE:

User must have a licensed version of SQL server. DCMlink will not distribute the SQL server license.

  • Switch to SQL CE

    • Once the tables are created in the SQL CE, the DCMlink remembers the SQL CE connection details and begin storing the data to the new database.

Figure Switch to SQL CE

  • Database for AMS SNAP-ON

    • The DCMlink SNAP-ON will use the SQL-CE 4.0 or later.


Database

Database Operation (SOLO on SQL CE)

Related Topics
Contents

Database has 3 options available.

  • Compact Database

  • Repair Database

  • Switch Between SQL CE and SQL Server

Figure Database Options

  • Compact Database

      It helps to reclaim wasted space in database by creating a new database file from the existing file.

    • Figure Compact Database

  • Repair Database

      This option is used to repair a corrupted database.

      First try to recover the corrupted rows.

      Then remove the remaining corrupted rows (If repair does not work.)

    • Figure Repair Database

  • Switch Between SQL CE and SQL Server

      User can switch between SQL CE and SQL server from DCMlink. DCMlink will copy the data content from SQL CE database to the SQL Server database whenever user want to switch.

    • Figure Switch Between SQL CE and SQL Server

© 2015 – 2020 Emerson DCMlink


Tag Management for SOLO and SNAP-ON

Contents

For SOLO and SNAP-ON, the user can add, delete or modify existing Tags.

NOTE: Database makes entry while user opens (launches: Status Monitor, Detailed Setup, etc.) any Tag for the first time. The offline Tags are already stored in the local SQL-CE DB of DCMlink. They are available even if the corresponding SNAP-ON device is not available. If the database Tag is referenced to a live Tag, user can perform operation like a live Tag. If there is no live reference Tag available, any operation that needs communication with actuator is restricted (like: Start Monitoring on Status Monitor, Saving settings to actuator on Detailed Setup). These buttons (write/action) are disabled. When the actuator column is empty, means no data is showing in the device. Under scheduler user can schedule any task for DB Tag, but it will fail during execution, as DCMlink will not find live matching Tag connected.

  • When user opens Tag (launches: Status Monitor, Detailed Setup, etc.) then DCMlink updates Tag icon in both live Tag and corresponding matching DB Tag with Magnifying icon overlapped to Tag icon.

Figure Magnifying Symbol

© 2015 – 2021 Emerson DCMlink


Tag Management for SOLO and SNAP-ON

Tag Management- New Tag

Tag Management

For SOLO and SNAP-ON, the user can add/create new Tags.

New HART Tag

    Creating a Tag establishes a new database record in the DCMlink database to store information about the actuator.

      The New Tag option is available in Tag New Tag menu.

  • The New Tag Dialog Box will appear, enter information about the actuator in the HART Tag Window tabs: Valve, Groups, HART Mux, and Notes in the New Tag window.

  • When you finish entering information, click Save Tag.

Figure New Tag

  • When user clicks on HART Tag option below options appear.

    • HART Tag Window contains below four groups:

    • Valve

    • Groups

    • HART Mux

    • Notes

Figure HART Tag Window-Valve

  • Valve

    • The HART Tag should be up to 8 characters.

    • It is any combination of up to 32 letters, numbers, and characters as a Tag. The Tag can be saved in the DCMlink database when user clicks Save Tag.

    • While creating a HART Tag manually, DCMlink checks if there is any old Tag present in the database with the same Tag value (not the HART Tag). If there is no matching Tag found, then DCMlink creates a new Tag entry in the database. But if DCMlink finds a matching Tag, it displays a message box to the user.

    • This Means multiple Tags can be present in the database, with same HART Tag. But multiple Tags with same Tag name can’t be present. Also, with the same HART Tag value, there could be multiple Tags present (having different Tag value).

  • Actuator Model:

    • TEC2000, TEC2, M2CP, MPA, HQDCM33, Smart EHO, XTE3000.

  • Actuator Type:

    • Quarter-turn or Multi-turn (NA for XTE3000).

  • Actuator SN:

    • Actuator serial number.

  • Use Custom image of the actuator:

    • In case customer wants to see any other image that DCMlink shows by default for an actuator. This image information gets stored in the database for that particular Tag.

  • Descriptor:

    • User can enter the 16 characters description of the device.

    • Groups

    Figure Tag Window-Groups

    • Group label:

      • The labels are the Groups created or available. The default group names are Group 1 to Group 4.

    • Drop down list:

      • The drop down list displays the Sub Groups that are available in the main group.

      • HART MUX

    Figure HART Tag Window-HART MUX

    • Mux Address:

      • DCMlink allows the user to enter the multiplexer address to which the instrument is attached. Values range from 0 to 31.

    • Node:

      • Information in this field applies to the MTL multiplexers only. DCMlink allows user to enter the node number for the MTL4842 HART interface module to which the instrument is attached in a MTL4840 Maintenance system; values range from 1 to 16.

    NOTE:

    If the instrument is not connected in an MTL system, DCMlink allows to enter 0 in the Node field.

    • Loop Number:

      • The loop number is for the actuator. its Value ranges from 0 to 255.

    NOTE:

    Mux address, Node and loop number should not be empty. If fields are empty then display message box to user as following.

    • DCS Loop ID:

      • Enter the DCS (Distributed Control System) point Tag, or other identifying information, for the loop associated with the actuator. The DCS is the controlling system that sends a 4-20 mA analog signal to the actuator.

    • Notes tab:

      • Notes field is used for entering descriptive information of the HART Tag. This note gets saved with current system date/time as dataset in the database. DCMlink allows modifying this note, without creating a new dataset. Means the new note text gets updated against the dataset ID.

    New Modbus Tag

      Creating a tag establishes a new database record in the DCMlink database to store information about the Actuator.

      • The New Modbus Tag option is available in Tag New Tag menu.

      • New Tag Dialog Box will appear, enter information about the Actuator in the New Tag Window tabs: Valve, Groups and Notes (for New Tag Window tab detail information refer to section New HART Tag).

      • When you finish entering information, click Save Tag.

    Figure Modbus Tag Management

    New XTE RS232/Bluetooth Tag

    Creating a tag establishes a new database record in the DCMlink database to store information about the Actuator.

      The New Modbus Tag option is available in Tag New Tag menu.

      New Tag Dialog Box will appear, enter information about the Actuator in the New Tag Window tabs: Valve, Groups and Notes (for New Tag Window tab detail information refer to section New HART Tag).

      When you finish entering information, click Save Tag.

    Figure XTE RS232/Bluetooth Tag Management

    New RTS ACP/ Bluetooth Tag

    The database for RTS will be available in the upcoming version.


Tag Management for SOLO and SNAP-ON

Tag Management- Delete Tag

Tag Management

For SOLO and SNAP-ON, the user can Delete existing Tags.

Delete Tag

    When user wants to delete a tag, it also deletes all DCMlink Software database records associated with that tag.

NOTE:

User cannot delete an open tag. Tag must be in Closed condition.

    Right Click on HART Tag and click Delete Tag option.

  • Right Click on HART Tag and click Delete Tag option.

  • An alert Dialog box will appear to confirm the Tag Delete operation. At the confirmation message, click Yes to delete the selected tag and its associated DCMlink software database records. Click No to close the confirmation message window and return to the Tag Management window.

Figure Delete HART Tag

Delete Modbus Tag

    Right Click on Modbus Tag and click Delete Tag option.

Figure Delete Modbus Tag

Delete XTERS232/ Bluetooth Tag

    Right Click on XTERS232/ Bluetooth Tag and click Delete Tag option.

Figure Delete XTERS232/ Bluetooth Tag

Delete RTS ACP/ Bluetooth Tag

    • The Delete Tag feature for RTS will be available in the upcoming version

    • © 2015 – 2021 Emerson DCMlink


Tag Management for SOLO and SNAP-ON

Tag Management- Modify Tag

Tag Management

For SOLO and SNAP-ON, the user can Modify existing Tags.

Modify Tags.

  • Right Click on HART Tag and click Modify Tag option

  • Modify Database Tag Dialog Box will appear, enter information about the Actuator in the Modify Tag Window tabs: Valve, Groups, HART Mux, and Notes (for HART Tag Window Tabs detail information refer to section New Tag).

  • When you finish entering information, click Save Tag button.

Figure Modify HART Tag

Figure Modify HART Tag Dialog Box

Modify Modbus Tag

    • Right Click on Modbus Tag and click Modify Tag option

    • Figure Modify Modbus Tag

    Figure Modify Modbus Tag Dialog Box

    Modify XTE RS232/ Bluetooth Tag

    • Right Click on XTE RS232/ Bluetooth Tag and click Modify Tag option

    • Figure Modify XTE RS232/ Bluetooth Tag

    Figure Modify XTE RS232/ Bluetooth Tag Dialog Box

    Modify RTS ACP/ Bluetooth Tag

    • The Modify Tag feature for RTS will be available in the upcoming version

    • © 2015 – 2021 Emerson DCMlink


Tag Management for SOLO and SNAP-ON

Tag Management - Copy Tag

Tag Management

For SOLO and SNAP-ON, the user can Copy existing saved dataset of Tags.

Copy Tags.

    DCMlink provides an option to Copy existing Tag data from previously used Tag (saved in Database).

    Figure Copy Tag option

Figure Provide a new name

    After Copy Tag, DCMlink copies the database records of the earlier Tag into a new Tag DCMlink Software database.

Figure New Tag created (Clone of earlier Tag)

© 2015 – 2021 Emerson DCMlink


Tag Management for SOLO and SNAP-ON

Tag Management- Export Tag

Tag Management

For SOLO and SNAP-ON, the user can Export existing saved dataset of Tags.

Export Tag Data

    • Copies selected tags and selected datasets from the DCMlink database into a file. User can import this file into another DCMlink Software database or into other Windows applications.

    • NOTE:

    The Datasets to Include in Export File option is only available under DCMlink Solo. When running SNAP-ON, all datasets are always included in the export file.

      From Tag menu click Export Tag Data.

      Below Dialog Box will appear for Export options.

      Select Tag to export and click Add.

      While Exporting Tag user can select/deselect the Dataset to include in the Export file.

      Click Export Tags.

    Figure Export Tag Data

    • File Name:

        For Single Tag: TagName_YYYYMMDD_HHMM
        (e.g.: 03631470_20160225_1755.dxp)

        For Multiple Tags: MULTIPLE_TagS_YYYYMMDD_HHMM
        (e.g.: MULTIPLE_TagS_20160225_1755.dxp)


Tag Management for SOLO and SNAP-ON

Tag Management- Import Tag

Tag Management

For SOLO and SNAP-ON, the user can Import existing saved dataset of Tags.

Import Tags.

  • DCMlink provides an option to Import Tag data from previously exported file.

    • Figure Import Tag

  • Import Tag Data

    Copy a file containing tag information and datasets into the DCMlink Software database.

      From Tag menu click on Import Tag Data.

      User can select a file to import and click Open.

      Import tag option shall be enabled and executed when live device tag is closed.

NOTE:

When an import is selected it will bring in all information that was exported. One exported Tag file can have details of multiple Tags.

Figure Import Tag Data

    After importing Tag, DCMlink copies the database records contained in the file into the DCMlink Software database.

    If a Tag has the same name as an existing Tag, DCMlink Software notify user with a message and provides options for handling the duplicate Tag.

Figure Tag Already Exists

  • Skip

    • DCMlink do not import the Tag into the database. The existing Tag and its dataset remains unchanged.

  • Replace

    • DCMlink imports the Tag and replace the existing Tag. The imported Tag's datasets replace the existing Tag's datasets.

  • Merge

    • DCMlink imports the Tag datasets and includes them with the existing Tag's datasets.

  • Change

    • DCMlink provides this option to the user to type a new Tag that does not match the name of an existing Tag in the database. DCMlink changes the Tag and imports the Tag and its associated datasets. The existing Tag and its datasets remains unchanged.

  • Apply to all Tags

    • DCMlink selects same option for the remaining Tags while importing.


Tag Management for SOLO and SNAP-ON

Tag Management- Open/ Modify Tag

Tag Management

For SOLO and SNAP-ON, the user can modify existing Tags.

Open Modify Tag

  • This option is available in Tag Menu and Database option. The Tag Management window opens when this command is selected. The Tag Management window enables user to search for and select a particular tag to open, modify, copy, or delete. Use tag groups to narrow search criteria.

      From Tag menu click Open Modify Tag.

Figure Open Modify Tag From Tag Menu

    Right click Database Open Modify Tag.

Figure Open Modify Tag From Database option

    Tag Management Dialog box will appear to select the Tag to Open, Modify, Delete, Copy, and Print List option.

Figure Tag Management

  • Tags:

      Allows search for Tag in list.

      If user entered Tag is found, Tag will be shown and highlighted.

      Tags Found list shows all the Tags available in application.

  • Tag Groups:

      It contains group name.

      The drop down list contains the associated selections.

      DCMlink lists Tags associated with the selected group and selection in the Tags Found box.

  • Tags Found:

      Tags Found lists the Tags that matches the search criteria entered in the Tag box and selected from the Tag groups.

  • Information box:

      It shows important data associated with the selected Tag as below.

      Device Protocol: HART/FF.

      HART Tag: HART Tag Number. For FF this would be Device Tag.

      Group name: Group 1 to 4 names should be displayed.

      Actuator Model: TEC2000, TEC2, M2CP, MPA, HQDCM33, Smart EHO,and XTE3000.

      Actuator Type: Quarter turn or Multi-turn.

      Actuator S/N: Actuator serial number.

      Descriptor: Description about the device.

After selecting a Tag in the Tags Found box, it further allows to open, modify, copy, or delete the Tag or print a Tag report.

NOTE:

DCMlink allows to select only one Tag at a time from Tags Found list.

  • Open Tag:

      If click on this, DCMlink opens the selected Tag related to Status Monitor screen.

      Opens the selected tag so that you can configure, calibrate, or test an instrument.

  • Modify Tag:

      If click on this, DCMlink opens Modify Tag dialog.

      Opens a window where user can change information that identifies the selected tag and its associated database record in DCMlink software.

  • Copy Tag:

      Opens the Copy Tag dialog box. Note that the selected tag is identified in the window title bar. Enter a new tag descriptor up to 25 characters. Click the OK button to copy information that identifies the selected tag and its associated database record in DCMlink software.

  • Delete Tag:

      It deletes the selected Tag from the Tags found list and all associated database records from DCMlink software.

      At the confirmation message, user need to click Yes to delete the selected tag and its associated DCMlink Software database records. Click No to close the confirmation message window and return to the Tag Management window.

NOTE:

DCMlink does not allow deleting an Opened Tag.

  • Print List: (Will be available in upcoming version)

      Opens Print Tag Report window. In the Print Tag Report window, select information to print and design the format of the printed tag report for the selected tag.


Database Operation (SOLO on SQL CE)

Contents

A Dataset is a grouping of actuator information that can be saved as a date and time stamped record in the database. Datasets are historical records of the particular condition and state of the actuator the time the dataset was saved. The values saved in a dataset are for the user’s reference only.

Dataset may be saved in many different DCMlink functions:

  • Detailed Setup

  • Status Monitor

  • Factory Settings

  • PST/FST (Profile)

Figure Database Options

© 2015 – 2021 Emerson DCMlink


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)-New Dataset

Dataset

    New Dataset

  • It is used to save new entry in the database or if user makes any changes to the Saved Dataset and save with New Dataset. It is available while opening any Tag function listed below:

    • Detailed Setup

    • Status Monitor

    • Factory Settings

    • Profile

Figure New Dataset

© 2015 – 2021 Emerson DCMlink


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)- Save Dataset

Dataset

Save Dataset

  • This is used to save new dataset or if user makes any changes to the Saved Dataset.

Figure Save Dataset

NOTE:

While monitoring is going on (polling is going on) Save Dataset will remain disabled. If user stops monitoring (means stops polling) the Save Dataset will be enabled.


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)- Delete Dataset

Dataset

    Delete Dataset

  • When user deletes a tag, it also deletes all database records associated with that tag.

  • When user clicks on Delete Dataset, the Dataset name gets deleted from the dropdown combo box. DCMlink allows deleting saved dataset.

Figure Delete Dataset

© 2015 – 2021 Emerson DCMlink


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)- Retrieve Dataset

Dataset

    Retrieve Saved Dataset

  • DCMlink allows user to select from any Saved Dataset. Click on the dataset item that needs to be retrieved and wait till the dataset values get loaded.

Figure Retrieve Saved Dataset

© 2015 – 2021 Emerson DCMlink


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)- Reset Dataset

Dataset

    Reset Dataset

  • Reset Dataset option is not applicable for Status Monitor. It is only applicable for Detailed Setup, Factory Settings and Profile. This option resets the Dataset column values for all the parameters to their default values.

Figure Reset Dataset

© 2015 – 2021 Emerson DCMlink


Database Operation (SOLO on SQL CE)

Database Operation (SOLO on SQL CE)- Changing Dataset

Dataset

Changing Dataset

  • Changing Dataset Dropdown Item

  • Changing Dataset

    • DCMlink prompts user in case of changing the drop down option from Saved dataset to New.

Figure Changing Dataset

  • If user makes any changes in the dataset side, below message will appear while changing the Dataset drop down option from the top.

Figure Changing Dataset Dialog Box

  • Notes Tab

    • Notes field is used for entering descriptive information on the alert conditions and monitor values.

Figure Notes Tab

© 2015 – 2021 Emerson DCMlink


Frequently Asked Questions

Contents

    1. General Information

      Usage
      Modbus (RS485) Modem and Driver Details
      Wiring the Modbus Modem and Actuator
      Bluetooth Stack Information
      Wiring the HART Modem and MUX
      Technical Support and Contact Details
      Trademarks


Frequently Asked Questions

FAQ- Usage

Frequently Asked Questions

Usage

  • Where can I get the latest version of DCMlink?
    Please contact the nearest Emerson Local Business Partner for the latest version.

  • Will I be notified if a new version of DCMlink is released?
    No. However, users can call Technical Support regarding the latest version.

  • What do I do if my DCMlink installation doesn't detect the installed actuator(s)?

    • Cross check wire connection.

    • Check communication settings.

    • Refer to the above chapters for connection details.

    • If the steps in the User's Guide fail to solve the issue, please contact Emerson technical support.

  • Can I add actuator models to the device scan function to use unlisted models?
    No. User can request to add unlisted actuator models by calling Technical Support team.


Frequently Asked Questions

FAQ- RS485 Modem and Driver Details

Frequently Asked Questions

RS485 Modem

DCMlink is tested using the USB to RS485 modem from B&B Electronics.

Figure B&B Electronics USB to RS485 Modem

  • Installation is accomplished by downloading and installing the latest driver. The version listed below (and newer) is fit for use.

      • USB-to-Serial-2.08.28 or later.
      (Verify through control panel; Device Manager)

Figure Version Listing in Device Manager

© 2015 – 2021 Emerson DCMlink


Frequently Asked Questions

FAQ- Wiring the Modbus Modem and Actuator

Frequently Asked Questions

Modbus Modem and Actuator

Details on wiring the actuator can be found in Setup Modbus Network Section.

Details on wiring the modem are shown below:

Figure Modem Wiring Legend (1)

Figure Modem Wiring Legend (2)

Figure Modem Wiring Legend (3)

NOTE:

Wiring connection details are found on the datasheet of the modem the user has purchased.


Frequently Asked Questions

FAQ- Bluetooth Stack Information

Frequently Asked Questions

Microsoft Stack

This type of stack is the first of the two Bluetooth stacks supported in DCMlink. Microsoft stack is a Bluetooth stack developed by Microsoft for the Windows operating system.

Figure Microsoft Bluetooth Device in Device Manager

Figure Microsoft Bluetooth Driver Details

Broadcom Stack

This is the second supported Bluetooth stack in DCMlink. Widcomm was the first Bluetooth stack for the Windows operating system. The stack was initially developed by a company named Widcomm Inc.

Figure Broadcom B luetooth Device in Device Manager

Figure Broadcom Driver Details

© 2015 – 2021 Emerson DCMlink


Frequently Asked Questions

FAQ- Wiring the HART Modem and MUX

Frequently Asked Questions

HART Modem and MUX

Details on wiring the actuator can be found in Setup HART Network Section.

Details on wiring the modem are shown below:

Figure HART Modem Wiring

Figure MUX Wiring

Figure Modem Wiring Legend (3)

NOTE:

Wiring connection details are found on the datasheet of the modem the user has purchased.


Frequently Asked Questions

FAQ- Technical Support and Contact Details

Frequently Asked Questions

Whom will I contact for installation and licensing issues?

Please contact the nearest Emerson Local Business Partner. For further help, please contact the DCMlink Helpdesk using the contact information below:

  • Phone Number:

    International Access Code +1(281) 499-1561 / (800) 679-1561 toll-free (US Only)

  • Fax Number:

    International Access Code +1(281) 499-8445

  • E-Mail Address:

    DCMlink.Registration@Emerson.com


Frequently Asked Questions

FAQ- Trademarks

Frequently Asked Questions

Trademarks

  • DCMlink Software, Bettis™ and EIM™, Fisher®, AMS™ Intelligent Device Manager, SNAP-ON™, PlantWeb®, Ovation®, and DeltaV™ are the trademarks owned by one of the companies of Emerson Electric Co.

  • Emerson logo is a trade and service mark of Emerson Electric Co.

  • FOUNDATION™ is a trademark of the Fieldbus Foundation.

  • HART® is a registered trademark of the HART Communication Foundation.

  • Bluetooth® is a registered trademark of Bluetooth SIG Inc.

  • All other company and product names mentioned in this document are trademarks or registered trademarks of their respective companies.


Troubleshooting

Contents

    1. General Information

      Device Scan Troubleshooting
      DCMlink Services Error
      Communication Issues


Troubleshooting

Troubleshooting- Device Scan

Troubleshooting

Device Scan Troubleshooting

COM port settings shall match with device(s)

  • The Baud rate, parity and polarity shall match.

  • ALL devices connected to the same COM port shall use the same settings.

  • Use multiple COM ports in case different settings are required.

  • Monitor traffic with Live Communication Viewer.

  • Available via each COM port listed on the Tree view.

  • BAD PACKETS are indicative one or more of the issues listed.

    • Physical connection:

      • Incorrect COM port

      • Incorrect communication settings

      • Polarity of physical connection

      • Actuator not powered


Troubleshooting

Troubleshooting- DCMlink Services Error

Troubleshooting

Services Error

For DCMlink Service Error click on Restart DCMlink service from DCMlink Setup Menu.

Figure DCMlink Service Error

Figure Restart DCMlink Services

© 2015 – 2021 Emerson DCMlink


Troubleshooting

Troubleshooting- DCMlink Report an Error

Troubleshooting

Report an Error

For Reporting an error from DCMlink can be launched from the 'Report an Error' fron the 'Help' menu.

Figure Launch from menu

User needs to provide the:

  1. Error Title.

  2. Error Description.

Figure Report an Error dialog

Figure Confirmation message

© 2015 – 2021 Emerson DCMlink


Troubleshooting

Troubleshooting- Communication Issues

Troubleshooting

Communication Issues

Table Communication Issues Question and Answer Table

Section | Question and Answer
Serial Ports | Question: DCMlink software does not detect all of my serial ports. How do I enable DCMlink Software to use a port that it doesn’t automatically detect?
 | Answer: In the PreferenceSetting.XML file, ModbusSettings section, user can add a entry for ModbusSetting. If the user makes this change while DCMlink Software is running, the user will have to exit and restart the software for this change to take effect.
COM Port | Question: DCMlink Software isn’t detecting the COM port. What could be causing this problem?
 | Answer: Close DCMlink and relaunch application. If the problem persists, restart the computer. Alternatively, the user can try programs, such as Allen Bradley or competitive valve suppliers, etc., that may be using the COM port. Other causes may include: The power saving option is set and has caused the port to use the low power option. You need to set the power saving to none and delete and reinstall the COM port. The COM ports hardware is malfunctioning. To solve this, please contact your System Administartor.
Communication Errors in DCMlink | Question: I am getting communication errors when performing operations with DCMlink. What can I do to fix the errors?
 | Answer: In the PreferenceSetting.XML file, ModbusSetting section, try changing the value of delay [Timeout delay]. If you make this change while DCMlink Software is running, the user will have to exit and restart the software for this change to take effect.


Glossary

Put Related Topics Here

Definition of Terms

A B C D E F H I L M N P Q R S T

A

ACM

Acronym: Auxiliary Control Module

Address

One or more integers arranged to identify the location of an instrument or multiplexer.

AI/AO

Acronym: Analog Input/Analog Output

AMS

AMS Device Manager is plant asset management software from Asset Optimization (Emerson). It provides a single application for predictive diagnostics, documentation, calibration management, and device configuration for managing field instruments and digital valve controllers.

APD

Acronym: Absolute Position Detector This module eliminates the need for any and all mechanical cam-driven switches. The assembly eliminates the need to open and close the control compartment to set travel and torque limits. It has no contacting components and is impervious to oil, greases and grime.

ARM

Acronym: Auxiliary Relay Module

ASCII

Acronym: American Standard Code for Information Interchange

B

Byte

A unit of binary digits (bits). A byte consists of eight bits.

Baud Rate

Data transmission speed. The baud rate is the rate at which information is transferred in a communication channel. In the serial port context, 9600 baud means that the serial port is capable of transferring a maximum of 9600 bits per second. If the information unit is one baud (one bit), the bit rate and baud rate are identical.

C

CAM

Acronym: Communication Adapter Module

CCM

Acronym: Central Control Module

COM Port

COM (Communication port) is the original, yet still common, name of the serial port interface on IBM PC-compatible computers. It might refer not only to physical ports, but also to virtual ports, such as ports created by Bluetooth or USB-to-serial adapters.

D

Data Bits

The number of data bits in each character can be 7 (for true ASCII) or 8 (for most kinds of data, as this size matches the size of a byte). 8 data bits are almost universally used in newer applications.

Device ID

A unique identifier embedded in the instrument at the factory. DCMlink software uses this identifier to ensure it is communicating with the correct instrument.

DCMlink

Acronym:
Diagnostics - Torque Profile, Archived Torque profile, Partial Stroke Configuration - Detailed Setup for easy access to every parameter Monitoring - Real-time status of the device with pass/fail indication

DI/DO

Acronym: Digital Input/Digital Output

Discrete

Individually separate and distinct. Actuators take input and provide output in discrete format. The actuator can be controlled by discrete inputs: two-wire control, three-wire control and four-wire valve control. Discrete outputs are used primarily for hardwired status feedback. Each Discrete outputs (Relay) may be configured (assigned) to various status, alarm, or control functions.

Download

Sending configuration instructions and calibration information from the DCMlink software database to a device.

E

ESD

Acronym: Emergency Shut Down.

Smart EHO

Acronym: Smart Electro-Hydraulic Operator.

F

FST

Acronym: Full Stroke Test

H

HART

Acronym: Highway Addressable Remote Transducer
The HART Communications Protocol (Highway Addressable Remote Transducer Protocol) is an early implementation of Fieldbus, a digital industrial automation protocol. Its most notable advantage is that it can communicate over legacy 4-20 mA analog instrumentation wiring, sharing the pair of wires used by the older system.

HZ (Hertz)

The frequency of the applied motor voltage and control package voltage.

I

IOM

Acronym A: Instruction and Operation Manual
Acronym B: Input/Output Module

Inhibit

Actuators can be prevented from operating in either OPEN or CLOSE direction, or both, until an external contact has been made. This is useful when interlocking with other process equipment (e.g. pumps, other valves, sensors, PLC, DCS, etc.), and it will inhibit operation in both remote and local operating modes.

L

LDM

Acronym: Local Display Module

LSA

Acronym: Limit Switch A
It’s the Intermediate limit A.

LSB

Acronym: Limit Switch B
It’s the Intermediate limit B.

LSC

Acronym: Limit Switch Close
It’s the Close limit.

LSO

Acronym: Limit Switch Open
It’s the Open limit.

M

mA

Milliampere(s): Unit of measurement for small electric currents.

MCP

Acronym: Modular Controls Package – first generation

MCM

Acronym: Motor Control Module

MPA

Acronym: Multiport Actuator

MPFS

Acronym: Multiport Flow Selector

Modbus

Modbus is a serial communications protocol originally published by Modicon (now Schneider Electric) in 1979 for use with its programmable logic controllers (PLCs). Simple and robust, it has since become a de facto standard communication protocol, and it is now a commonly available means of connecting industrial electronic devices.

MUX

Acronym: Multiplexer

N

Navigation Pane

Sidebar view in DCMlink that shows the communication protocols and installed Tags.

P

Parity

Parity is a method of detecting errors in transmission. When parity is used with a serial port, an extra data bit is sent with each data character, arranged so that the number of 1 bits in each character, including the parity bit, is always odd or always even.

Phase

This is the electric service used with the actuator’s motor.

Polling Range

Range of actuator addresses in Modbus.

PST

Partial Stroke Test

Q

QSG

Acronym: Quick Start Guide

R

RDM

Acronym: Remote Display Module

RPM

Constant speed of the actuator motor on this individual actuator. Can be 1725 or 3400 RPM motor.

RPM/Seconds

This is the time in seconds that it takes an actuator to operate a multi-turn or quarter turn valve. For example, a 30-second rating is the time it takes the actuator to move the attached valve from open to close or close to open.

Run Amps

This is the amperage that the motor should draw at full load without the thermal overloads tripping. This also indicates that the motor is a limit duty unit that must be allowed to cool off after 15 minutes of continuous operation. There are no vents or airways used to cool the motor during operation except through ambient conditions outside of the housing.

S

STC

The TEC2000 STC (Separate Terminal Chamber) is an isolated point that is separate from the controls enclosure.

Stall amps

This is the locked rotor amperage of a motor when it is mechanically prevented from rotating the actuator’s power gear train. Generally, this is at least three times the running amperage of the motor and the point at which the thermals will trip the motor offline.

Stop Bits

Stop bits sent at the end of every character allow the receiving signal hardware to detect the end of a character and to re-synchronize with the character stream. Electronic devices usually use one stop bit.

T

Tag

The frequency of the applied motor voltage and control package voltage.

HZ (Hertz)

A unique identifying mnemonic or label for a controller or point of a process control system. Typically, this is a valve Tag number or location for assembly placement in a plant's operation.

TBM

Acronym: Terminal Board Module

TCP/IP

TCP/IP (Transmission Control Protocol/Internet Protocol) is the basic communication language or protocol of the Internet. It can also be used as a communications protocol in a private network (either an intranet or an extranet).

© 2015 – 2020 Emerson DCMlink


Assembly Numbers

Contents

  • 87360: DCMlink Software Basic

  • 87361: DCMlink Software Advanced

  • 87367: CD Media

  • 87368: DCMlink - USB Media

  • Bluetooth® is a registered trademark of Bluetooth SIG Inc.

  • All other company and product names mentioned in this document are trademarks or registered trademarks of their respective companies.